Erste Schritte

Erste Schritte

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Willkommen und danke, dass Sie sich für zenon entschieden haben. Wir wollen Ihnen den Einstieg in die Bedienung von zenon so einfach und angenehm wie möglich gestalten. Ein erster Schritt dazu ist dieses Tutorial. Allerdings kann und will dieses einführende Tutorial kein Ersatz für eine Schulung sein.

Dieses Tutorial wird Sie in die grundlegende Bedienung von zenon einführen. Sie werden hier lernen, wie man ein Projekt erstellt und darin Anlagenbilder zeichnet, auf denen Werte aus Ihrer Steuerung in Dynamischen Elementen dargestellt werden.

Noch in diesem Kapitel

Die Herausforderung

Arbeiten mit zenon

Ein neues Projekt

Der Editor - eine Beschreibung

Backup

Variablen

Funktionen

Bilder und Schablonen

Bildelemente

Mehrfachnutzen durch Substitution

Bildtypen

Runtime (Onlinebetrieb)

Automatisierter Funktionsaufruf

Menüs

Skripte

Projektdokumentation


Die Herausforderung

Erste Schritte -> Die Herausforderung

Für dieses Tutorial gilt folgende Herausforderung:

  • Aus einem Tiefbrunnen wird mit Hilfe eines Motors Wasser gepumpt.
  • Dieses Wasser wird in zwei Vorratstanks zu je 20.000 Liter gelagert.
  • Die Temperatur des Wassers wird mit Temperaturfühlern überwacht.
  • Bei Frostgefahr wird eine Aktion ausgeführt.
  • Bei Überschreitung eines definierten Füllstandes wird eine Aktion ausgeführt.
  • Bei Unterschreitung eines definierten Füllstandes wird eine Aktion ausgeführt.

In diesem Tutorialprojekt werden:

  • Zwei Tanks mit ihren Zu- und Ableitungen visualisiert
  • Grenzwerte und Alarme für Variablen definiert
  • In zenon verfügbare Elemente einzeln vorgestellt, kommentiert und projektiert
  • Alarme und Systemmeldungen in übersichtlichen Listen angezeigt
  • Zur Runtime Menü- und Buttonsteuerung realisiert
  • Mehrere Schritte in Skripten zusammengefasst
  • Umweltabhängige Aktionen (z.B. Tank voll, Temperatur zu niedrig) vorgestellt, kommentiert und projektiert.

Sie werden lernen, wie Sie ...

  • den Editor als grafische Benutzeroberfläche zur Erstellung und Wartung von Projekten kennenlernen. Dabei werden Sie erfahren, wie Sie sich Ihre Arbeitsumgebung so gestalten können, dass ein effizientes Arbeiten möglich ist.
  • Sie werden in der Lage sein Arbeitsbreiche zu erstellen, in denen Sie Ihre Projekte verwalten. Auch werden Sie hier verschiedene Arten von Projekten kennenlernen sowie die Möglichkeit Eigenschaften wie Farbpaletten, Schriftarten, etc. zentral zu verwalten.
  • Sie werden mit Hilfe von Treibern Kommunikation zu Ihrer Hardware oder zu anderen Datenquellen aufbauen können. Weiters werden Sie erfahren, dass Variablen als die zentrale Schnittstelle auf Treiberobjektypen und Datentypen aufbauen, und wie Sie selbst verschiedene Datentypen erstellen können.
  • Sie werden Schablonen als Grundlage für Ihre Bilder erstellen und die Vorteile der Schablonentechnologie kennenlernen.
  • Sie werden in der Lage sein Ihre Bilder mit verschiedenen Elementen zu gestalten und darin Ihre Variablenwerte anzuzeigen. In Symbolen werden Sie Elemente gruppieren und gezielt wiederverwenden.
  • Sie werden die Bedienung Ihres Projektes mit Hilfe vordefinierter Funktionen realisieren können.


Arbeiten mit zenon

Erste Schritte -> Arbeiten mit zenon

Im Laufe dieses Tutorials werden Sie ein Gefühl für das Arbeiten mit zenon entwickeln. Sie werden merken, dass unterschiedliche Herausforderungen eine ähnliche Herangehensweise mit sich bringen.

Stark vereinfacht lässt sich die Arbeit mit zenon etwa so beschreiben:

  • Sie erstellen ein Objekt.
    Dies kann ein Treiber, eine Variable, ein Bild, ein Bildelement, ein Zeitplan, ein User ... sein.
  • Im folgenden Schritt setzen Sie für dieses Objekt Ihre Einstellungen.
    Sie parametrieren Ihr Objekt, ohne Programmieren zu müssen.
  • Mit Hilfe von Funktionen werden Arbeitsschritte vorgegeben und Aktionen angestoßen.
    Es handelt sich dabei um vordefinierte Makros, die einfach benutzt und parametriert werden können.
  • Durch die Anwendung und Kombination dieser Elemente können komplexe Herausforderungen mit wenigen Mausklicks ohne aufwändige Programmierung realisiert werden

info Info

Ein Vorteil dieser Arbeitsweise liegt darin, dass bereits projektierte Schritte wiederverwendet werden können.


Ein neues Projekt

Erste Schritte -> Ein neues Projekt

In diesem Schritt lernen Sie, was Arbeitsbereiche und Projekte sind.

Es wird ein neutraler Arbeitsbereich mit einem darin enthaltenen Projekt angelegt.

Parameter | Beschreibung
Arbeitsbereich | Ist eine Verwaltungseinheit im zenon Editor, in der Projekte gruppiert werden. Nur Projekte, die in einen Arbeitsbereich eingefügt sind, können im Editor bearbeitet werden.
Projekt | Zusammenfassung von Einstellungen, Bildern, Funktionen, Variablen, Rezepten usw. zum Darstellen einer Visualisierungsaufgabe. Im Editor werden die Projekte erstellt. Die Speicherung der Editor-Daten erfolgt zum Teil in einer SQL-Datenbank und als Binärdateien. Die Datenablage kann entweder lokal am Editor Rechner oder auf einem zentralen Rechner (Mehrplatzverwaltung) erfolgen. Von Projekten kann jederzeit ein Backup erstellt werden, und dieses am selben oder auch auf einem anderen Rechner rückgelesen werden.

Noch in diesem Kapitel

Erstellen eines neuen Arbeitsbereichs

Erstellen eines neuen Projekts

Projektierung des Projekts

Mehrere Projekte in einem Arbeitsbereich

Praxistipps Projekte

Einführende Information zu diesem Tutorial


Erstellen eines neuen Arbeitsbereichs

Erste Schritte -> Ein neues Projekt -> Erstellen eines neuen Arbeitsbereichs

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Am Beginn der Arbeit mit zenon steht der Arbeitsbereich. In diesem werden Projekte angelegt und verwaltet. Mit steigenden Anforderungen können mehrere Projekt in einem Arbeitsbereich zusammengefasst und projektiert werden.

Arbeitsschritte zum Erstellen eines neuen Arbeitsbereichs

  • Verwenden Sie im Menü Datei den Befehl Arbeitsbereich/Neu.
  • Geben Sie als Ordner C:/ ein und vergeben Sie für den Arbeitsbereich den Namen Basis_Tutorial.
  • Hinweis: Falls nicht vorhanden, wird nach Bestätigen der Dialogbox mit OK der Ordner C:\Basis_Tutorial erstellt und darin eine Datei Basis_Tutorial.wsp6 angelegt.

info Info

Der Ordnername und der Name der Arbeitsbereichsdatei werden automatisch von zenon vergeben, können aber nachträglich geändert werden.

Noch in diesem Kapitel

Tipps für den Arbeitsbereich


Tipps für den Arbeitsbereich

Erste Schritte -> Ein neues Projekt -> Erstellen eines neuen Arbeitsbereichs -> Tipps für den Arbeitsbereich

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sie sollten Ihren Arbeitsbereich je nach Ihrem Arbeitsumfeld organisieren. Ein gut strukturierter Arbeitsbereich erhöht die Übersichtlichkeit und Effizienz

Die folgende Aufzählung dient als Orientierungshilfe

  • Für Integratoren:
    Ein Arbeitsbereich pro Kunde
  • Für Projektoren:
    Ein Arbeitsbereich pro Fabrikationsstandort

Hinweis: Wählen Sie als Speicherort Ihres Arbeitsbereiches einen öffentlichen Ordner. Damit ist die Berechtigung eines Arbeitsbereiches nicht an den Ersteller gebunden.


Erstellen eines neuen Projekts

Erste Schritte -> Ein neues Projekt -> Erstellen eines neuen Projekts

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Um ein neues Projekt zu erstellen:

  • Verwenden Sie im Menü Datei den Befehl Projekt neu.

  • Vergeben Sie den Projektnamen 'TUTORIAL' und akzeptieren Sie den Pfadvorschlag.

info Info

Wenn in Ihrem Editor VBA aktiviert ist (Standard-Einstellung), wird nun der Auswahl-Dialog zur Ausführung eines Wizards geöffnet. Wizards sind VBA-Makros, mit denen Sie die Arbeit im Editor automatisieren können. Im diesem Beispiel wird kein Wizard verwendet. Schließen Sie den Dialog mit Close und bestätigen Sie den Folgedialog Would you like to save your settings? mit Nein.

Noch in diesem Kapitel

Unterscheidung Standardprojekt und Globalprojekt

Anwendungsmöglichkeiten

Projektanlage mit Wizard


Unterscheidung Standardprojekt und Globalprojekt

Erste Schritte -> Ein neues Projekt -> Erstellen eines neuen Projekts -> Unterscheidung Standardprojekt und Globalprojekt

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In diesem Tutorial wird mit einem Standardprojekt gearbeitet. Darüber hinaus bietet zenon die folgenden Projekttypen an:

  • Ein Globalprojekt verfügt nur über eingeschränkte Funktionalität. Die Objekte (Schablonen, Schriften, Farben, etc.), die in einem Globalprojekt erstellt werden, sind in allen anderen Projekten des Arbeitsbereichs auch verfügbar. So sind etwa die Schablonen des Globalprojekts in den anderen Projekten unter der Bezeichnung ‘g_Name‘ auswählbar.
    Andere Einstellungen sind wiederum nur in Globalprojekten projektierbar. Die Modellierung einer Anlage im Modul Anlagenmodellierung ist z.B. nur in Globalprojekten möglich.
  • Die Option Mehrplatzfähiges Projekt erlaubt es Ihnen ein Projekt zu erstellen, das von mehreren Projektanten gleichzeitig editiert werden kann, wobei das Leitsystem darauf achtet, dass ein Objekt nicht zugleich von zwei Projektanten bearbeitet werden kann.

Hinweis: Beide Optionen werden in diesem Tutorial-Projekt nicht genutzt.


Anwendungsmöglichkeiten

Erste Schritte -> Ein neues Projekt -> Erstellen eines neuen Projekts -> Anwendungsmöglichkeiten

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Je nach Aufgabenstellung können Sie verschiedene Möglichkeiten nutzen. Beachten Sie dabei stets den Mehrfachnutzen und sparen Sie sich so zusätzliche Arbeit.

Globalprojekt

Das Globalprojekt bietet sich an um Einstellungen zu projektieren, welche in den Projekten wiederverwendet werden. Einstellungen eines Globalprojektes stehen allen Projekten eines Arbeitsbereiches zur Verfügung.

Beispiele:

  • Gestaltung von Schriftlisten
  • Definition von Farben in den Farbpaletten
  • Einbindung allgemeiner Sprachdateien - z.B. zenon Systemtexten

info Info

Bereits projektierte Schritte sind in zenon wiederverwendbar.

Mehrplatzprojekt

Ein Mehrplatzprojekt bietet sich dann an, wenn mehrere Personen mit unterschiedlichen Kernaufgaben an einem Projekt arbeiten.

Beispielhafte Projektaufteilung:

  • Screen Designer ist verantwortlich für Erscheinungsbild und Usability. Dazu erstellt er Schriftlisten, Bilder, Schaltflächen, Grafiken und Farbpalletten unabhängig von der technischen Projektierung.
  • Projektant erstellt Treiber und Variablen
  • Technischer Redakteur schreibt Dokumentationen und Textdokumente für das Projekt
  • Special Solution Developer kümmert sich um spezielle Projektierung des Projektes, z.B. Projektierung einer Reaktionsmatrix
  • Controlling-Mitarbeiter projektiert die SAP-Schnittstelle für seine Kostenabrechnung
  • ...

info Info

Mehrplatzprojekte ermöglichen standortunabhängige Projektzusammenarbeit.


Projektanlage mit Wizard

Erste Schritte -> Ein neues Projekt -> Erstellen eines neuen Projekts -> Projektanlage mit Wizard

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In diesem Tutorial werden sämtliche notwendigen Projektierungen Schritt für Schritt ausgeführt. Auf den Einsatz des Projektwizards wird bewusst verzichtet.

Der Wizard kann nachträglich gestartet werden. Dies ist auch dann möglich, wenn Sie den automatischen Aufruf nach Anlegen eines Projektes abgelehnt haben. In diesem Falle werden Ihre bisherigen Projektierung möglicherweise überschrieben.

Wizards starten

Um einen Wizard zu starten:

  • wählen Sie in der Combobox Datei den Eintrag Wizards ...

    oder

  • drücken Sie die Tastenkombination Alt+F12

Der Wizard für die Projekterstellung wird bei der Erstellung eines neuen Projekts automatisch angeboten.

info Info

Um den Project Wizard verwenden zu können muss in Ihrem Editor VBA aktiviert sein (Standard-Einstellung).

VBA-Aktivierung im Editor

Damit Wizards angezeigt werden, müssen die Einstellungen für VBA und/oder VSTA in der in der zenon6.ini korrekt gesetzt sein:

[VBA]

EIN=1

[VSTA]

ON=1

Werden VSTA Wizards bei korrekten Einstellungen nicht angezeigt, setzen Sie im Abschnitt [VSTA] den Eintrag LOADED= auf 1.


Projektierung des Projekts

Erste Schritte -> Ein neues Projekt -> Projektierung des Projekts

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Im Eigenschaftenfenster werden die Eigenschaften des Projekts TUTORIAL angezeigt und können hier geändert werden.

  • Wählen Sie im Projektmanager den Arbeitsbereich aus.
  • In der Detailansicht sehen Sie jetzt eine Liste der Projekte, die zu diesem Arbeitsbereich gehören.
  • Wählen Sie in der Detailansicht das Projekt TUTORIAL aus.

Das Eigenschaftenfenster wird in diesem Tutorial noch oft verwendet. Grundsätzlich zeigt es die Eigenschaften des in der Detailansicht des Projektmanagers ausgewählten Objekts an. Die Icons am oberen Rand des Eigenschaftenfensters bieten die Möglichkeit die Eigenschaften in unterschiedlicher Darstellung anzuzeigen:

info Info

Die Eigenschaften, die in den Favoriten angezeigt werden, können Sie selbst über das Kontextmenü des Eigenschaftenfensters einstellen. Favoriten für das Eigenschaftenfenster stehen nur in der gruppierten Ansicht zur Verfügung.

Noch in diesem Kapitel

Funktionalität des Eigenschaftenfensters

Favoriten im Eigenschaftenfenster

Runtimeansicht

Projektbeschreibung


Funktionalität des Eigenschaftenfensters

Erste Schritte -> Ein neues Projekt -> Projektierung des Projekts -> Funktionalität des Eigenschaftenfensters

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Die einzelnen Symbole des Eigenschaftenfenster bieten dabei folgende Funktionalität:

Symbol | Bedeutung
Gruppiert | Die einzelnen Eigenschaften werden in logischen Gruppen zusammengefasst.
Alle Eigenschaften | Alle Eigenschaften werden in einer Reihe angezeigt.
Dialogansicht | Die Eigenschaften werden in Form von Dialogboxen angezeigt.
Favoriten ein-/ausblenden | In den Favoriten können über das Kontextmenü des Eigenschaftenfensters die am häufigsten benötigten Eigenschaften zusammengefasst werden. Hier können die Favoriten ein- oder ausgeblendet werden.
Alle Eigenschaften ein-/ausblenden | Wenn die Favoriten eingeblendet sind, können über dieses Symbol zur besseren Übersicht alle anderen Eigenschaften ausgeblendet werden.
Logisch sortiert | Mit diesem Icon können die angezeigten Eigenschaften nach ihrer logischen Zusammengehörigkeit sortiert werden.
Aufsteigend sortiert | Mit diesem Icon können die angezeigten Eigenschaften alphabetisch aufsteigend sortiert werden.
Absteigend sortiert | Mit diesem Icon können die angezeigten Eigenschaften alphabetisch absteigend sortiert werden.
Alle erweitern | Durch einen Klick auf das '+' am linken Rand des Eigenschaftenfensters können Sie einen geschlossenen Knoten öffen. Dieses Icon öffnet automatisch alle geschlossenen Knoten.
Alle reduzieren | Durch einen Klick auf das '-' am linken Rand des Eigenschaftenfensters können Sie einen offenen Knoten schließen. Dieses Icon schließt automatisch alle offenen Knoten.
Eigenschaftenhilfe einblenden | Ein eigenes Fenster mit einer Beschreibung der ausgewählten Eigenschaft wird eingeblendet. Um das Hilfe-Fenster zu schließen, klicken Sie auf das X am rechten oberen Rand des Fensters.


Favoriten im Eigenschaftenfenster

Erste Schritte -> Ein neues Projekt -> Projektierung des Projekts -> Favoriten im Eigenschaftenfenster

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Bei fast jeder Projektierung in zenon werden die Einstellungen dafür im Eigenschaftenfenster vorgenommen. Durch definieren von Favoriten können Sie sich oft benötigte Einstellungen übersichtlich zusammenfassen.

Führen Sie dazu folgende Schritte aus:

  • Wechseln Sie im Eigenschaftenfenster in die Ansicht Gruppiert.
    Hinweis: ist die Ansicht leer, wählen Sie Alle Eigenschaften ein-/ausblenden.
  • Erweitern Sie die diversen Knotenpunkte und Unterpunkte mit dem Symbol +.
    Alternativ wählen Sie den Button der Eigenschaftensymbolleiste Alle erweitern.
  • Erweitern Sie so den Knotenpunkt Grafische Ausprägung und den darin enthaltenen Knotenpunkt Runtime allgemein.
  • Wählen Sie den Eintrag Runtime-Titel, welchen Sie Ihren Favoriten hinzufügen wollen.
  • Wählen Sie im Kontextmenü (rechter Mausklick) 'Runtime-Titel' zu Favoriten hinzufügen.
  • Ihre Favoriten stehen in der gruppierten Ansicht als erster Eintrag.

Hinweis: Durch Klick auf das Symbol Favoriten ein-/ausblenden können Sie in Ihrer Eigenschaftenanzeige die Favoriten (un-)sichtbar machen.

info Info

Sie können Favoriten auch via Drag&Drop setzen. Wählen Sie dazu das gewünschte Eigenschaftenfeld und ziehen Sie dieses an die gewünschte Stelle im Knotenpunkt Favoriten.


Runtimeansicht

Erste Schritte -> Ein neues Projekt -> Projektierung des Projekts -> Runtimeansicht

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Um zur Runtime das Hauptfenster ohne Titel anzuzeigen:

  • Schalten Sie im zenon Editor in die gruppierte Ansicht.
  • Öffnen Sie die Gruppe Grafische Ausprägung.

  • Ändern Sie die Eigenschaft Runtime-Titel auf kein Titel (gesamter Schirm)

Hinweis: Damit wird das Programm-Fenster der Runtime ohne Titelleiste angezeigt.


Projektbeschreibung

Erste Schritte -> Ein neues Projekt -> Projektierung des Projekts -> Projektbeschreibung

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Personalisieren Sie Ihre Projektierung:

  • Wählen Sie dazu im Eigenschaftenfenster die Gruppe Allgemein
  • Wählen Sie den Eintrag Projektbeschreibung
  • Wählen Sie Hier klicken ->

Es öffnet sich ein Dialog:

Befüllen Sie die Eingabefelder mit Ihren Daten. Obwohl alle Eingaben optional sind wird empfohlen, detaillierte (und vor allem korrekte) Eingaben zu machen.


Mehrere Projekte in einem Arbeitsbereich

Erste Schritte -> Ein neues Projekt -> Mehrere Projekte in einem Arbeitsbereich

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Wenn Sie mehrere Projekte verwenden, ist eines der Projekte im Arbeitsbereich-Fenster fett markiert. Dies kennzeichnet das "Start Projekt". Das Startprojekt wird im Online- oder Simulationsmodus verwendet. Es ist immer das Startprojekt welches in der Runtime angezeigt wird. Es kann immer nur jeweils ein Projekt als Startobjekt angegeben sein.

Um das Startprojekt zu ändern,

  • wählen Sie ein Projekt im Arbeitsbereich-Fenster
  • führen den Befehl "Projekt aktivieren" im Kontextmenü (rechter Mausklick) aus.

Projekt im Speicher halten

Wenn Sie mehrere Projekte verwenden, sehen Sie jeweils den Strukturbaum des aktuell aktiven Projektes. Die deaktivierten Projekte verfügen in ihrer Ansicht über keinen Strukturbaum.

Um auch auf die Struktur der nicht aktiven Projekte zugreifen zu können, wählen Sie Projekt im Speicher halten im Kontextmenü (rechter Mausklick) auf ein deaktiviertes Projekt.


Praxistipps Projekte

Erste Schritte -> Ein neues Projekt -> Praxistipps Projekte

  • Wenn Sie mehrere Projekte in einem Arbeitsbereich verwenden, so nehmen Sie bei der Benennung Ihrer Projektierung darauf Rücksicht. Stellen Sie jeder Funktion, Variable ... ein Kürzel Ihres Projektes voran.
  • Wird mit einem neuen Arbeitsbereich gleichzeitig ein neues Verzeichnis erstellt sind alle wichtigen Daten für diesen Arbeitsbereich gesammelt vorhanden.
  • Projekte innerhalb eines Arbeitsbereiches können mit Drag&Drop verschoben werden
  • Projektierungen eines Projektes können in jedem beliebigen Projekt eines Arbeitsbereiches wiederverwendet werden.


Einführende Information zu diesem Tutorial

Erste Schritte -> Ein neues Projekt -> Einführende Information zu diesem Tutorial

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In diesem Tutorial wird Schritt für Schritt ein Projekt abgearbeitet.

Folgende Informationen werden vorab kurz beschrieben. Im weiteren Projektverlauf wird auf diese Projektierung Bezug genommen:

Noch in diesem Kapitel

Farbpaletten

Globale Symbolbibliothek


Farbpaletten

Erste Schritte -> Ein neues Projekt -> Einführende Information zu diesem Tutorial -> Farbpaletten

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Farbpaletten ermöglichen es, individuelle Farben in Farbpaletten zusammenzufassen. Sie können sich so ein Set von Farben definieren, dass sich bei Bedarf bequem sowohl im Editor als auch in der Runtime umschalten lässt. Alle Farben, die mit Hilfe der Palettenfarben definiert worden sind, lassen sich damit einfach austauschen.

Die Einheitliche Gestaltung von Corporate Designs lässt sich so sehr einfach erledigen. bei Bedarf kann das Design komplett (Palette wechseln) oder auch nur einzelne Farben (Farbe in Palette ändern) zentral geändert werden.

Farben, welche in Farbpaletten konfiguriert werden stehen in zenon zur Verfügung. Im weiteren Projektfortschritt dieses Tutorials werden Sie die nun folgende Projektierung anwenden.

So projektieren Sie die Farbpalette:

  • Öffnen Sie im Projektmanager in den Knoten Bilder.
  • Öffnen Sie mit der rechten Maustaste das Kontextmenü des Eintrags Farbpaletten.
  • Wählen Sie den Menüeintrag Farbpalette neu.
  • Wählen Sie in der Detailansicht des Projektmanagers Farbe neu...
    • Geben Sie als Bezeichnung Frost ein.
    • Wählen Sie als Farbe #0000FF
  • Definieren Sie vier weitere Farben nach untenstehenden Vorgaben:
  • Projektieren Sie drei weitere Farben als Grenzwertfarben für den Füllstand Ihrer Wassertanks:

info Info

Wird eine Farbe in der Farbpalette geändert so ändert sich diese Farbe überall dort, wo sie in Ihrer Projektierung verwendet wurde.

Wenn Sie für mehrere Füllstände dieselbe Farbe verwenden projektieren Sie trotzdem zwei Farben. Sie bleiben damit für spätere Änderungen flexibel.

Noch in diesem Kapitel

Weitere Farben dieses Tutorials

Eine zweite Farbpalette

Funktion Farbumschaltung


Weitere Farben dieses Tutorials

Erste Schritte -> Ein neues Projekt -> Einführende Information zu diesem Tutorial -> Farbpaletten -> Weitere Farben dieses Tutorials

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sie werden in diesem Tutorial bei verschiedenen Themen Farben einsetzen. Die genaue Anwendung dieser Farben wird im jeweiligen Kapitel näher erklärt.

Bereiten Sie diese bereits zu diesem frühen Zeitpunkt nach folgenden Angaben vor:

info Info

Die Farben der Abbildungen sind Vorschläge. Sie können diese nach Ihren Vorstellungen anpassen.


Eine zweite Farbpalette

Erste Schritte -> Ein neues Projekt -> Einführende Information zu diesem Tutorial -> Farbpaletten -> Eine zweite Farbpalette

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nachdem Sie nun die Farben Ihres Tutorialprojektes mit Hilfe von Farbpaletten projektiert haben werden Sie eine zusätzliche Möglichkeit der erweiterten Farbverwaltung kennenlernen.

Sie können für Ihre projektierten Farben Alternativfarben projektieren. Mit einer Funktion kann zwischen den beiden Farbwelten umgeschalten werden.

Für die Projektierung weiterer Farbpaletten:

  • Öffnen Sie im Projektmanager in den Knoten Bilder.
  • Öffnen Sie mit der rechten Maustaste das Kontextmenü des Eintrags Farbpaletten.
  • Wählen Sie den Menüeintrag Farbpalette neu.
  • Wechseln Sie im Eigenschaftenfenster in die Gruppe Farbe
  • Wählen Sie mit ... eine neue Farbe - z.B.: #C0C0C0
    Hinweis: nach Neuanlage einer Farbpalette sind automatisch alle Farben markiert. Dadurch wird die Zuweisung einer neuen Farbe automatisch auf die gesamte neue Farbpalette angewandt. Sollte diese Markierung nicht aktiv sein, so können Sie diese mit Klick auf die Überschrift Farbpalette 1 wieder herstellen. Sie können selbstverständlich jeder Farbe eine eigene Farbpalette zuordnen. In diesem Tutorial wird jedoch die Farbpalette 1 bei allen Farben einheitlich belegt.


Funktion Farbumschaltung

Erste Schritte -> Ein neues Projekt -> Einführende Information zu diesem Tutorial -> Farbpaletten -> Funktion Farbumschaltung

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Um Ihre verschiedenen Farbpaletten nutzen zu können projektieren Sie eine entsprechende Funktion.

Führen Sie dazu folgende Schritte aus:

  • Erstellen Sie eine neue Funktion
  • In dem sich nun öffnenden Dialog Funktionsauswahl öffnen Sie den Ordner Anwendung durch Klick auf [+].
  • Wählen Sie die Funktion Farbpalette umschalten
  • In dem sich öffnenden Dialog Farbpalette umschalten wählen Sie aus der Dropdownliste Farbpalette 0.
  • Schließen Sie den Dialog mit OK und wechseln Sie im Eigenschaftenfenster in die Gruppe Allgemein.
  • Im Eigenschaftenfeld Name geben sie switch_colour_table_1_bunt als Funktionsnamen an.

info Info

Wählen Sie "Diesen Dialog zur Runtime anbieten" um Runtimebenutzern die Möglichkeit zur Auswahl der Farbpaletten zu geben.

Projektieren Sie eine weitere Farbumschaltefunktion mit Farbpalette 1 als Ziel und switch_colour_table_1_black als Namen. Optional können Sie hier Diesen Dialog zur Runtime anbieten aktivieren.

info Info

Diese Projektierung wird mit Fortschritt dieses Projektes noch aktiv angewendet werden.


Globale Symbolbibliothek

Erste Schritte -> Ein neues Projekt -> Einführende Information zu diesem Tutorial -> Globale Symbolbibliothek

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Im Verlauf dieses Tutorials werden Sie auch Grafiken zur Visualisierung verwenden. Selbstverständlich können Sie eigene Grafikdateien verwenden.

In diesem Tutorial werden jedoch ausschließlich im Lieferumfang von zenon enthaltenen Grafiken der Globalen Symbolbibliothek verwenden.

info Info

Die Globale Symbolbibliothek stellt eine Auswahl an Grafiken für Ihre Projektierung zur Verfügung.


Der Editor - eine Beschreibung

Erste Schritte -> Der Editor - eine Beschreibung

Der zenon Editor ist die Oberfläche, wo Ihre Projekte "gebaut" und verwaltet werden. In ihm können Sie sämtliche Prozessschritte abbilden und steuerbar machen.

Bei zenon steht der Mensch im Mittelpunkt. Deshalb bietet auch der Editor eine Menge Hilfestellungen, die Ihnen die tägliche Arbeit erleichtern werden.

Noch in diesem Kapitel

Die Fenster des zenon Editors

Einstellungen des Editors

Menü Tools einbinden

Fensterverhalten editieren

Editorprofile projektieren


Die Fenster des zenon Editors

Erste Schritte -> Der Editor - eine Beschreibung -> Die Fenster des zenon Editors

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Der zenon Editor ist das zentrale Element Ihrer Projektierung. Zu einem besseren Verständnis dieses Tutorials werden hier nochmal die Editor-Fenster und Ihre Funktionen erklärt:

Die Benutzeroberfläche des Editors gliedert sich in verschiedene Bereiche:

Element

Inhalt

01 - Symbolleisten:

Sammlung der Symbolleisten für den Editor und seine Module. Sie stehen zur Verfügung für:

  • Andockbare Fenster
  • Ausrichtung
  • Bilder / Symbole
  • Editorprofile
  • Elemente
  • Menüleiste
  • Production & Facility Scheduler
  • Remote-Transport
  • Report Generator
  • Runtime Dateien
  • Sichtbarkeitsebenen
  • VBA-Makros

02 - Projektmanager:

Baumansicht des Projektmanagers.

03 - Detailansicht des Projektmanagers:

Details zum im Projektmanager ausgewählten Modul.

04 - Hauptfenster:

Hauptarbeitsbereich, hier werden Dokumente wie Bilder oder Reports dargestellt.

05 - Symbolleiste Elemente:

Symbolleiste für die Elemente der Bilder - Vektor-Elemente und Dynamische Elemente.

06 - Eigenschaften

Zeigt Eigenschaften des ausgewählten Objekts an. Dafür stehen drei Modi zur Verfügung, die in der Symbolleiste der Eigenschaften ausgewählt werden.

07 - Eigenschaftenhilfe:

Zeigt kurze Hilfeeinträge zu Eigenschaften von Bildern, Variablen, Funktionen und anderen Elementen, die parametriert werden, an.

08 - Ausgabefenster

Anzeige von Meldungen, wenn Projekte kompiliert und zur Runtime abgesetzt werden.

09 - Statusleiste:

Zeigt Statusinformationen zur Editorbereitschaft und für Bilder an.

10 - Symbolleiste Eigenschaften:

Definiert Anzeige und Sortierung der Eigenschaften, blendet Eigenschaftenhilfe ein.

11 - Querverweisliste:

Welche Fenster angezeigt werden, wählen Sie aus:

  • in der Dropdownliste unter Optionen

Die Anordnung der Fenster lässt sich individuell anpassen. Nur das Hauptfenster kann nicht ausgeblendet werden.


Einstellungen des Editors

Erste Schritte -> Der Editor - eine Beschreibung -> Einstellungen des Editors

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Erste Einstellungen für Aussehen und Verhalten Ihres Editors setzen Sie in den Grundeinstellungen.

So verändern Sie die Grundeinstellungen Ihres Editors:

  1. öffnen Sie den Dialog Einstellungen von der Menüzeile Optionen
  2. wählen Sie Ihre Einstellungen in den einzelnen Registerkarten

info Info

zenon bietet verschiedene Möglichkeiten Ihren Editor an Ihre Bedürfnisse anzupassen. Machen Sie für effizientes Arbeiten Gebrauch von den Möglichkeiten dieser Anpassung.


Menü Tools einbinden

Erste Schritte -> Der Editor - eine Beschreibung -> Menü Tools einbinden

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Mit Hilfe der Menü Tools können Sie Programme Ihres Computers direkt in die Menüleiste von zenon integrieren. Die so individuell eingebundenen Programme erscheinen am Ende des Menüpunktes Optionen.

So binden Sie Tools in das Menü des zenon Editors ein:

  • Öffnen Sie das Einstellungsfenster indem Sie in der Menüzeile Optionen den Eintrag Einstellungen wählen
  • Wechseln Sie zur Registerkarte Menü Tools
  • Fügen Sie Ihre Anwendung mit Neu... hinzu
  • Wählen Sie die Anwendung auf Ihrem Computer - in diesem Tutorial wird der Taschenrechner dem Editor angehängt. Dieses Programm finden Sie auf Ihrem Computer: C:\Windows\system32, Dateiname: calc.exe
  • Benennen Sie Ihren Menüeintrag im Eingabefeld Menü Text mit Taschenrechner
  • Beenden Sie die Eingabe mit OK

Überprüfen Sie Ihre Menü Tools Konfiguration indem Sie die Menüzeile Optionen öffnen. Das Programm calc.exe mit dem Eintrag Taschenrechner findet sich nun am Ende der Menüleiste.

info Info

Für einen schnellen Programmaufruf in zenon personalisieren Sie die Menüleiste Ihres Editors.


Fensterverhalten editieren

Erste Schritte -> Der Editor - eine Beschreibung -> Fensterverhalten editieren

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sie können das Fensterverhalten Ihres zenon sehr einfach anpassen.

Wichtig dabei ist nur, dass Sie Ihren Kontextmenüaufruf (Maus + Rechtsklick) immer direkt in der Leiste mit der Fensterüberschrift tätigen. In diesem Beispiel links neben der Überschrift Projektmanager.

Unverankert

Diese Auswahl öffnet das gewählte Fenster in einem eigenen Fenster.

Andocken (default)

Positioniert das gewählte Fenster in der in zenon vorgesehenen Position

Im Hauptfenster aufschalten

Stellt das gewählte Fenster in einer eigenen Registerkarte im Hauptfenster dar.

Automatisch ausblenden

Blendet das gewählte Fenster aus. Wird die Maus über die Registerkarte des ausgeblendeten Fensters positioniert wird das Fenster automatisch eingeblendet.


Editorprofile projektieren

Erste Schritte -> Der Editor - eine Beschreibung -> Editorprofile projektieren

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Mit Hilfe der Editorprofile können Sie sich die Fensteranordnungen Ihres Editors dauerhaft abspeichern.

So projektieren Sie Ihr Editorprofil

  • Rufen Sie die Symbolleiste Editorprofile auf. Wird die Symbolleiste nicht angezeigt, kann sie über das Menü Ansicht -> Symbolleisten aktiviert werden.
  • Stellen Sie die Fenster Ihres Editors nach Ihren optimalen Bedürfnissen pro Modul zusammen. Wählen Sie dazu im Projektbaum ein Modul und arrangieren Sie die Fenster Ihres Editors nach Ihren Vorstellungen.
  • Wählen Sie für diese Ansicht eine Ebene der Editorprofile
  • Benennen Sie diese Ebene mit Individuelle Namen für Editorprofile vergeben
  • Speichern Sie jede Einstellung mit Selektiertes Editorprofil speichern
  • Beim Aufruf eines Moduls aus dem Projektmanager-Knoten schaltet Ihr Editor nun automatisch auf die projektierte Ansicht.

Hinweis: Ist die Funktion Automatisches Speichern des Editor-Profiles aktiviert, werden Ihre Einstellungen direkt in ihrem personalisierten Profil gespeichert. Eine extra Speicherfunktion ist dadurch nicht mehr notwendig.

Noch in diesem Kapitel

Personalisierung des Editors


Personalisierung des Editors

Erste Schritte -> Der Editor - eine Beschreibung -> Editorprofile projektieren -> Personalisierung des Editors

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Editorprofile sind Ansichten Ihres Editors, welche auf Module angewendet werden können. Bei Aufruf des jeweiligen Moduls aus dem Projektmanager werden die dazugehörigen Fenster in dem zugehörigen Editorprofil dargestellt.

Beispiel:

Sehr viel übersichtlicher wird diese Funktion anhand eines Beispiels. Sehen Sie sich in zenon einmal das Zusammenspiel der Fenster an.

  • Rufen Sie dazu im Projektmanager den Knoten Variablen auf.
  • Im Vergleich dazu rufen Sie im Projektmanager den Knoten Bilder auf.

Sie merken, dass für die Projektierung von Bildern ein "zusätzliches" Fenster für eine sinnvolle Projektierung notwendig ist.

Da dieses Fenster bei Variablen nicht benötigt wird nimmt es dadurch Platz weg. Mit Hilfe der in zenon vorhandenen Editorprofile können Sie Ansichten abhängig von Programmmodulen erstellen.

info Info

Mit dem Befehl Standardprofil laden kehren Sie im Editor zur Default-Ansicht zurück.


Backup

Erste Schritte -> Backup

Wer kennt sie nicht, die Frustration wenn die Arbeit der letzten Stunden oder sogar mehrerer Tage plötzlich verschwunden ist. Abhilfe schafft ein Backup.

Zeitgerechte und regelmäßige Updates helfen im Bedarfsfall Zeit und Nerven zu sparen. Deshalb wird diese Thematik gleich zu Beginn dieses Tutorials behandeln.

Folgende zwei Möglichkeiten stehen zur Verfügung:

  • Backup des Arbeitsbereiches
  • Backup eines Projektes

info Info

Machen Sie regelmäßig Backups Ihrer Arbeit. Auch wenn Sie vor einer neuen Herausforderung stehen kann Ihnen ein Backup helfen zu einem funktionierenden Stand zurückzukehren.

Noch in diesem Kapitel

Backup des Arbeitsbereiches

Backup des Projektes

Backup Comparsion Wizard


Backup des Arbeitsbereiches

Erste Schritte -> Backup -> Backup des Arbeitsbereiches

Das Backup eines Arbeitsbereiches enthält alle darin enthaltenen Projekte. Sicherungen von Arbeitsbereichen werden als *.wsb Dateien gespeichert. Der Name kann beliebig gewählt werden.

Noch in diesem Kapitel

Backup erstellen

Backup zurücklesen


Backup erstellen

Erste Schritte -> Backup -> Backup des Arbeitsbereiches -> Backup erstellen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Um ein Backup des gesamten Arbeitsbereiches zu erstellen:

  • Wählen Sie im Kontextmenü des Arbeitsbereichs den Eintrag Arbeitsbereich -> Sicherung erstellen... aus.


Backup zurücklesen

Erste Schritte -> Backup -> Backup des Arbeitsbereiches -> Backup zurücklesen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Bei geöffnetem/geschlossenem Arbeitsbereich:

  • Wählen Sie im Kontextmenü des Arbeitsbereichs den Eintrag Arbeitsbereich -> Sicherung rücklesen... aus.

Sie können nun eine Sicherung auswählen und den Ordner festlegen, in den der Arbeitsbereich rückgelesen werden soll.


Backup des Projektes

Erste Schritte -> Backup -> Backup des Projektes

Im Gegensatz zur Arbeitsbereichssicherung finden die Projektsicherungsoptionen immer nur auf das ausgewählte Projekt Anwendung. Andere im Arbeitsbereich enthaltene Projekte werden nicht mitgesichert.

Dies betrifft vor allem die Allgemeine Symbolbibliothek und Globalprojekte.

Noch in diesem Kapitel

Versionierung von Projektsicherungen

Projektsicherungen

Projektsicherung erstellen

Projekt rücksichern

Projekte weitergeben

Projektkopie sichern


Versionierung von Projektsicherungen

Erste Schritte -> Backup -> Backup des Projektes -> Versionierung von Projektsicherungen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Projektsicherungen können versioniert werden. Versionen werden durch fortlaufende Nummerierung und Datum/Uhrzeit ihrer Erstellung identifiziert und gereiht.

Um die Versionierung zu aktivieren:

  • navigieren Sie in den Projekteigenschaften zum Knoten Allgemein
  • navigieren Sie zum Bereich Versionierung
  • aktivieren Sie die Eigenschaft Versionierung aktiv
  • vergeben Sie in der Eigenschaft Hauptversion: eine Hauptnummer

Damit wird bei jeder Projektsicherung eine Nummer für die Projektversion erstellt. Diese besteht aus der Hauptversion und einer intern vergebenen Detailnummer, getrennt durch einen Punkt. Diese Detailnummer wird mit jeder Projektsicherung um eins erhöht. Die Version einer Projektsicherung wird angezeigt in:

  • der Detailansicht des Knotens Projektsicherung
  • im Dialog zum Rücklesen eine Sicherung in den Arbeitsbereich


Projektsicherungen

Erste Schritte -> Backup -> Backup des Projektes -> Projektsicherungen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Für die Abwicklung von Projektsicherungen bietet zenon im Projektbaum einen eigenen Knoten.

Diesen finden Sie im Projektbaum an letzter Stelle:


Projektsicherung erstellen

Erste Schritte -> Backup -> Backup des Projektes -> Projektsicherung erstellen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Um Ihnen die Handhabung von Projektsicherungen so einfach wie möglich zu gestalten, nutzen Sie die zenon interne Projektsicherung. Damit müssen Sie sich nicht um SQL-Datenbanken-Migrierungen, Permissionvergabe und Anpassungen in MS-SQL kümmern.

Um eine Projektsicherung vorzubereiten:

  • Wechseln Sie im Projektmanager in den Knoten Projektsicherungen.
  • Mit dem Kontextmenü (Maus + Rechtsklick) rufen Sie Sicherung erstellen... auf.
  • In dem sich öffnenden Dialog Sicherung geben Sie Name und Beschreibung ein.

Im Detailfenster werden Ihre bisher angelegten Projektsicherungen angezeigt und verwaltet:


Projekt rücksichern

Erste Schritte -> Backup -> Backup des Projektes -> Projekt rücksichern

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Für die Rücksicherung Ihrer Projekte gehen Sie wie folgt vor:

  • Wechseln Sie im Projektmanager auf den Knoten Projektsicherungen.
  • Wählen Sie in der Detailliste das gewünschte Backup aus.
  • Via Kontextmenü bzw. Symbol wählen Sie:
    • Sicherung rücklesen...
    • Sicherung als neues Projekt rücklesen...

info Info

Wenn das einzuspielende Backup noch nicht in Ihrer Projektsicherungsliste im Detailfenster aufscheint so müssen Sie dieses erst via Sicherung importieren bereitstellen.

Wählen Sie dazu im Kontextmenü der Projektsicherungen Sicherungen importieren...


Projekte weitergeben

Erste Schritte -> Backup -> Backup des Projektes -> Projekte weitergeben

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Auch für die Weitergabe Ihres Projektes an einen Projektpartner, Kunden oder Projektpartner ist die Projektsicherung bestens geeignet.

In diesem Falle führen Sie folgende Schritte aus:

  • Wählen Sie eine Projektsicherung aus der Detailliste
  • Wählen Sie das Kontextmenü bzw. das Symbol Sicherung exportieren...
  • Im folgenden Dialog wählen Sie den Speicherort Ihres Projektbackups.

info Info

Ihre Projektsicherung wird automatisch als .zip-datei gesichert.

Projekte einlesen

Für den Fall, dass Sie eine Projektierung zur Weiterentwicklung zugeschickt bekommen gehen Sie dementsprechend umgekehrt vor:

  • Importieren Sie zuerst die Projektsicherung.
  • Wählen Sie anschließend in der Detailliste die soeben importierte Projektsicherung.
  • Gehen Sie gleich vor, wie wenn Sie ein Backup rücklesen


Projektkopie sichern

Erste Schritte -> Backup -> Backup des Projektes -> Projektkopie sichern

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Der Befehl Projekt speichern unter... erzeugt eine Kopie und fügt diese dem aktuellen Arbeitsbereich automatisch hinzu. Sie können diesen Befehl auch dazu nutzen, eine Kopie Ihrer Projektierung zu erstellen und dann weiterzugeben.

Um eine Projektsicherung zu erstellen:

  • Wählen Sie im Projektbaum das entsprechende Projekt
  • klicken Sie im Projektmanager mit der rechten Maustaste auf Projekt und wählen Speichern unter... aus.
  • Der Dialog für die Projektsicherung wird geöffnet:

info Info

Auch bei der Sicherung des Arbeitsbereichs werden alle Projekte des Arbeitsbereichs gesichert. Diese sind allerdings nicht im Knoten Projektsicherung enthalten und können auch nicht einzeln rückgesichert werden.


Backup Comparsion Wizard

Erste Schritte -> Backup -> Backup Comparsion Wizard

Wenn Sie zwei Backups miteinander vergleichen wollen, so nutzen Sie den entsprechenden Wizard.

zenon bietet im Ordner Project den Backup Comparsion Wizard an. Dieser vergleicht innerhalb zweier Backups die gewünschten Inhalte.

So rufen Sie den Backup Comparsion Wizard auf:

  • Wählen Sie in der Menüleiste Datei -> Wizards...
  • Öffnen Sie den Ordner Project und wählen Sie Backup Comparsion Wizard

In der Registerkarte Settings wählen Sie:

  • Die Backups, welche Sie vergleichen wollen (Latest version / Older version)
  • Die Modulinhalte, welche Sie vergleichen wollen.


Variablen

Erste Schritte -> Variablen

In diesem Schritt lernen Sie, wie zenon sich zu einem Prozess verbindet und Werte aus der Steuerung bekommt.

Dazu werden:

  • Ein Treiber für die Kommunikation mit der SPS angelegt.
  • Einfache und strukturierte Datentypen genutzt und konfiguriert
  • Einfache und strukturierte Variablen, basierend auf Datentypen und Treiber projektiert

Im nächsten Tutorialsschritt wird ein Treiber angelegt. Darauf folgend werden entsprechende Variablen definiert.

info Info

Mit Hilfe von Treibern wird die Kommunikation zu einer SPS ermöglicht.

Datentypen definieren die Logik.
Variablen interagieren auf diesem Kommunikationsweg und definieren Steuerungsprozesse.

Noch in diesem Kapitel

Treiber

Datentypen

Variablen


Treiber

Erste Schritte -> Variablen -> Treiber

Um mit einer Datenquelle (SPS, Feldbus, etc.) kommunizieren zu können, ist die Anbindung eines Treibers notwendig. Treiber sind die Schnittstelle zwischen zenon Runtime als HMI und SPS als ausführende Stelle. Dabei können in zenon für verschiedene Anlagen unterschiedliche SPS mit dem jeweiligen Treiber angesprochen werden.

Zu Beginn eines Projektes müssen die gewünschten Treiber definiert (abhängig je nach SPS, etc.) und die dazugehörigen Prozessvariablen angelegt werden.

info Info

Im Modus Hardware würde zenon beim Start der Runtime sofort versuchen eine Verbindung zu der Steuerung aufzubauen. Da in diesem Tutorial keine Steuerung zur Verfügung steht, würde zenon alle Werte als gestört anzeigen.

Noch in diesem Kapitel

Projektierung eines neuen Treibers

Treiberkonfiguration


Projektierung eines neuen Treibers

Erste Schritte -> Variablen -> Treiber -> Projektierung eines neuen Treibers

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Um einen Treiber anzulegen:

  • Öffnen Sie im Projektmanager den Knoten Variablen.
  • Öffnen Sie nun mit der rechten Maustaste das Kontextmenü des Eintrags Treiber.
  • Wählen Sie den Menüeintrag Treiber neu.

Die Dialogbox zur Auswahl eines Treibers öffnet sich.

Scrollen Sie in der Auswahl für Verfügbare Treiber so weit, bis der Ordner Siemens erscheint.
Hinweis: durch Eingabe der ersten Buchstabe springt die Auswahl zum Ordner mit dem entsprechenden Buchstaben. Beispiel: Eingabe von s i springt zum Ordner Siemens.

  • Öffnen Sie die Baumansicht durch Klick auf [+].
  • Wählen Sie den Treiber S7 TCP-IP aus. In Treiberbezeichnung wird der Eintrag automatisch übernommen wie in der Dialogbox Definition eines Treibers. Verlassen Sie die Dialogbox durch eine Bestätigung mit OK.

Damit öffnet sich die Dialogbox für die Konfiguration des Treibers.

info Info

Treiber für interne Variablen, Mathematik-Variablen sowie System-Variablen werden bei der Neuanlage eines Projektes automatisch vorinstalliert.


Treiberkonfiguration

Erste Schritte -> Variablen -> Treiber -> Treiberkonfiguration

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Konfigurieren Sie nun Ihren Treiber:

  • Setzen Sie den Modus auf Simulation zählend.
    Hintergrund: Im Modus Hardware würde zenon beim Start der Runtime sofort versuchen eine Verbindung zu einer real existierenden Steuerung aufzubauen. Da diese aber sehr wahrscheinlich nicht zur Verfügung steht, würde zenon alle Werte als gestört anzeigen, wenn der Modus Hardware gewählt ist.
  • Schalten Sie die Update Zeit global aus.
    Hintergrund: Durch diese Einstellung besteht bei der Definition der Variablen die Möglichkeit jeder einzelnen Variable eine von vier verschiedenen Updatezeiten zuzuordnen. Diese vier Updatezeiten lassen sich im unteren Teil dieses Dialogs unter Priorität einstellen.

Die weiteren Registerkarten dieses Dialoges sind treiberspezifisch, d.h. je nach ausgewähltem Treiber unterschiedlich. Diese weiteren Einstellungen können in diesem Tutorial vernachlässigt werden, da keine reale Steuerung angesprochen wird.


Datentypen

Erste Schritte -> Variablen -> Datentypen

Ein Datentyp ist eine Variablenvorlage ohne Bezug zum Prozess. Dieser Prozessbezug wird erst mit dem Treiberobjektyp bei der Variable geschaffen.

Zusätzlich zu den vordefinierten Datentypen können Sie auch selbst Datentypen erstellen. Dabei stehen Ihnen zwei Möglichkeiten zur Verfügung: Einfache und Struktur Datentypen.

In diesem Schritt werden Sie lernen, wie man einfache bzw. Struktur Datentypen erstellt.

info Info

Die Eigenschaften werden jeweils vom zugrunde liegenden Datentyp referenziert. Wenn eine Eigenschaft beim Datentyp geändert wird, ändert sich diese Eigenschaft bei allen Variablen mit, die mit diesem Datentyp erstellt worden sind. Dadurch müssen Änderungen an einem Dateityp nicht für jede Variable einzeln "geändert" werden.

Noch in diesem Kapitel

Vorinstallierte Datentypen

Übersicht der von zenon unterstützten Datentypen:

Einfachen Datentyp neu erstellen

Struktur Datentyp neu erstellen

Tipps für Datentypen


Vorinstallierte Datentypen

Erste Schritte -> Variablen -> Datentypen -> Vorinstallierte Datentypen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Diese werden standardmäßig mit zenon ausgeliefert und stehen beim Anlegen einer neuen Variablen sofort zur Verfügung. Sie entsprechen den In der IEC 61131-3 genormten Einfachen Datentypen wie INT, USINT usw. Sie definieren einen festgelegten Wertbereich (fixe Ober- und Untergrenze) mit einer festgelegten Anzahl an Werten. Daher können reelle Zahlen als Gleitkommazahlen nur mit einer bestimmten Genauigkeit abgebildet werden.

info Info

Die Eigenschaften der Einfachen Datentypen können geändert werden. Der Name dieser Datentypen stimmt mit den Namen der zugrunde liegenden IEC Datentypen überein, dieser und der IEC Datentyp können weder geändert noch gelöscht werden.

Die Datentypen sind in zenon erst sichtbar, wenn ein Treiber im Projekt angelegt ist. Jeder Treiber bringt eine Liste mit den Datentypen mit, die er unterstützt.

attention Achtung

Änderungen der Eigenschaften bei den Datentypen wirken sich auf alle damit verknüpften Variablen und auch bei allen damit verknüpften Struktur-Datentypen aus!


Übersicht der von zenon unterstützten Datentypen:

Erste Schritte -> Variablen -> Datentypen -> Übersicht der von zenon unterstützten Datentypen:

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Kurzbezeichnung

Langbezeichnung

Bemerkung/Wertebereich

Anzahl Bits

BOOL

Boolean

Bit: 0/1

1

BYTE

SINT

Short integer

Vorzeichenbehaftetes Byte:

-128 bis 127

8

USINT

Unsigned short integer

Byte: 0 bis 255

8

INT

Integer

Vorzeichenbehaftetes Word:

-32768 bis 32767

16

UINT

Unsigned integer

Word: 0 bis 65535

16

DINT

Double integer

Vorzeichenbehaftetes Double:

-2147483648 bis 2147483647

32

UDINT

Unsigned double integer

Double:

0 bis 4294967295

32

LINT

Long integer

Da zenon den Wertbereich einer 64bit-Zahl nicht halten kann, wird der wirkliche Zahlenbereich auf 52 Bit beschränkt. Vorzeichenbehaftete Zahlen sind im Bereich von –2251799813685248 bis 2251799813685247 möglich. Zahlen ausserhalb dieses Bereiches bewirken einen Über- bzw Unterlauf entsprechend eines 52Bit integer.

Mit voller 64 Bit Auflösung arbeiten in der zenon Runtime folgende Teile:

  1. Das shared memory VBA Interface, wenn der Wert in Signalauflösung angegeben ist.
  2. Die Logic zu SCADA Verbindung.
  3. Das Treiberkit ist für den gesamten Zahlenbereich von 64 Bit tauglich und somit alle Treiber, sofern der Treiber diesen IEC Datentyp unterstützt. Derzeit sind dies Sample32, Intern und STRATON32.

RGM und Rezepte können selbst einen 52Bit Wert nicht mit voller Genauigkeit speichern.

64 bzw. 52

ULINT

Unsigned long integer

Da zenon den Wertbereich einer 64bit-Zahl nicht halten kann, wird der wirkliche Zahlenbereich auf 52 Bit beschränkt. Vorzeichenlose Zahlen sind im Bereich von 0 bis 4503599627370496 möglich. Zahlen ausserhalb dieses Bereiches bewirken einen Über- bzw Unterlauf entsprechend eines 52Bit integer.

Mit voller 64 Bit Auflösung arbeiten in der zenon Runtime folgende Teile:

  1. Das shared memory VBA Interface wenn der Wert in Signalauflösung angegeben.
  2. Das shared memory zenon Logic interface.
  3. Das Treiberkit ist für den gesamten Zahlenbereich von 64 Bit tauglich und somit alle Treiber, sofern der Treiber diesen IEC Datentyp unterstützt. Derzeit sind dies Sample32, Intern und STRATON32.

RGM und Rezepte können selbst einen 52Bit Wert nicht mit voller Genauigkeit speichern.

64 bzw. 52

REAL

Real numbers

Reale Zahl

32

LREAL

Real numbers

Reale Zahl

64

STRING

Variable-length single byte character string

ASCII String (die max. Stringlänge ist Treiberabhängig).
Die Stringlänge wird Default auf 5 Zeichen gesetzt. Beim Projektieren ist gegebenenfalls die richtige Länge anzugeben.

>= 8xStringlänge

WSTRING

Variable-length

multi-byte character string

Enthält Multi-Byte Strings, zum Beispiel Strings in Unicode Kodierung (UTF-8 etc).
Die Stringlänge wird Default auf 5 Zeichen gesetzt. Beim Projektieren ist gegebenenfalls die richtige Länge anzugeben.

>= NxStringlänge

DATE

Date

IEC-Datum in Schritten von 1 Tag

16

TIME

Duration

Zeitdauer im IEC-Format. IEC-Zeit in Schritten von 1 ms, Ganzzahl mit Vorzeichen

32

TOD

Time of day

Uhrzeit (Tageszeit) in Schritten von 1ms

32

DATE_AND_TIME

Date and time of day

Definiert einen Zeitbereich mit 64 Bit und wird in einem binärcodierten Dezimalformat gespeichert.

64

attention Achtung

Vor dem nachträgliche Ändern des IEC Datentyps wird ausdrücklich gewarnt!
Am IEC Datentyp hängen sehr viele Einstellungen, die manuell nachkonfiguriert werden müssen, wenn der IEC Datentyp geändert wird. (Bsp: Signalbereich, Messbereich, Hysterese, Sollwertgrenzen, nichtlineare Wertanpassung usw...).


Einfachen Datentyp neu erstellen

Erste Schritte -> Variablen -> Datentypen -> Einfachen Datentyp neu erstellen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Aufbauend auf vorinstallierte Datentypen können Sie Ihre eigenen Datentypen projektieren. Diese beziehen sich jeweils auf den Basis-Datentyp.

Der Vorteil: wird ein Basis- oder Struktur Datentyp geändert werden diese Änderungen an alle damit verbundenen Projektierungen weitergegeben.

Für die Erstellung eines Einfachen Datentyps:

  • Öffnen Sie im Projektmanager den Knoten Variablen.
  • Öffnen Sie mit der rechten Maustaste das Kontextmenü des Eintrags Datentypen.
  • Wählen Sie den Menüeintrag Einfacher Datentyp neu.

  • Geben Sie als Namen des neuen einfachen Datentyps Temperatur ein.
  • Als Basis-Datentyp wählen Sie SINT aus.

Mit Fertigstellen wird der Datentyp angelegt und steht nun in der Liste der Datentypen zur Verfügung.

info Info

Durch Auswahl des Basis-Datentyps SINT sind Werte von -128 bis 127 verarbeitbar.

Noch in diesem Kapitel

Projektierung des Datentyps

Setzen von Grenzwerten


Projektierung des Datentyps

Erste Schritte -> Variablen -> Datentypen -> Einfachen Datentyp neu erstellen -> Projektierung des Datentyps

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nach Neuanlage eines Datentypes wird dieser im Eigenschaftenfenster parametriert.

Für die Anpassung an die Vorgaben dieses Tutorials führen Sie folgende Schritte aus:

  • Wählen Sie den Datentyp Temperatur in der Liste aus.

Im Eigenschaftenfenster werden jetzt die Eigenschaften des Datentyps Temperatur angezeigt und können dort konfiguriert werden.

  • Öffnen Sie die Gruppe Allgemein .
  • Öffnen Sie die Gruppe Wertberechnung.
  • Passen Sie die Eigenschaften Einheit , Nachkommastellen , Wertanpassung linear und Wertbereich Steuerung des Datentyps an wie in den obigen Abbildungen dargestellt.

Wertanpassung linear

Numerischer Wert vom Temperaturfühler; definiert in diesem Beispiel die niedrigste und höchste Temperatur, welche gemessen wird.
In diesem Tutorial-Beispiel sind dies minimal -10,0 °C und maximal +100 °C.


Setzen von Grenzwerten

Erste Schritte -> Variablen -> Datentypen -> Einfachen Datentyp neu erstellen -> Setzen von Grenzwerten

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Grenzwerte haben die Aufgabe, bei Erreichen oder Überschreiten einer Grenze oder eines Zustandes eine Reaktion auszulösen. Die Grenze wird für dieses Tutorial feststehend im Editor eingetragen.

Grenzwerte können einzeln pro Variable oder strukturiert in Datentypen projektiert werden.

Die Reaktionsarten sind sehr vielfältig.
Zum Beispiel: Farbumschläge, Alarm-, CEL Einträge, Ausdrucke, Funktionsaufrufe usw.

Für die Erstellung eines Grenzwertes:

  • Wählen Sie den Datentyp Temperatur aus der Liste der Datentypen aus.
  • Öffnen Sie im Eigenschaftenfenster die Gruppe Grenzwerte.
  • Wählen Sie den Eintrag <Grenzwert neu>.

Eine neue Untergruppe mit dem Namen Grenzwert[1] wird angelegt.

  • Öffnen Sie die Untergruppe Grenzwert[1] .

  • Setzen Sie drei weitere Grenzwerte nach folgenden Angaben:
Grenzwert | Benennung
5 °C (Minimum) | Frostgefahr
75 ° C (Maximum) | Hitzewarnung
90 °C (Maximum) | Überhitzung
  • Setzen Sie im Eigenschaftenfeld Zusatzattribute[1] die Grenzwertfarbe aus der Farbpalette.

    Wiederholen Sie diese Parametrierung für alle Grenzwerte.

info Info

Die Projektierung von Grenzwerten definiert das Verhalten für numerische Variablen.


Struktur Datentyp neu erstellen

Erste Schritte -> Variablen -> Datentypen -> Struktur Datentyp neu erstellen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Strukturierte Datentypen verfügen im Gegensatz zu Einfachen Datentypen über komplexere Strukturen, da mehrere Datentypen zu einem zusammengefasst werden. Ein Strukturdatentyp ist eigentlich nur eine Hülle, die den Namen für die Struktur vergibt, selbst jedoch keine eigenen Eigenschaften mitbringt. Diese kommen erst mit den Strukturelementen, die Sie einfach dem Strukturdatentyp hinzufügen (vgl. Struktur Element erstellen).

  • Öffnen Sie im Projektmanager die Verzweigung Variablen.
  • Öffnen Sie mit der rechten Maustaste das Kontextmenü des Eintrags Datentypen.
  • Wählen Sie den Menüeintrag Struktur Datentyp neu.

  • Geben Sie als Namen des neuen Struktur Datentyps Heizung ein.

Struktur Element erstellen

Nachdem Sie den Struktur Datentyp fertig gestellt haben, öffnet sich eine Dialogbox, in der Sie das erste Struktur Element dieses Datentyps definieren können.

  • Geben Sie als Namen des neuen Struktur Elements Heizungsschalter ein.
  • Als Basis-Datentyp wählen Sie BOOL aus. Der Datentyp soll dabei eingebettet werden.

info Info

Wenn ein Basis-Datentyp in einem Struktur Datentyp eingebettet wird, so können die Eigenschaften im Struktur Element unabhängig vom Basis-Datentyp geändert werden. Eine "Vererbung" findet nicht statt.

Nach dem Fertigstellen des Struktur Elements wird der Struktur Datentyp in der Liste angelegt.

Erstellen Sie jetzt noch weitere Struktur Elemente in diesem Datentyp:

  • Öffnen Sie mit der rechten Maustaste das Kontextmenü des Struktur Datentyps 'Heizung'.
  • Wählen Sie den Menüeintrag Struktur Element neu.
Parameter | Beschreibung
Name | Temperaturfühler
Datentypbasis | Temperatur
Struktur-Optionen | Datentyp verknüpfen

Noch in diesem Kapitel

Projektierung der Datentypen für dieses Tutorial

Unterscheidung: Eingebettet - Verknüpft


Projektierung der Datentypen für dieses Tutorial

Erste Schritte -> Variablen -> Datentypen -> Struktur Datentyp neu erstellen -> Projektierung der Datentypen für dieses Tutorial

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Zusätzlich zu dem bereits projektierten Struktur Datentyp Heizung projektieren Sie folgende Struktur Datentypen:

Tank

Name

Datentyp

Beschreibung

Zufluss - Schalter

Bool

eingebettet

Abfluss - Schalter

Bool

eingebettet

Heizungselemente

Struktur-Datentyp Heizung
(bereits projektiert)

verknüpft

Info

Durch Hinzufügen des Struktur-Datentyps Heizung werden alle darin enthaltenen Strukturelemente in den Strukturdatentyp Tank übernommen.

In diesem Tutorial wird der im Struktur-Element Heizung enthaltene Temperaturfühler sowohl für die Darstellung der Wassertemperatur als auch für die automatische Steuerung der Heizung verwendet.

Motor

Name | Datentyp | Beschreibung
Kraftstofftank | USINT | eingebettet
Drehzahl | UDINT | eingebettet
Motortemperatur | Temperatur (Struktur-Element) | eingebettet

In diesem Beispiel ist der Datentyp Temperatur eingebettet. Dadurch können unabhängige Grenzwerte projektiert werden.


Unterscheidung: Eingebettet - Verknüpft

Erste Schritte -> Variablen -> Datentypen -> Struktur Datentyp neu erstellen -> Unterscheidung: Eingebettet - Verknüpft

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sie haben beim Aufbau des Strukturierten Datentypes Heizung zwei Arten der Einbindung verwendet: verlinkt und eingebettet. Der Unterschied kurz erklärt:

Verknüpft:

Der verknüpfte Datentyp ist nur ein Bezug zu einem bereits bestehenden Datentyp. Sie übernehmen in die Struktur also alle Eigenschaften dieses Datentyps, ausgenommen den Namen.

Der Vorteil: Hat Ihr Strukturelement sehr viele Eigenschaften eines bereits existierenden Datentyps, können Sie diesen einfach wiederverwenden und so auch den zentralen Ansatz wieder nutzen. Ändert sich der ursprüngliche Datentyp, ändern sich alle davon abgeleiteten verknüpften Struktur-Elemente mit!

info Info

Bei der Variablen können Sie natürlich nach wie vor einzelne Eigenschaften ändern oder vom Datentyp trennen. Wollen Sie jedoch sicher sein, dass der Datentyp einzig und alleine für diese Struktur genutzt wird und Sie Adressierungseinstellungen vornehmen können, dann wählen Sie einen eigenen eingebetteten Datentyp. Damit erstellen Sie einen neuen Datentyp, der ausschließlich innerhalb dieser Struktur gültig ist.

Eingebettet:

Eingebettete Element können von ihrem Ursprungs-Datentyp unterschiedliche Eigenschaften übernehmen. Die Eigenschaften werden bei jedem Struktur-Element extra eingestellt und dort gespeichert.

Wird der Ursprungs-Datentyp geändert werden diese Änderungen nicht an die eingebetteten Variablen weitervererbt.


Tipps für Datentypen

Erste Schritte -> Variablen -> Datentypen -> Tipps für Datentypen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
  • Wann immer möglich, legen Sie Ihre Datentyp als Strukturelement an.
  • Achten Sie auch hier auf die Benennungen. Unterscheidung: Tank < = > Vorratstank
    • Tank ist allgemeiner, und deshalb variabler einsetzbar
    • Vorratstank ist spezifisch, dadurch leichter zu identifizieren jedoch für Öltank nicht zu gebrauchen
      Empfehlung: Für Strukturdatentypen allgemeine Bezeichnungen verwenden.
  • Bilden Sie bei Ihrer Projektierung Schnittmengen um Wiederverwendungen möglich zu machen
  • Verwenden Sie eindeutige Objektnamen, die sich nicht nur durch Groß-/Kleinschreibung unterscheiden.

info Info

zenon bietet bei der Grundinstallation eine Erstausstattung mit gängigen Datentypen. Diese Basisdatentypen folgen der Norm IEC 61131-3.


Variablen

Erste Schritte -> Variablen -> Variablen

Eine Prozessvariable ist die Schnittstelle zwischen der Datenquelle (SPS, Feldbus, etc.) und zenon. Zum richtigen Erfassen, Steuern und Regeln von Prozessen ist der Austausch von Prozessdaten einerseits und die Vorgabe von Sollwerten und Befehlen andererseits notwendig. Prozessdaten und Vorgaben werden auf die einzelnen Prozessvariablen bezogen und in der Variablenliste projektiert bzw. parametriert.

Funktionsweise von Variablen

Jede Variable basiert auf einem Datentyp (IEC Datentyp oder eigene Strukturdatentypen). Beim Anlegen einer neuen Variable muss ein Datentyp gewählt werden. Der Datentyp verfügt über dieselben Eigenschaften wie die Variable selbst (Maßeinheit, Signalauflösung, Grenzwerte usw.).

Dabei werden alle Eigenschaften des Datentyps mit in die Variable übernommen. Die Eigenschaften werden dabei vom zugrunde liegenden Datentyp referenziert, d.h. wenn eine Eigenschaft beim Datentyp geändert wird, ändert sich diese Eigenschaft bei allen Variablen mit, die mit diesem Datentyp erstellt worden sind.

In diesem Schritt werden Sie lernen, wie man einzelne Variablen bzw. Variablenarrays erstellt, die auf einfachen oder Struktur Datentypen basieren.

info Info

Viele zenon Treiber bieten Ihnen die Möglichkeit Variablen aus dem SPS-Programm oder direkt aus der Steuerung zu importieren, sodass Sie die Variablen nicht von Hand anlegen müssen.

In der jeweiligen Treiberdokumentation finden Sie die nötigen Informationen zum Variablenimport.

Da Sie in diesem Beispielprojekt weder eine Steuerung noch ein S7-Projekt zur Verfügung haben, werden die Variablen von Hand angelegt.

Noch in diesem Kapitel

Einfache Variable neu erstellen

Struktur Variable neu erstellen


Einfache Variable neu erstellen

Erste Schritte -> Variablen -> Variablen -> Einfache Variable neu erstellen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Zum Erstellen einer Variable führen Sie folgende Schritte aus:

  • Öffnen Sie im Projektmanager mit der rechten Maustaste das Kontextmenü des Eintrags Variablen.
  • Wählen Sie den Menüeintrag Variable neu.

Die Dialogbox zum Erstellen einer Variable öffnet sich:

  • Geben Sie als Namen Temperaturfühler ein.
  • Wählen Sie den Treiber S7TCP32 - S7 TCP-IP
  • Wählen Sie als Treiber Objekttyp Erw. Datenbaustein.
  • Wählen Sie als Datentyp Temperatur.

info Info

Vergeben Sie immer logische Namen für die Prozessvariablen um sich später bei der Suche besser zurecht zu finden.


Struktur Variable neu erstellen

Erste Schritte -> Variablen -> Variablen -> Struktur Variable neu erstellen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sie werden nun weitere Variablen erstellen, diesmal allerdings mit einem Struktur Datentyp. Dazu gehen Sie vor wie oben beschrieben.

  • Geben Sie als Namen Wasserpumpe ein.
  • Wählen Sie als Datentyp Motor.
  • Stellen Sie unter Array Einstellungen Startindex ist 1.

  • Aktivieren Sie die Einstellung Automatische Adressierung.
  • Die Einstellungen Jeder Datentyp startet mit neuem Offset und Alle Elemente aktivieren lassen Sie wie vom System vorgeschlagen.
  • Wählen Sie als Treiber Objekttyp einen Erw. Datenbaustein.
  • Setzen Sie den Start Offset auf 21.
    Hinweis: Den Startoffset setzen Sie in der Eigenschaftengruppe Adressierung im Eigenschaftenfeld Start Offset:

Noch in diesem Kapitel

Variablen mit Arrays

Variablenprojektierung

Ansicht konfigurieren


Variablen mit Arrays

Erste Schritte -> Variablen -> Variablen -> Struktur Variable neu erstellen -> Variablen mit Arrays

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Durch entsprechende Einstellungen im Bereich Array Einstellungen können Sie gleich mehrere Variablen desselben Typs erstellen.

Stellen Sie sich folgende Herausforderung vor:

In diesem Tutorialprojekt sind zwischen Brunnen und Vorratstanks ein Weg von ca. 1.000 m zurückzulegen. Alle 200 m soll die Temperatur gemessen werden.

Für diese Aufgabenstellung werden Sie die benötigten vier Heizstationen in nur einem Arbeitsschritt projektieren.

Führen Sie folgende Schritte aus:

  • Öffnen Sie im Projektmanager mit der rechten Maustaste das Kontextmenü des Eintrags Variablen.
  • Wählen Sie den Menüeintrag Variable neu.
  • Benennen Sie diese Variable(n) mit Heizung Leitung.
  • Als Datentyp wählen Sie (den bereits projektierten Datentyp) Heizung.
  • Setzen Sie den Array Dim 1 auf den Wert 4.
  • Setzen Sie Ihre Einstellungen entsprechend der Abbildung.
  • Bestätigen Sie die Einstellungen mit Fertigstellen.

Die Variablen werden jetzt in der Detailansicht des Projektmanagers in der Variablenliste angefügt. Sämtliche Eigenschaften des Strukturierten Datentyps Heizung werden somit in die Variablen übernommen. Die Eigenschaften der ausgewählten Variablen können im Eigenschaftenfenster überprüft und geändert werden.

Durch Änderung der Array Dimension, wurden gleich vier Heizungen inklusive der beiden darin enthaltenen Variablen erstellt. Diese Variablen werden aufgrund der Einstellungen automatisch adressiert, d.h. Sie müssen nur einen Start Offset vergeben. Die restlichen Adressen berechnet zenon automatisch.

  • Setzen Sie in der Eigenschaftengruppe Adressierung die Eigenschaft Start Offset auf den Wert 50.


Variablenprojektierung

Erste Schritte -> Variablen -> Variablen -> Struktur Variable neu erstellen -> Variablenprojektierung

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Legen Sie abschließend eine Variable mit zwei Arrays für Ihren Vorratstank an:

  • Erstellen Sie eine neue Variable.
  • Benennen Sie diese Variable mit Vorratstank.
  • Als Datentyp wählen Sie (den bereits projektierten Datentyp) Tank.
  • Setzen Sie den Array Dim 1 auf den Wert 2.
  • Bestätigen Sie die Einstellungen mit Fertigstellen.
  • Setzen Sie in der Eigenschaftengruppe Adressierung die Eigenschaft Start Offset auf den Wert 100.

Die Variablenliste in der Detailansicht des Projektmanagers sollte nun folgende Einträge beinhalten:


Ansicht konfigurieren

Erste Schritte -> Variablen -> Variablen -> Struktur Variable neu erstellen -> Ansicht konfigurieren

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Wenn Sie bei den zuvor angelegten Variablen eines Wassertanks in der Übersicht der Detailliste nicht alle beschriebenen Spalten angezeigt bekommen, so können Sie diese einblenden.

Führen Sie zum Einblenden von Spalten in der Detailliste folgende Schritte aus:

  • Platzieren Sie Ihren Mauscursor über der Überschriftenleiste der Variablen in der Detailansicht
  • Wählen Sie im Kontextmenü Spaltenauswahl...
  • Wählen Sie den Kontextmenüeintrag Offset aus der linken Liste der Verfügbaren Spalten: und fügen Sie diesen mit Hinzufügen -> in die Ansicht der Ausgewählten Spalten: hinzu.


Funktionen

Erste Schritte -> Funktionen

Mit Funktionen werden in zenon Arbeitsschritte abgebildet.

  • Funktionen stehen nach Gruppen sortiert zur Verfügung.
  • Oft verwendete Funktionen können via Favoriten effizient verwaltet werden.
  • Mehrere Funktionen können via Skripte zu einer Funktion zusammengefasst werden.

Noch in diesem Kapitel

Funktionen projektieren

Funktionsfavoriten


Funktionen projektieren

Erste Schritte -> Funktionen -> Funktionen projektieren

Zum Aufrufen der Funktionen gehen Sie wie folgt vor:

  • Öffnen Sie im Projektmanager den Knoten Funktionen.
  • Öffnen Sie mit der rechten Maustaste das Kontextmenü des Eintrags Funktion neu....
  • Wählen Sie den Menüeintrag Runtime beenden.
    Diese Funktion befindet sich in der Funktionsgruppe Anwendung.
  • Benennen Sie Ihre neu erstellte Funktion mit RT-quit.
  • Erstellen Sie eine weitere Funktion "Nachladen" und benennen Sie diese mit RT-reload.


Funktionsfavoriten

Erste Schritte -> Funktionen -> Funktionsfavoriten

Funktionen werden Sie häufig anwenden. Um Ihre Arbeit effizienter zu gestalten verwenden Sie Favoriten.

So legen Sie Funktions-Favoriten an:

  • Öffnen Sie im Projektmanager den Knoten Funktionen.
  • Öffnen Sie mit der rechten Maustaste das Kontextmenü des Eintrags Funktion neu....
  • Wählen Sie die gewünschte Funktion und ziehen Sie diese bei gedrückter Maustaste in den ersten Ordner Favoriten.
  • Alternativ drücken Sie die linke Maustaste und wählen im Kontextmenü Zu Favoriten hinzufügen.


Bilder und Schablonen

Erste Schritte -> Bilder und Schablonen

In diesem Schritt lernen Sie, wie Sie in zenon Bilder erstellen können, mit denen Anlagen visualisiert und bedient werden können.

info Info

Bilder definieren das Aussehen Ihrer Projektierung.

Noch in diesem Kapitel

Unterscheidung Bilder - Schablonen

Schablonen

Bilder


Unterscheidung Bilder - Schablonen

Erste Schritte -> Bilder und Schablonen -> Unterscheidung Bilder - Schablonen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Für die Visualisierung Ihrer Projektierung werden zwei Arten unterschieden:

Schablonen

Schablonen bilden die Grundlage für das Layout der Fenster und der zur Laufzeit angezeigten Bilder. Sie strukturieren die Darstellung am Bildschirm und bestimmen die Position. Jedes Bild wird einer Schablone zugeordnet und in dem durch die Schablone definierten Bildschirmbereich angezeigt. Schablonen bestimmen die allgemeinen Fenstereigenschaften wie Position, Größe sowie Aussehen.

Bilder

Bilder sind zentrale Elemente eines Projektes. Sie repräsentieren die projektierte Anlage, informieren und bieten Bedienelemente an.

info Info

Schablonen definieren den Rahmen.

Bilder definieren Inhalte dieser Rahmen.


Schablonen

Erste Schritte -> Bilder und Schablonen -> Schablonen

Eine Schablone ist die Grundlage für die Fenstertechnik. Dort werden generelle Eigenschaften festgelegt, wie etwa:

  • Größe der Schablone = Größe des Bildes
  • Position des Bildes am Bildschirm
  • Aufteilung der Bildschirme bei Verwendung mehrer Monitore ("Was wird wo dargestellt?")

Dies bietet folgende Vorteile:

  • Eine durchgängige Bildstruktur im ganzen Projekt.
  • Größe und Position muss nur einmal festgelegt werden.
  • Eine Änderung der Schablone ändert alle Bilder, die auf dieser Schablone basieren.
  • Funktionen können speziell auf eine Schablone zugewiesen werden (Alarme blinkquittieren, Hardcopy, etc.).
  • Bilder müssen kaum von Hand geschlossen werden, da immer nur ein Bild einer Schablone offen sein kann.

info Info

Es sollten immer zumindest zwei Schablonen projektiert werden:
1 Bildschablone für Inhalte
1 Navigationsschablone ("Buttonschablone")

Default Schablonen

Bei Neuanlage eines Projektes wird die Schablone für Alarmmeldungen automatisch projektiert; Schablonenname: ALARM STATUS LINE.

Hinweis: Bei Verwendung des Projekt-Wizards werden zusätzlich die Schablonen MAIN, NAVIGATION sowie SUBNAVIGATION angelegt.

Noch in diesem Kapitel

Schablonen neu erstellen


Schablonen neu erstellen

Erste Schritte -> Bilder und Schablonen -> Schablonen -> Schablonen neu erstellen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Bevor das erste Bild projektiert werden kann, muss mindestens eine Schablone definiert werden.

Zum Anlegen einer Schablone führen Sie folgende Schritte aus:

  • Öffnen Sie im Projektmanager den Knoten Bilder und markieren Sie den Eintrag Schablonen.
  • Über das Kontextmenü erstellen Sie mit Schablone neu eine neue Schablone.

Es wird automatisch eine Schablone mit dem Namen Schablone 1 angelegt.

info Info

Existiert bei der Erstellung eines Bildes noch keine Schablone, so erstellt zenon automatisch eine Default-Schablone welche in der Runtime bildschirmfüllend dargestellt wird.

Noch in diesem Kapitel

Inhaltsschablone

Navigationsschablone(n)

Positionierung einer Schablone

Projektierung einer zweiten Schablone für die Subnavigation


Inhaltsschablone

Erste Schritte -> Bilder und Schablonen -> Schablonen -> Schablonen neu erstellen -> Inhaltsschablone

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nach Anlage der ersten Schablone wird diese im folgenden Schritt parametriert. Diese Einstellungen werden - wie gewohnt - im Eigenschaftenfenster durchgeführt. Default ist die Größe der Schablone immer auf die aktuell eingestellte Bildschirmauflösung eingestellt.

In diesem Beispiel soll die soeben erzeugte Schablone den Inhaltsbereich beinhalten. Dieser soll über die gesamte Größe des Bildschirmes angezeigt werden.

  • Passen Sie die Eigenschaften der Schablone an wie in der obigen Abbildung dargestellt.


Navigationsschablone(n)

Erste Schritte -> Bilder und Schablonen -> Schablonen -> Schablonen neu erstellen -> Navigationsschablone(n)

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Erstellen Sie eine zusätzliche Schablone für den Navigationsbereich. In diesem Beispiel soll im unteren Viertel des Bildschirmes eine Navigationsleiste mit Buttonsteuerung projektiert werden.

Für diese Positionierung führen Sie die folgenden Schritte aus:

  • Öffnen Sie im Projektmanager den Knoten Bilder und markieren Sie den Eintrag Schablonen.
  • Über das Kontextmenü erstellen Sie mit Schablone neu eine neue Schablone.
  • Bennen Sie die neue Schablone mit Navigation und weisen Sie eine Farbe aus der Farbpalette als Hintergrundfarbe zu, z.B. nav_hintergrund_navi.


Positionierung einer Schablone

Erste Schritte -> Bilder und Schablonen -> Schablonen -> Schablonen neu erstellen -> Positionierung einer Schablone

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Für die Positionierung einer Schablone gibt es zwei Möglichkeiten:

Parametrierung via Eigenschaftenfenster:

Tragen Sie dazu im Eigenschaftenfenster in der Gruppe Position nachstehende Einträge ein:

Parametrierung via Schabloneneditor

Der Schabloneneditor bietet die Möglichkeit, Größen von Schablonen grafisch auszurichten.

  • Markieren Sie in der Detailansicht der Schablonen die Schablone Navigation
  • Öffnen Sie mit der rechten Maustaste das Kontextmenü des Eintrags Schabloneneditor öffnen.
  • Es öffnet sich das Hauptfenster
  • In diesem Hauptfenster können sie eine Schablone durch Mausklick anwählen.
  • Durch Verschieben der Ankerpunkte kann die Größe mit der Maus variiert werden.

info Info

Für eine bessere Übersicht im Schabloneneditor blenden Sie die anderen Schablonen aus. Deaktivieren Sie dazu in der Detailliste die Checkbox in der Spalte Anzeige.


Projektierung einer zweiten Schablone für die Subnavigation

Erste Schritte -> Bilder und Schablonen -> Schablonen -> Schablonen neu erstellen -> Projektierung einer zweiten Schablone für die Subnavigation

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Projektieren Sie nun noch eine zweite Schablone für eine Subnavigation:

  • In der Detailliste der Schablonen kopieren Sie mit dem Kontextmenü Kopieren die bestehende Schablone Navigation.
  • Via Kontextmenü und Einfügen erstellen Sie eine Kopie.
  • Im Eigenschaftenfenster, in der Gruppe Allgemein, Bennen Sie die Kopie der Navigationsschablone in Sub_Navigation um.


Bilder

Erste Schritte -> Bilder und Schablonen -> Bilder

Bilder sind zentrale Elemente eines Projektes. Sie repräsentieren die projektierte Anlage, informieren und bieten Bedienelemente an.

  • Ein Bild ist ein Fenster mit gewissen vordefinierten Eigenschaften.
  • Bilder bestehen aus Vektor-Elementen und/oder Dynamischen Elementen.
  • Diese werden mit Variablen oder Funktionen verknüpft.
  • Bilder werden im Hauptfenster des Editors projektiert.
  • Jedes Bild muss einer Schablone zugeordnet werden.

info Info

Sie können in einem neuen Projekt auch ein Bild erstellen, ohne dass Sie vorher eine Schablone angelegt haben.

In diesem Fall legt zenon im Hintergrund automatisch eine Schablone mit den Standard-Einstellungen an.

Noch in diesem Kapitel

Bild neu

Startbild projektieren

Projektierung Tutorialbilder

Praxistipps Bilder


Bild neu

Erste Schritte -> Bilder und Schablonen -> Bilder -> Bild neu

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Um ein neues Bild zu projektieren führen Sie folgende Schritte aus:

  • Markieren Sie im Projektmanager den Knoten Bilder.
  • Über das Kontextmenü erstellen Sie mit Bild neu ein neues Bild.

Es wird automatisch ein Bild mit dem Namen Bild 0 angelegt. Im Eigenschaftenfenster können Sie die Eigenschaften des Bildes ändern.

  • Vergeben Sie in der Gruppe Allgemein den Bildnamen Gesamtübersicht und achten Sie darauf, dass das Bild den Bildtyp Standard hat.
  • Vergewissern Sie sich in der Eigenschaft Schablone, dass das Bild der Schablone Main zugeordnet ist.
  • Erstellen Sie ein Bild mit dem Namen Navigationsleiste. Diesem Bild ordnen Sie die Schablone Navigation zu.

info Info

Die Hintergrundfarbe wird automatisch von der zugeordneten Schablone referenziert.


Startbild projektieren

Erste Schritte -> Bilder und Schablonen -> Bilder -> Startbild projektieren

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Damit die Runtime weiß, welches Bild beim Start geladen werden soll sind folgende Einstellungen notwendig:

  • Wählen Sie im Projektmanager Ihr Projekt TUTORIAL aus.
  • Wechseln Sie im Eigenschaftenfenster zur Gruppe Grafische Ausprägung
  • Klicken Sie dort bei der Gruppe Runtime allgemein bei Hauptschablonen: auf die Hier klicken -> ...-Schaltfläche.
  • Wählen Sie im Schablonen-Fenster die Schablone _Main aus.

info Info

Das erste projektierte Bild wird automatisch in den Projekteigenschaften unter der Eigenschaft Startbild in der Gruppe Grafische Ausprägung eingetragen. Damit wird dieses Bild beim Start der Runtime automatisch geöffnet.


Projektierung Tutorialbilder

Erste Schritte -> Bilder und Schablonen -> Bilder -> Projektierung Tutorialbilder

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Projektieren Sie nun weitere Bilder, welche im Laufe dieses Tutorials mit Inhalten befüllt werden. Achten Sie darauf, als Schablone jeweils Main (bereits projektiert) anzugeben:

  • Leitungsübersicht
  • Vorratstank 1

Hinweis: Für den geplanten zweiten Vorratstank wird absichtlich kein Bild angelegt. Dieser zweite Tank wird in einem späteren Kapitel substituiert.


Praxistipps Bilder

Erste Schritte -> Bilder und Schablonen -> Bilder -> Praxistipps Bilder

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
  • Projektieren Sie ein leeres Standardbild für Tests. Benennen Sie dieses z.B. mit Test oder Temporär. In diesem Bild können Sie Projektierungen ausprobieren, Teilprojektierungen testen, Symbole für die Bearbeitung platzieren ...
  • Verwenden Sie eindeutige Bildernamen
  • Wenn Sie Globalprojekte oder mehrere Projekte in einem Arbeitsbereich verwenden, stellen Sie Ihren Bildernamen eine Kurzbezeichnung voran: z.B.: wasser_vorratstank, motor_benzintank


Bildelemente

Erste Schritte -> Bildelemente

Grob gesprochen gibt es zwei verschiedene Arten von Elementen, die man in einem Bild verwenden kann:

Vektor Elemente | Das Aussehen dieser Elemente bleibt in der Runtime immer gleich.
Dynamische Elemente | Diese Elemente ändern in der Runtime ihr Aussehen (meist abhängig vom aktuellen Wert einer Variable).

Noch in diesem Kapitel

Vektor Elemente

Dynamische Elemente


Vektor Elemente

Erste Schritte -> Bildelemente -> Vektor Elemente

Vektor Elemente ändern im Vergleich zu den dynamischen Elementen, die später in diesem Tutorial behandelt werden in der Runtime ihr Aussehen nicht und dienen der grafischen Grundinformation.

Noch in diesem Kapitel

Statischer Text

Schriftlisten

Projektierungsbeispiel Tutorial


Statischer Text

Erste Schritte -> Bildelemente -> Vektor Elemente -> Statischer Text

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Beginnen Sie damit, einen Text in Ihrem Startbild zu platzieren. Stellen Sie sicher, dass Sie das Elemente-Fenster angezeigt haben.

Sollte dieses ausgeblendet sein blenden Sie dieses mit Optionen => Symbolleisten => Elemente ein.

  • Wechseln Sie im Projektmanager in den Knoten Bilder
  • Durch Doppelklick auf Gesamtübersicht in der Detailansicht öffnen Sie das Bild im Hauptfenster
  • Wählen Sie das Element Statischer Text.
  • Im Bild Gesamtübersicht drücken Sie an der gewünschten Stelle die linke Maustaste und halten diese gedrückt, während Sie ein Rechteck aufziehen.

Im Eigenschaftenfenster können nun die Eigenschaften des Elements angepasst werden. Sollten die Eigenschaften eines Elements nachträglich geändert werden, so wählen Sie das entsprechende Element im Bild aus indem Sie dieses mit der linken Maustaste anklicken. Dadurch stehen die Eigenschaften wieder im Eigenschaftenfenster zur Verfügung.

Diese Vorgangsweise ist bei allen Elementen die gleiche.

  • In dem Feld Darstellung/Text schreiben Sie nun Gesamtübersicht Wasser.
  • Weisen Sie Ihrem Text als Schrift 5 - Standardschrift5 zu.
    Zur Auswahl der Schrift klicken Sie ... und wählen Sie aus der sich öffnenden Schriftliste den entsprechenden Schriftstil.
  • Platzieren Sie den Textrahmen links oben in Ihrem Bild Gesamtübersicht.


Schriftlisten

Erste Schritte -> Bildelemente -> Vektor Elemente -> Schriftlisten

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gleich wie z.B. Farben, Datentypen oder Variablen werden auch Formatvorlagen für Texte zentral verwaltet.

Um Ihre Schriftliste zu projektieren gehen sie folgendermaßen vor:

  • Öffnen Sie im Projektmanager den Knoten Bilder.
  • Öffnen Sie mit der rechten Maustaste das Kontextmenü des Eintrags Schriftlisten.
  • Wählen Sie den Menüeintrag Schrift neu...
  • Wählen Sie in der Detailansicht des Projektmanagers Schrift neu...
  • Geben Sie im Eigenschaftenfenster als Bezeichnung Buttontitle-black ein.
  • Erstellen Sie eine neue Schrift mit Namen Buttontitle-white.
    • Wählen Sie dieselben Einstellungen wie bei Buttontitle-black mit Ausnahme der Farbe. Wählen Sie für diese Schrift die Farbe Weiß.


Projektierungsbeispiel Tutorial

Erste Schritte -> Bildelemente -> Vektor Elemente -> Projektierungsbeispiel Tutorial

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Platzieren Sie im nächsten Schritt eine Überschrift für einen Vorratstank.

  • Wechseln Sie im Projektmanager in den Knoten Bilder
  • Durch Doppelklick auf Vorratstank 1 in der Detailansicht öffnen Sie das Bild im Hauptfenster
  • Wählen Sie das Element Statischer Text.
  • Im Bild Gesamtübersicht drücken Sie an der gewünschten Stelle die linke Maustaste und halten diese gedrückt, während Sie ein Rechteck aufziehen. Platzieren Sie dieses am oberen Bildrand in der horizontalen Mitte.
  • In dem Eigenschaftenfeld Darstellung/Text schreiben Sie nun Vorratstank.
  • Weisen Sie Ihrem Text als Schrift 5 - Standardschrift5 zu.
    Zur Auswahl der Schrift klicken Sie ... und wählen Sie aus der sich öffnenden Schriftliste den entsprechenden Schriftstil.

Änderung einer Schrift

Um jetzt das Erscheinungsbild Ihrer Überschriften anzupassen nehmen Sie die entsprechenden Änderungen in der Schriftliste vor. Die hat zur Folge, dass Sie den Schriftstil nur einmal zentral ändern.

  • Wechseln Sie im Projektmanager im Knoten Bilder zu den Schriftlisten.
  • Wählen Sie die Schrift Standardschrift5.
  • Wählen Sie im Eigenschaftenfenster die Schaltfläche ... im Eigenschaftenfeld Schriftart:.
  • Der Dialog Schriftart öffnet sich.
  • Ändern Sie dort Ihr Schriftbild:
    • Schriftschnitt: Schwarz
    • Schriftgrad: 36

Beachten Sie, dass sich das Erscheinungsbild der Überschrift in Ihren Bildern Vorratstank 1 und Gesamtübersicht ändern.


Dynamische Elemente

Erste Schritte -> Bildelemente -> Dynamische Elemente

Im Unterschied zu Vektor-Elementen ändern dynamische Elemente in der Runtime ihr Aussehen.

Dynamische Elemente werden dazu verwendet, Variablenwerte darzustellen oder Funktionen auszuführen.

Noch in diesem Kapitel

Uhr

Button

Bild Funktionen

Weitere Bildelement

Zahlenwert

Projektieren mit Symbolen

Bargraf

Zeigerinstrument

Universalregler

Trendelement

Dynamischer Text

Combi-Element

Schalter

Zustandselement

Combo-/Listbox

Multibin


Uhr

Erste Schritte -> Bildelemente -> Dynamische Elemente -> Uhr

Als erstes Dynamisches Element werden Sie eine Uhranzeige in der Navigationsleiste platzieren.

Gehen Sie dazu wie folgt vor:

  • Öffnen Sie das Bild Navigationsleiste.
  • Wählen Sie in der Symbolleiste Elemente den Eintrag Uhr.
  • Mit gedrückter linker Maustaste ziehen Sie nun das dyn. Element auf dem Bild Navigationsleiste auf (ca.40 Pixel hoch und 200 Pixel breit). Platzieren Sie Ihre Uhranzeige am rechten oberen Rand Ihres Bildes Navigationsleiste.
  • Wechseln Sie nun in das Eigenschaftenfenster und parametrieren Sie Ihr Uhrenelement:
Eigenschaftengruppe | Eigenschaftenfeld | Beschreibung
Darstellung | Schrift: | 6 - Buttontitle-black
 | Zweizeilige Darstellung | Inaktiv
Farben | Transparent | aktiv
Runtime | Tooltip: | Systemuhrzeit


Button

Erste Schritte -> Bildelemente -> Dynamische Elemente -> Button

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Zuerst werden Sie für die Navigationsleiste Buttons erstellen, mit denen

  • die Runtime beendet werden kann
  • die aktuelle Projektierung in die Runtime geladen wird.

Gehen Sie dazu wie folgt vor:

  • Öffnen Sie das Bild Navigationsleiste.
  • Wählen Sie in der Symbolleiste Elemente den Eintrag Button.
  • Mit gedrückter linker Maustaste ziehen Sie nun das dyn. Element auf dem Bild Navigationsleiste auf (150 Pixel Breite und 50 Pixel Höhe).
    Positionieren Sie diesen Button am rechten Rand Ihrer Navigationsleiste, links neben Ihrem (bereits projektierten) Element Uhr.

Die Dialogbox zur Funktionsauswahl öffnet sich automatisch, nachdem Sie die Maustaste loslassen.

  • Wählen Sie die (bereits projektierte) Funktion RT-quit aus.

Noch in diesem Kapitel

Parametrierung von Buttons

Funktionen auf Buttons anwenden

Funktion via Drag+Drop

Weitere Einstellungen für Buttons

Tooltip projektieren

Text bei gedrückt: bei zweizeiliger Buttonbeschriftung

Buttons ausrichten


Parametrierung von Buttons

Erste Schritte -> Bildelemente -> Dynamische Elemente -> Button -> Parametrierung von Buttons

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nach Anlage Ihrer ersten Buttons passen Sie diese nun an:

  • Wählen sie den Button aus.
  • Öffnen Sie im Eigenschaftenfenster die Gruppe Darstellung.
  • Geben Sie für die Zeile 1 den Text Runtime beenden und für die Zeile 2 den Text Alt+Q ein.
  • Wählen Sie als Schrift 6 - Buttontitle-black wie bereits projektiert.
  • Öffnen Sie im Eigenschaftenfenster die Gruppe Runtime.
  • Wählen Sie im Eigenschaftenfeld Tastaturbedienung die Schaltfläche ... .

Die Dialogbox zur Definition der Tastenkombination öffnet sich.

In der Runtime können Sie dann zum Ausführen dieser Funktion entweder den Button mit der Maus betätigen oder aber diese Tastenkombination drücken.

  • Geben Sie als Tastenkombination Alt-Q ein, indem Sie einfach in den Eingabebereich klicken und dann die Tastenkombination drücken.
  • Bestätigen Sie die Eingabe mit OK.

Example Beispiel

Erstellen Sie unter dem ersten Butten einen weiteren Button für das Nachladen der Projektierung mit der Beschriftung Reload und Alt+R sowie der entsprechenden Tastenkombination. Als Funktion verwenden Sie RT-reload.

info Info

Für die Beschriftung vom Button ist es ratsam, immer eine bestimmte Schrift zu definieren und diese für alle verwendeten Buttons einzusetzen. Wird zu einem späteren Zeitpunkt die Schrift oder die Größe geändert, werden alle anderen Buttons automatisch angepasst.


Funktionen auf Buttons anwenden

Erste Schritte -> Bildelemente -> Dynamische Elemente -> Button -> Funktionen auf Buttons anwenden

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nach Zeichnen eines Buttons wird automatisch das Fenster Funktionsauswahl aufgerufen. In diesem Fenster können Sie beim Zeichnen Ihres Buttons sofort eine Funktion zuordnen.

Sollten Sie noch keine entsprechende Funktion erstellt haben, so können Sie dies mit Aufruf des Kontextmenüs (rechte Maustaste) Funktion neu... direkt im Funktionsauswahlfenster nachholen.

Example Beispiel

Durch Auswahl der Schaltfläche Abbrechen wird dem Button (noch) keine Funktion zugewiesen. Sie können diese Funktionszuweisung entweder via Drag+Drop oder durch Auswahl des Buttons und Parametrierung der Eigenschaftengruppe Variable / Funktion zu einem späteren Zeitpunkt nachholen.

Noch in diesem Kapitel

Weitere Funktionen projektieren


Weitere Funktionen projektieren

Erste Schritte -> Bildelemente -> Dynamische Elemente -> Button -> Funktionen auf Buttons anwenden -> Weitere Funktionen projektieren

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Projektieren Sie für dieses Tutorial folgende Bildumschalte-Funktionen:

Funktionsname | Zielbild (bereits projektiert)
go_to Vorratstank 1 | Vorratstank 1
go_to Leitungsübersicht | Leitungsübersicht
go_to_Gesamtübersicht | Gesamtübersicht

Hinweis: Das geplante Bild Vorratstank 2 wird absichtlich noch nicht mit einer Bildumschaltefunktion versehen!


Funktion via Drag+Drop

Erste Schritte -> Bildelemente -> Dynamische Elemente -> Button -> Funktion via Drag+Drop

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Eine weiter Möglichkeit Funktionen auf Buttons anzuwenden ist eine bestehende Funktion einfach über einen Button zu ziehen. Kümmern Sie sich bei den folgenden Schritten nicht um Ausrichtung oder exakte Grösse der Buttons.

Anwendungsbeispiel:

  • Zeichnen Sie einen Button mit den Beschriftungen "Gesamtübersicht" "Alt + 0".
    In dem sich öffnenden Dialog Funktionsauswahl wählen Sie (die bereits projektierte Funktion) go_to_Gesamtübersicht.
  • In dem sich öffnenden Dialog Funktionsauswahl wählen Sie Abbrechen.
  • Ziehen Sie diese Funktion bei gedrückter Maustaste über den Button Detailansicht Motor.
  • Erstellen Sie einen neuen Button.
  • Beschriften Sie diesen Button mit Detailansicht Vorratstank 1 (Alt + 1)
  • Mit Drag+Drop ziehen Sie die (bereits projektierte) Funktion go_to Vorratstank 1 auf den soeben erstellten Button an.
  • Wiederholen Sie diese Projektierungsschritte noch für Ihre Leitungsübersicht. Beschriftung: "Leitungsübersicht", "Alt + 3".
  • Erstellen Sie einen Button Vorratstank 2 mit Alt+2 als Tastenkürzel und Text zeile 2:. Diesem Button wird zu diesem Zeitpunkt noch keine Funktion zugewiesen.

Hinweis: Die zugeordnete Funktion wird ersichtlich, wenn Sie mit der Maus über den entsprechenden Button fahren.


Weitere Einstellungen für Buttons

Erste Schritte -> Bildelemente -> Dynamische Elemente -> Button -> Weitere Einstellungen für Buttons

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Zusätzlich zur Beschriftung und Zuweisung eines Tastenkürzels können Sie für Ihre Buttons noch folgende Einstellungen vornehmen:

  • Tooltip
    Text, welcher dann erscheint, wenn die Maus über dem Button steht.
  • Text bei gedrückt:
    Text, welcher bei gedrücktem Button angezeigt wird.


Tooltip projektieren

Erste Schritte -> Bildelemente -> Dynamische Elemente -> Button -> Tooltip projektieren

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Für die Projektierung des Tooltips führen Sie folgende Schritte aus:

  • Wählen Sie den Button Gesamtübersicht
  • Wechseln Sie im Eigenschaftenfenster in die Gruppe Runtime
  • Im Eigenschaftenfeld Tooltip: tragen Sie Gesamtübersicht ein.
  • Wiederholen Sie diese Parametrierung für alle Buttons:
Buttonname | Tooltip
Reload | Lädt aktuelle Projektierung in die Runtime
Runtime beenden | Beendet Runtime
Detailansicht Motor | Detailansicht Motor
Vorratstank 1 | Detailansicht Wassertank 1
Vorratstank 2 | Detailansicht Wassertank 2
Leitungsübersicht | Detailansicht Zuflussleitung

Text bei gedrückt: bei zweizeiliger Buttonbeschriftung

Ist bei einem Button das Eigenschaftenfeld Text Zeile 2: belegt, so ist Text bei gedrückt: nicht projektierbar.

Um zweizeilige Buttonbeschriftungen mit einem Text bei gedrückt: kombinieren zu können, führen Sie folgende Schritte aus:

  • Wählen Sie in Ihrer aktuellen Projektierung den Button Runtime beenden aus.
  • Wechseln Sie im Eigenschaftenfenster in die Gruppe Darstellung.
  • Löschen Sie den bisherigen Eintrag der Text Zeile 2:.
  • Erweitern Sie den Eintrag in Text Zeile 1: \nAlt + Q
    Im Eigenschaftenfeld steht dann: Runtime beenden\nAlt + Q
  • Tragen Sie unter Text bei gedrückt: Beende Runtime.

Hinweis: Durch Eingabe der Zeichenfolge \n kann ein Zeilenumbruch erzwungen werden.
Das vorangestellte &-Zeichen unterstreicht den nachfolgenden Buchstaben Q.

info Info

Um \n zu nutzen, muss die Eigenschaft Text Zeile 2 leer bleiben.


Buttons ausrichten

Erste Schritte -> Bildelemente -> Dynamische Elemente -> Button -> Buttons ausrichten

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nachdem Sie nun die vorausgegangenen Projektierungsschritt der Buttons durchgeführt haben werden Sie Größe und Ausrichtung der Buttons anpassen. Dafür bietet zenon eine eigene Symbolleiste mit entsprechenden Befehlen.

Sollten Sie die Menüleiste Ausrichtung nicht sehen, so blenden sie diese folgendermaßen ein:

Wählen Sie in der Menüzeile Optionen => Symbolleisten => Ausrichtung

Es erscheint die Ausrichtung-Symbolleiste:

Ausrichten der Buttons:

Wechseln Sie nun zurück zu Ihrem Bild Navigationsleiste.

  • Setzen Sie bei einem beliebigen Button Ausrichtung, Größe und Farben
  • Markieren Sie mit Mausklick + Umschalt die restlichen Buttons
  • Wählen Sie nun aus der Symbolleiste Ausrichtung:
    • Gleiche Größe
    • Oben ausrichten

Hinweis: Die Vorgabe für Größe und Ausrichtung gibt immer der zuerst ausgewählte bzw. markierte Button. Es ist daher ratsam, den Button mit dem längsten Texteintrag als erster anzuklicken um diesen so als Referenz zu setzen.


Bild Funktionen

Erste Schritte -> Bildelemente -> Dynamische Elemente -> Bild Funktionen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Mit jedem Bild können Funktionen verknüpft werden, die automatisch beim Öffnen oder Schließen des Bildes ausgeführt werden. Sie werden diese Funktionalität nun nutzen um die Bedienleiste mit dem Startbild aufzuschalten.

  • Wählen Sie im Projektmanager den Knoten Bilder aus.
  • Markieren Sie in der Detailansicht des Projektmanagers das Bild Gesamtübersicht.
  • Öffnen Sie im Eigenschaftenfenster die Gruppe Ausführung.
  • Bei Start-Funktion wählen Sie die Funktion Bildumschaltung - go_to_Navigation aus der Liste aus.

Damit wird in der Runtime, wann immer das Bild Gesamtübersicht geöffnet wird, automatisch auch das Bild Navigation geöffnet.

info Info

Eine weitere Möglichkeit bietet die Projektierung von Startscripten.


Weitere Bildelement

Erste Schritte -> Bildelemente -> Dynamische Elemente -> Weitere Bildelement

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Die weiteren Bildelemente werden Sie beispielhaft für den Aufbau Ihres Bildes Vorratstank 1 kennenlernen.

  • Markieren Sie im Projektmanager den Knoten Bilder.
  • Öffnen Sie Ihr Bild Vorratstank 1 durch Doppelklick.

Noch in diesem Kapitel

Tipps zum Bearbeiten von Bildern

Kontextmenü des Hauptfensters

Bildprojektierung als Grafikdatei exportieren


Tipps zum Bearbeiten von Bildern

Erste Schritte -> Bildelemente -> Dynamische Elemente -> Weitere Bildelement -> Tipps zum Bearbeiten von Bildern

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Zusätzlich zu den Einstellungen Ihres Editors können Sie das Hauptfenster zum Zeichnen und Projektieren bildschirmfüllend anzeigen.

Gehen Sie dazu wie folgt vor:

  • Öffnen Sie im Hauptfenster im Kontextmenü (Maus + Rechtsklick) den Eintrag Vollbildmodus.
  • Ihr Hauptfenster wird bildschirmfüllend dargestellt.

Um zur Editoransicht zurückzukehren wählen Sie Vollbild schließen aus dem Dialogfenster Vollbild. Dieses wird im vollbildmodus automatisch angeboten.


Kontextmenü des Hauptfensters

Erste Schritte -> Bildelemente -> Dynamische Elemente -> Weitere Bildelement -> Kontextmenü des Hauptfensters

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Bei der Projektierung von Grafiken steht Ihnen bei geöffnetem Bild im Hauptfenster ein Kontextmenü (Maus + Rechtsklick) mit den wichtigsten Befehlen zur Verfügung.

Die Darstellung des Kontextmenüs ist abhängig davon, ob ein Element ausgewählt ist oder nicht. Ist kein Element ausgewählt, werden nur Befehle angezeigt, die sich nicht auf Operationen mit Elementen beziehen.

Beispiel: Kontextmenü bei ausgewähltem Element

Umschalttaste:

Bei Größenänderung einer Grafik via Eckpunkt werden bei gedrückter Taste Umschalt die Proportionen des Bildes beibehalten.

Raster verwenden

Der Raster ermöglicht das exakte Ausrichten von Elementen im Bild. Die Grundeinstellungen dafür treffen Sie im Menü Extras -> Einstellungen.
Der Kontextmenüeintrag Raster anzeigen blendet im Hauptfenster bei aktiviertem Zustand den Raster ein. Deaktiviert sehen Sie dementsprechend keinen Raster.
Ansichtsbeispiel des Hauptfensters bei deaktiviertem Raster anzeigen:

Fangpunkte verwenden

Bei aktiviertem Zustand richten Symbole sich automatisch am Raster aus. Für eine exakte Positionierung deaktivieren Sie diese Option.


Bildprojektierung als Grafikdatei exportieren

Erste Schritte -> Bildelemente -> Dynamische Elemente -> Weitere Bildelement -> Bildprojektierung als Grafikdatei exportieren

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Um ein Bild als Grafikdatei zu exportieren:

  1. Rufen Sie das gewünschte Bild auf.
  2. Wählen Sie im Hauptfenster via Kontextmenü Bild in Grafikdatei exportieren.

    Der Dateibrowser wird geöffnet.

  3. Wählen Sie:
    • Speicherort
    • Bildname
    • Format der Bilddatei
  4. Speichern Sie die Grafikdatei mit Klick auf OK.


Zahlenwert

Erste Schritte -> Bildelemente -> Dynamische Elemente -> Zahlenwert

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Zahlenwerte stellen numerische Werte einer Variable dar.

In diesem Tutorial wird das Bildelement Zahlenwert zur Darstellung folgender Werte verwendet:

  • Temperatur im Tank
  • Füllstand eines Tankes (Variable noch nicht projektiert!)

Noch in diesem Kapitel

Änderung eines bestehenden Struktur Datentypes

Weitere Projektierungen

Projektierung des Elementes Zahlenwert

Aktivierung der automatischen Variablenauswahl


Änderung eines bestehenden Struktur Datentypes

Erste Schritte -> Bildelemente -> Dynamische Elemente -> Zahlenwert -> Änderung eines bestehenden Struktur Datentypes

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Bei der bisherigen Projektierung wurde (absichtlich) noch keine Variable für den Füllstand angelegt.

Um einen Strukturdatentyp zu verändern und um die Variable Füllstand zu erweitern führen Sie folgende Schritte aus:

  • Markieren Sie im Projektmanager den Knoten Variablen.
  • Wechseln Sie zu den Datentypen.
  • Markieren Sie den bestehenden Datentyp Tank durch Klick auf [+].
  • Fügen Sie mit Struktur-Element neu... ein neues Struktur-Element hinzu
    Hinweis: Nur wenn der Struktur-Datentyp Tank ausgewählt ist können Sie Struktur-Element neu... nutzen.
  • Vergeben Sie den Namen Füllstand mit dem eingebetteten Datentyp UINT.
  • Wechseln Sie zurück zur Ansicht der Variablen.
    Wählen Sie dazu im Projektmanager wieder den Knoten Variablen.

Aktivierung der nachträglich hinzugefügten Variable Füllstand

Unmittelbar nach Hinzufügen eines Strukturelements zu einem bestehenden Strukturdatentyp ist diese in der Detailliste der Variablen noch inaktiv und grau dargestellt.

Um diese nun zu aktivieren führen Sie folgenden Schritt aus:

  • Wählen Sie in der Ansicht der Variablen den Eintrag Vorratstank[1].Füllstand.
  • Wählen Sie mit dem Kontextmenü Aktivieren.
  • Die Variable wurde aktiviert und ist nicht mehr mit einer hellgrauen Schrift dargestellt.
  • Wiederholen Sie diesen Aktivierungsvorgang für Vorratstank[2].Füllstand.

info Info

Variablen, Datentypen sowie Strukturdatentypen können im Nachhinein erweitert werden. Die Neuprojektierung ist zu aktivieren.


Weitere Projektierungen

Erste Schritte -> Bildelemente -> Dynamische Elemente -> Zahlenwert -> Weitere Projektierungen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nachdem Sie die fehlende Variable via Strukturdatentyp hinzugefügt haben parametrieren Sie diese.

Für die Projektierung der Variable Füllstand führen Sie folgende Schritte aus:

  • Markieren Sie im Projektmanager den Knoten Variablen.
  • Wechseln Sie zu den Datentypen.
  • Erweitern Sie den bestehenden Datentyp Tank durch Klick auf [+].
  • Markieren Sie das Struktur-Element Tank.
  • Tragen Sie im Eigenschaftenfenster in der Gruppe Allgemein unter Maßeinheit: Liter ein.
  • Die Eigenschaftengruppe Sollwert absetzen Projektieren Sie mit 0 Min. Sollwert und 20000 Max. Sollwert.
  • Erstellen Sie im Eigenschaftenfenster zwei neue Grenzwerte:
    • Grenzwerttext: Füllstand niedrig
      Grenzwert: 1000
      Minimum/Maximum: Minimum
      In Alarmmeldeliste: Aktiv
      In Chronologische Ereignisliste: Aktiv
      Grenzwertfarbe: Füllstand_NIEDRIG (bereits projektiert)
    • Grenzwerttext: Füllstand hoch
      Grenzwert: 19000
      Minimum/Maximum: Maximum
      In Alarmmeldeliste: Aktiv
      In Chronologische Ereignisliste: Aktiv
      Grenzwertfarbe: Füllstand_HOCH (bereits projektiert)


Projektierung des Elementes Zahlenwert

Erste Schritte -> Bildelemente -> Dynamische Elemente -> Zahlenwert -> Projektierung des Elementes Zahlenwert

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
  • Um Zahlenwerte in Ihr Bild Vorratstank zu integrieren gehen Sie wie folgt vor:
  • Öffnen Sie das Bild Vorratstank.
  • Wählen Sie im Menü bzw. der Symbolleiste der Elemente den Eintrag Zahlenwert.
  • Mit gedrückter linker Maustaste ziehen Sie nun im Bild Vorratstank 1 den Rahmen für Ihren Zahlenwert auf.
  • Der Dialog Variablenauswahl öffnet sich:
  • Wählen Sie Vorratstank[1].Füllstand.
  • Wiederholen Sie die Projektierung eines Zahlenwertes mit der Variable Vorratstank[1].Heizungselement.Temperaturfühler.
    Hinweis: Wenn Sie die Variable Vorratstank[1].Heizungselement.Temperaturfühler nicht sehen, so erweitern Sie den Knoten Vorratstank[1].Heizungselement durch einen einmaligen Mausklick auf das -[ Symbol in der Spalte Status. Achtung: klicken Sie nur ein Mal!
  • Zusätzlich wählen Sie 4 - Standardschrift4 in den Darstellungseigenschaften als Schrift Ihrer Zahlenwerte.
    Wählen Sie dazu Ihre beiden soeben projektierten Zahlenwert-Elemente aus und wechseln Sie in die Eigenschaftengruppe Darstellung.

Beschriftung

  • Positionieren Sie Ihre beiden Zahlenelemente mit etwas Abstand unter der Überschrift.
  • Beschriften Sie Ihre Zahlenelemente:
    • Wählen Sie aus der Symbolleiste Elemente Statischer Text.
    • Positionieren Sie dieses Element links neben dem Zahlenelement für Ihren Füllstand.
    • Tragen Sie den Text Füllstand ein
    • Wiederholen Sie diese Schritte mit dem Text Wassertemperatur.

Ansicht der bisherigen Projektierungen

Noch in diesem Kapitel

Tipps zum Element Zahlenwert


Tipps zum Element Zahlenwert

Erste Schritte -> Bildelemente -> Dynamische Elemente -> Zahlenwert -> Projektierung des Elementes Zahlenwert -> Tipps zum Element Zahlenwert

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
  • Um die Größe eines Elements am Bildschirm zu verändern, klicken Sie auf einen der Eckpunkte (es erscheint ein Doppelpfeil statt des Mauszeigers), halten Sie die Maustaste gedrückt und ziehen Sie es auf die gewünschte Größe.
  • Für das Verschieben des dyn. Elements klicken Sie mit der Maus in die Mitte des Elements (es erscheint ein Pfeilkreuz), halten die Taste gedrückt und verschieben es zur gewünschten neuen Position.
  • Klicken Sie auf das Icon Bild speichern oder wählen Sie im Kontextmenü des Bildes den Eintrag Bild speichern.

Die einfachste Vorgehensweise zur Erstellung mehrerer Zahlenwerte auf einem Bild:

Markieren Sie das Element und kopieren Sie es mit Strg C in die Zwischenablage, dann fügen Sie es mit Strg V in das Bild ein. Jetzt können Sie einfach die gewünschten Variablen mit der Maus auf das entsprechende Element ziehen.

Ausrichtung Ihrer Projektierung

Selbstverständlich steht auch für Element Zahlenwert die Funktionalität der Symbolleiste Ausrichtung in vollem Umfang zur Verfügung. Nutzen Sie diese zur Größenanpassung sowie Ausrichtung Ihrer Projektierung.

Beschriftung der Zahlenwerte

Um eine rasche Orientierung zu gewährleisten statten Sie Ihre Zahlenwerten mit einer Legende aus. Nutzen Sie dazu einfach das Bildelement Statischer Text.

Alternativ dazu können sie auch Zahlenwerten mit einem Tooltip versehen. Dieser wird in der Eigenschaftengruppe Runtime unter Tooltip: parametriert.

Nutzen von Schriften der Schriftliste

Es wird empfohlen, für Beschriftungen und Legenden eine eigene Schrift in der Schriftliste zu projektieren. Dieses Tutorial verwendet eine projektierte Schrift Legende mit Arial, fett, 12 pt.


Aktivierung der automatischen Variablenauswahl

Erste Schritte -> Bildelemente -> Dynamische Elemente -> Zahlenwert -> Aktivierung der automatischen Variablenauswahl

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sollte sich die Variablenauswahl nicht automatisch öffnen, gehen Sie folgendermaßen vor:

  • Öffnen Sie das Menü Option.
  • Wählen Sie den Eintrag Einstellungen.

Die folgende Dialogbox öffnet sich:

  • Aktivieren Sie die Option Eingabe der Eigenschaften bei Erzeugung in der Gruppe Bildbearbeitung und drücken anschließend auf die Schaltfläche OK.

info Info

Sie können die Dialogbox zur Variablenauswahl auch mit einem Doppelklick auf den leeren Elementrahmen öffnen.


Projektieren mit Symbolen

Erste Schritte -> Bildelemente -> Dynamische Elemente -> Projektieren mit Symbolen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Für die Visualisierung Ihres Vorratswassertankes bedienen Sie sich der Globalen Sysmbolbibliothek von zenon. Darin enthalten sind Grafische Symbole thematisch zusammengefaßt.

Um Symbole zur Visualisierung zu verwenden gehen sie folgendermaßen vor:

  • Öffnen Sie im Projektmanager den Knoten Globale Symbolbibliothek.
  • Tragen Sie im Detailfenster im Filter des Elementnamens tank ein.
  • Öffnen Sie den Ordner durch Klick auf [+].
  • Wählen Sie ein Symbol und ziehen Sie diese via Drag&Drop im Hauptfenster in Ihr geöffnetes Bild Vorratstank 1.

  • Wählen Sie eine weitere Vorlage aus der Globalen Symbolbibliothek.
  • Geben Sie als Filtertext Ventil ein und wählen Sie Durchflußmesser2
  • Setzen Sie dieses Symbol via Drag&Drop auf die zuvor platzierte Tankgrafik.
  • Vergrößern Sie beide Symbole:

Ansicht der bisherigen Projektierung Ihres Bildes Vorratstank 1 im Vollbildmodus:

info Info

Die Symbole in Ihrer Symbolbibliothek sind abhängig von Ihrer lizensierten zenon Edition.


Bargraf

Erste Schritte -> Bildelemente -> Dynamische Elemente -> Bargraf

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Mit dem Dynamischen Element Bargraf zeigen Sie die Größe eines Signals numerisch an. Die Länge des Balkens verändert sich zur Runtime mit der Signalgröße.

Um einen Bargraf in einem Bild anzulegen:

  • Öffnen Sie das Bild Vorratstank 1.
  • Wählen Sie im Menü Elemente den Befehl Bargraf.
  • Mit gedrückter linker Maustaste ziehen Sie nun das Bargraf-Element auf dem Bild Vorratstank 1 über das Symbol des Wassertanks auf.
  • Im Dialog Variablenauswahl setzen Sie den Balken auf die Variable Vorratstank[1].Füllstand und drücken anschließend auf den Button OK.
  • Im Eigenschaftenfenster setzen Sie folgende Einstellungen:
Eigenschaftengruppe | Eigenschaftenfeld | Beschreibung
Darstellung | Schrift: | 8 - Legende
Farben | Transparent | aktiv
 | Balkenfarbe | Füllstand_Normal
Runtime | Tooltip: | Füllstand Vorratstank

Noch in diesem Kapitel

Farbliche Darstellung der Grenzwertverletzung


Farbliche Darstellung der Grenzwertverletzung

Erste Schritte -> Bildelemente -> Dynamische Elemente -> Bargraf -> Farbliche Darstellung der Grenzwertverletzung

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Bei Grenzwertverletzungen kann die Farbe aus der Variablen den gesamten Bereich einfärben oder nur den Bereich ab der Grenzwertverletzung.

Gesteuert wird diese Funktionalität über die Eigenschaft Explizit in der Gruppe Darstellung.

Explizit aktiv

Wird ein Grenzwert der verknüpften Variable verletzt, so wird nur der Teil der Darstellung, der in die Grenzwertverletzung hinein reicht, in der Farbe des jeweiligen Grenzwertes dargestellt.
Hat die Variable mehrere definierte Grenzwerte, so werden die entsprechenden Bereiche der Darstellung jeweils in der Farbe des Grenzwertes dargestellt.

Ansichtsmuster:

Explizit Inaktiv

Wird ein Grenzwert der verknüpften Variable verletzt, so wird die gesamte Darstellung in der Farbe des verletzten Grenzwertes dargestellt.

Ansichtsmuster:


Zeigerinstrument

Erste Schritte -> Bildelemente -> Dynamische Elemente -> Zeigerinstrument

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Mit dem Dynamische Element Zeigerinstrument stellen Sie Zeigerinstrumente dar.

  • Öffnen Sie das Bild Vorratstank 1.
  • Wählen Sie im Menü bzw. der Symbolleiste der Elemente den Eintrag Zeigerinstrument.

Mit gedrückter linker Maustaste ziehen Sie nun im Bild Vorratstank 1 den Rahmen für Ihr Zeigerinstrument auf.Positionieren Sie das Zeigerinstrument in Ihrem Textblock neben der Wassertemperatur.

  • In dem sich nun öffnenden Dialog Variablenauswahl wählen Sie Vorratstank[1].Heizungselement.Temperaturfühler.
  • Parametrieren Sie das Zeigerinstrument-Element im Eigenschaftenfenster:
Eigenschaftengruppe | Eigenschaftenfeld | Beschreibung
Darstellung | Schrift: | 8 - Legende
 | Maßeinheit anzeigen | aktiv
 | Teilkreis | aktiv
 | Explizit | inaktiv
 | Skala Hauptticks | 25000
 | Skala Nebenticks | 10
Farben | Grenzwertfarbe verwenden | aktiv
Runtime | Tooltip: | Füllstand Vorratstank

Detailansicht:


Universalregler

Erste Schritte -> Bildelemente -> Dynamische Elemente -> Universalregler

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Mit dem Dynamische Element Universalregler stellen Sie Variablenwerte in Form von Schiebereglern, Bargrafen, LED Balkenanzeigen und beliebigen anderen Reglern an.

Für die Projektierung eines Universalreglers gehen Sie wie folgt vor:

  • Öffnen Sie das Bild Vorratstank 1.
  • Wählen Sie im Menü bzw. der Symbolleiste der Elemente den Eintrag Universalregler.
  • Mit gedrückter linker Maustaste ziehen Sie nun im Bild Vorratstank den Rahmen für Ihren Universalregler auf.
    Positionieren Sie das Universalreglerelement in Ihrem Textblock unter dem bereits projektierten Zeigerinstrument.
  • In dem sich nun öffnenden Dialog Variablenauswahl wählen Sie Vorratstank[1].Temperaturfühler.
  • Setzen Sie die Hauptticks auf 25 und die Nebenticks auf 10.
  • Im Eigenschaftenfenster setzen Sie folgende Einstellungen:
Eigenschaftengruppe | Eigenschaftenfeld | Beschreibung
Darstellung | Schrift: | 8 - Legende
 | Hauptticks: | 10
 | Nebenticks: | 10
Universalregler | Stil: | Bewegte Skala
 | Zeigerart: | Zeiger
 | Balken explizit | aktiv
 | Titel anzeigen | aktiv
 | Titeltext: | Wassertemperatur
 | Schleppzeiger anzeigen: | aktiv
Runtime | Tooltip: | Wassertemperatur

Ansichtsbeispiel:

Experementieren Sie mit dem Aussehen Ihres Universalreglers.

Ändern Sie in der Eigenschaftengruppe Universalregler den Stil:


Trendelement

Erste Schritte -> Bildelemente -> Dynamische Elemente -> Trendelement

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Mit dem Dynamische Element Trend-Element stellen Sie Werte zur Runtime in Form von Trendkurven dar, wobei mehrere Prozessvariablen gleichzeitig dargestellt werden können.

Für die Projektierung eines Trend-Elements gehen Sie wie folgt vor:

  • Öffnen Sie das Bild Vorratstank.
  • Wählen Sie im Menü bzw. der Symbolleiste der Elemente den Eintrag Trend-Element.
  • Mit gedrückter linker Maustaste ziehen Sie nun im Bild Vorratstank 1 den Rahmen für Ihr Trend-Element auf.
    Positionieren Sie Trendelement zwischen der Tankgrafik und Ihrem Textblock.
  • In dem sich nun öffnenden Dialog Variablenauswahl wählen Sie Vorratstank[1].Temperaturfühler und Vorratstank[1].Füllstand.
  • Setzen Sie die Hauptticks auf 25 und die Nebenticks auf 10.
  • Im Eigenschaftenfenster setzen Sie folgende Einstellungen:
Eigenschaftengruppe | Eigenschaftenfeld | Beschreibung
Runtime | Tooltip: | Grafische Übersicht von Füllstand und Temperatur der letzten 10 Minuten.
Kurven | In dieser Eigenschaftengruppe parametrieren Sie Farbe und Aussehen Ihrer Trendkurven. In diesem Beispiel werden zwei Kurven angeboten, da zwei Variablen gewählt wurden. Wählen Sie pro Kurve unterschiedliche Farben sowie Linienarten.

Ansichtsbeispiel mit zwei im Trendelement dargestellten Variablen:


Dynamischer Text

Erste Schritte -> Bildelemente -> Dynamische Elemente -> Dynamischer Text

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Mit dem Dynamischen Element Dynamischer Text stellen Sie bei einer Grenzwertverletzung den aktuellen Grenzwerttext einer numerischen Variablen oder den Wert einer Stringvariablen in alphanumerischer Form dar. Liegt keine Grenzwertverletzung vor, wird der im Editor definierte Text angezeigt.

Für die Projektierung eines Elementes Dynamischer Text gehen Sie wie folgt vor:

  • Öffnen Sie das Bild Vorratstank.
  • Wählen Sie im Menü bzw. der Symbolleiste der Elemente den Eintrag Dynamischer Text.
  • Mit gedrückter linker Maustaste ziehen Sie nun im Bild Vorratstank den Rahmen für Ihr Element Dynamischer Text auf.
    Positionieren Sie dieses Element in Ihrem Textblock links neben dem bereits projektierten Zahlenwert für den Füllstand.
  • In dem sich nun öffnenden Dialog Variablenauswahl wählen Sie Vorratstank[1].Füllstand.
  • Im Eigenschaftenfenster setzen Sie folgende Einstellungen:
Eigenschaftengruppe | Eigenschaftenfeld | Beschreibung
Darstellung | Schrift: | 8-Legende
 | Text: | Keine Grenzwertverletzung
Farben | Transparent | aktiv
 | Text-/Linienfarbe: | Vorratstank[1].Füllstand
 | Füllfarbe: | Vorratstank[1].Füllstand
Runtime | Tooltip: | Zustand Füllmenge

Noch in diesem Kapitel

Dynamischer Text - weitere Projektierungen


Dynamischer Text - weitere Projektierungen

Erste Schritte -> Bildelemente -> Dynamische Elemente -> Dynamischer Text -> Dynamischer Text - weitere Projektierungen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Projektieren Sie nun ein zweites Element Dynamischer Text für die Temperatur.

  • Wählen Sie im Menü bzw. der Symbolleiste der Elemente den Eintrag Dynamischer Text.
  • Mit gedrückter linker Maustaste ziehen Sie nun im Bild Vorratstank den Rahmen für Ihr Element Dynamischer Text auf.
    Positionieren Sie den Rahmen in Ihrem Textblock links neben dem bereits projektierten Zahlenwert für die Temperatur.
  • In dem sich nun öffnenden Dialog Variablenauswahl wählen Sie Vorratstank[1].Temperaturfühler.
  • Im Eigenschaftenfenster setzen Sie folgende Einstellungen:
Eigenschaftengruppe | Eigenschaftenfeld | Beschreibung
Darstellung | Schrift: | 8-Legende
 | Text: | Keine Grenzwertverletzung
 | Füllfarbe: | Vorratstank[1].Temperaturfühler
Farben | Transparent | aktiv
Runtime | Tooltip: | Zustand Wassertemperatur

Ansichtsbeispiel mit Dynamischen Textelementen (Detail):

info Info

Beachten Sie die unterschiedlichen Textfarben. Diese erklären sich durch die zwei unterschiedlichen Parametrierungen im Eigenschaftenfeld Textfarbe.


Combi-Element

Erste Schritte -> Bildelemente -> Dynamische Elemente -> Combi-Element

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Das Combi-Element ist ein universal einsetzbares Dynamisches Element, das verschiedenste grafische Ausprägungen annehmen kann.

Die Form der Darstellung wird über Zustände definiert. Als Zustände können sowohl Variablenwerte der Hauptvariable dienen als auch Werte weiterer Variablen sowie Statusinformationen aller verknüpfter Variaben. Über Formeln können beliebige Verknüpfungen erstellt werden.

Noch in diesem Kapitel

Combi-Element projektieren

Combi-Element parametrieren


Combi-Element projektieren

Erste Schritte -> Bildelemente -> Dynamische Elemente -> Combi-Element -> Combi-Element projektieren

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In diesem Tutorial soll die Möglichkeit bestehen eine Heizung ein- und auszuschalten. Die Heizung soll nur dann visualisiert werden, wenn diese auch aktiviert ist. Ist die Heizung deaktiviert soll keine Visualisierung sichtbar sein. Für diese Herausforderung bietet das Combi-Element die passende Lösung.

Für die Projektierung eines Combi-Elementes führen Sie folgende Schritte aus:

  • Öffnen Sie das Bild Vorratstank.
  • Wählen Sie im Menü bzw. der Symbolleiste der Elemente den Eintrag Combi-Element.
  • Mit gedrückter linker Maustaste ziehen Sie nun im Bild Vorratstank den Rahmen für Ihr Combi-Element auf.
    Positionieren Sie dieses Element genau unter dem Symbol Ihres Tankes.
  • In dem sich nun öffnenden Dialog Variablenauswahl wählen Sie Vorratstank[1].Heizungselement.Schalter ein/aus.
  • Im Eigenschaftenfenster setzen Sie folgende Einstellungen:
Eigenschaftengruppe | Eigenschaftenfeld | Beschreibung
Runtime | Tooltip: | Visualisierung Heizung

Nach Positionierung des Combi-Elementes öffnet sich der Dialog zur Konfiguration.


Combi-Element parametrieren

Erste Schritte -> Bildelemente -> Dynamische Elemente -> Combi-Element -> Combi-Element parametrieren

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nach Positionierung des Combi-Elementes öffnet sich der Dialog zur Konfiguration.

Diesen Dialog können Sie für spätere Änderungen auch über das Eigenschaftenfenster erreichen. Drücken Sie dazu Hier klicken -> in der Eigenschaftengruppe Darstellung, im Eigenschaftenfeld Konfiguration und Test:

Führen Sie folgende Schritte aus, um Werte mit Grafiken zu verbinden:

  • Erstellen Sie mit der Schaltfläche Neu einen neuen Wert.
  • Setzen Sie den Wert in der Werteleiste.
  • Weisen Sie Ihrem Wert mit Klick auf das leere Rechteck unter Symbol aus Bibliothek: ein Darstellungselement zu.
    Für dieses Tutorial wurde ein Darstellungselement aus der Globalen Symbolbibliothek gewählt. Sie finden dieses Feuersymbol in der Symbolgruppe International Symbols, fire.
  • Setzen Sie Orignial Symbolfarben aktiv.

Wiederholen Sie diese Schritte für jeden Wert. Wenn Sie für einen Wert keine Grafik zur Visualisierung verwenden wollen so setzen Sie nur den Wert und weisen kein Darstellungselement zu.

Wenn Sie ein bereits zugewiesenes Darstellungselement nicht mehr anzeigen wollen so entfernen Sie dieses durch Klick auf X.


Schalter

Erste Schritte -> Bildelemente -> Dynamische Elemente -> Schalter

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Mit dem Dynamische Element Schalter zeigen Sie die Werte einer Binärvariablen über Grafiken an und modifizieren sie.

Für die Projektierung eines Schalters gehen Sie wie folgt vor:

  • Öffnen Sie das Bild Vorratstank.
  • Wählen Sie im Menü bzw. der Symbolleiste der Elemente den Eintrag Schalter.
  • Mit gedrückter linker Maustaste ziehen Sie nun im Bild Vorratstank den Rahmen für Ihr Element Schalter auf.
    Positionieren Sie dieses Element nahe dem bereits eingefügten Symbol des Durchflussmessers.
  • In dem sich nun öffnenden Dialog Variablenauswahl wählen Sie Vorratstank[1].Zufluss - Schalter.
  • Im Eigenschaftenfenster setzen Sie folgende Einstellungen:
Eigenschaftengruppe | Eigenschaftenfeld | Beschreibung
Darstellung | Vordefinierte Grafiken: | DIP
Runtime | Tooltip: | Wasserzufluss ein/aus

Wiederholen Sie diese Schritte für den Abfluss:

  • Bei der Variablenauswahl verwenden Sie Vorratstank[1].Abfluss - Schalter.
  • Als Tooltip tragen Sie Wasserabfluss ein/aus in den Eigenschaften in der Gruppe Runtime ein.

Noch in diesem Kapitel

Schalter mit Tasten


Schalter mit Tasten

Erste Schritte -> Bildelemente -> Dynamische Elemente -> Schalter -> Schalter mit Tasten

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Das Element Schalter kann auch als Taster zur einstufigen ungesicherten Befehlsgabe verwendet werden.

In diesem Tutorialbeispiel soll ein Schalter für die Heizung projektiert werden. Zusätzlich wird ein Ein-/Ausschalter für die Heizung als Taste projektiert. Solange dieser Schalter bzw. Taster gedrückt ist, soll die Heizung aktiv sein. Die Minimallaufzeit dieses Heizprozesses soll 5 Sekunden betragen.

Zur Projektierung der Aufgabenstellung führen Sie folgende Schritte aus:

  • Öffnen Sie das Bild Vorratstank.
  • Wählen Sie im Menü bzw. der Symbolleiste der Elemente den Eintrag Schalter.
  • Mit gedrückter linker Maustaste ziehen Sie nun im Bild Vorratstank den Rahmen für Ihr Element Schalter auf. Positionieren Sie diesen Schalter unter dem rechten Eck Ihres Vorratstankes.
    In dem sich nun öffnenden Dialog Variablenauswahl wählen Sie Vorratstank[1].Heizungselement.Schalter ein/aus.
  • Im Eigenschaftenfenster setzen Sie folgende Einstellungen:
Eigenschaftengruppe | Eigenschaftenfeld | Beschreibung
Darstellung | Vordefinierte Grafiken: | STROM
Runtime | Tooltip: | Tankheizung ein/aus

Wiederholen Sie diese Schritte für den Taster:

  • Wählen Sie im Menü bzw. der Symbolleiste der Elemente den Eintrag Schalter.
  • Positionieren Sie dieses Element unter Ihrem Tanksymbol, links neben dem bereits projektierten Combi-Element der Heizung.
  • Bei der Variablenauswahl verwenden Sie wieder Vorratstank[1].Abfluss - Schalter.
  • Als Vordefinierte Grafiken: wählen Sie KNOPF.
  • Als Tooltip tragen Sie Impulsschalter Tankheizung in den Eigenschaften in der Gruppe Runtime ein.

Um aus dem Schalter eine Taste zu erstellen, wechseln Sie im Eigenschaftenfenster in die Gruppe Sollwert absetzen.

Eigenschaftenfeld | Parametrierung | Beschreibung
Taster | aktiv | Definiert Schalter als Taster.
Taster EIN | aktiv | Bestimmt die Richtung. Wenn diese Eigenschaft aktiv ist, ist der Taster default auf aus. Durch Drücken dieses Tasters wird der Schalter auf ein gesetzt.
Haltezeit [ms]: | 5000 | Dies bewirkt, dass der Taster mind. 5 Sekunden aktiv ist.

Ansichtsbeispiel Ihrer bisherigen Projektierung (Detail bei aktivierter Heizung):

info Info

Die Eigenschaften für den Taster sind nur verfügbar, wenn das Bildelement ein Schalter ist.


Zustandselement

Erste Schritte -> Bildelemente -> Dynamische Elemente -> Zustandselement

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Mit dem Dynamische Element Zustandselement steuern Sie ein Bildsymbol. Dabei werden Eigenschaften einer verknüpften Variablen wie z.B. Farben, Blinken usw. auf ein Symbol übertragen. Sie können damit auch statische Grenzwerttexte anzeigen.

Für die Projektierung eines Zustandselements gehen Sie wie folgt vor:

  • Öffnen Sie das Bild Vorratstank.
  • Wählen Sie im Menü bzw. der Symbolleiste der Elemente Zustandselement.
  • Mit gedrückter linker Maustaste ziehen Sie nun im Bild Vorratstank den Rahmen für Ihr Zustandselement auf.
    Positionieren Sie das Element rechts neben dem (bereits projektierten) Universalregler für die Wassertemperatur.
  • In dem sich nun öffnenden Dialog Variablenauswahl wählen Sie Vorratstank[1].Temperaturfühler.
  • Wählen Sie aus der Globalen Symbolbibliothek das Symbol shutter_red_2 und positionieren Sie dieses nahe dem Zustandselement.
    Hinweis: dieses Symbol befindet sich in der Gruppe interface_buttons_16_9.
  • Parametrieren Sie im Eigenschaftenfenster Ihr Zustandselement:
Eigenschaftengruppe | Eigenschaftenfeld | Beschreibung
Darstellung | Schrift: | 8 - Legende
 | Symbol: | shutter_red_2
 | Grenzwert anzeigen | aktiv
Farben | Text-/Linienfarbe: | Vorratstank[1].Temperaturfühler
Sichtbarkeit | Variable: | Vorratstank[1].Temperaturfühler
 | von Grenzwert übernehmen | Aktiv
Sollwert absetzen | SW setzen aktiv | Inaktiv
Variable / Funktion | Variable: | Vorratstank[1].Temperaturfühler

Eine Parametrierung des Symbols kann in diesem Zusammenhang entfallen, da Sichtbarkeit und Einfärbung dieses Symbol durch das Zustandselement gesteuert werden. Zusätzlich bewirkt diese Art der Projektierung, dass auch der Grenzwerttext als Text in der entsprechenden Grenzwertfarbe angezeigt wird.

Wenn Sie Zustände ausschließlich grafisch darstellen wollen genügt es, ein Symbol mit den entsprechenden Sichtbarkeitseinstellungen zu projektieren. In diesem Falle wird die Anzeigeeinstellung Grenzwerttext anzeigen in der Eigenschaftengruppe Darstellung Inaktiv projektiert.

Hinweis: Diese Projektierung der Sichtbarkeit erfolgt im Zustandselement.


Combo-/Listbox

Erste Schritte -> Bildelemente -> Dynamische Elemente -> Combo-/Listbox

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Mit dem Dynamischen Element Combo-/Listbox verknüpfen Sie Werte von Variablen mit Texten. Diese nutzen Sie auf zwei Arten:

  • Wird ein Text zur Runtime ausgewählt, ändert sich der Wert der Variablen auf jenen Wert, der mit diesem Text verknüpft ist.
  • Erreicht die Variable einen der definierten Werte, wird der verknüpfte Text solange in der Combobox/Listbox angezeigt, wie der Wert ansteht.

In diesem Tutorial soll die Funktionalität dieses Elementes dazu eingesetzt werden, den Füllstand des Lagertankes mit entsprechenden Werten aus einer Combobox zu befüllen. Als zweite Anwendung wird eine Listbox projektiert, welche vordefinierte Temperaturen an den Temperaturfühler übergibt.

Noch in diesem Kapitel

Statische Combobox

Statische Listbox

Textfarbei bei Combo-/Listboxen


Statische Combobox

Erste Schritte -> Bildelemente -> Dynamische Elemente -> Combo-/Listbox -> Statische Combobox

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Für die Projektierung einer Combobox gehen Sie wie folgt vor:

  • Öffnen Sie das Bild Vorratstank.
  • Wählen Sie im Menü bzw. der Symbolleiste der Elemente den Eintrag Combo-/Listbox.
  • Mit gedrückter linker Maustaste ziehen Sie nun im Bild Vorratstank den Rahmen für Ihr Element auf.
    Positionieren Sie dieses Element über dem (bereits projektierten) Zeigerinstrument für die Wassertemperatur. Achten Sie darauf, eine Höhe von mindestens 150 Pixel zu projektieren.
  • In dem sich nun öffnenden Dialog Variablenauswahl wählen Sie Vorratstank[1].Füllstand.
  • Der Dialog zur Parametrierung Ihrer Combobox öffnet sich:

    Hinweis: Wird der Dialog Einträge nicht automatisch geöffnet, wechseln Sie in die Eigenschaftengruppe Darstellung. Klicken Sie im Eigenschaftenfeld Einträge: Hier klicken ->
  • Durch Klick auf Neu wird ein neuer Wert in der Einträgeliste projektiert.
    • Via Wert absetzen aktiv können Werte auf Variablen geschrieben werden
    • Durch Auswahl von ... bei Funktion wird ein entsprechender Funktionsaufruf ausgeführt
      Hinweis: Wert und Funktion können unabhängig voneinander projektiert werden.
  • Tragen Sie folgende Werte ein:
Wert | Text
100 | 100 Liter
5000 | 5.000 Liter
10000 | 10.000 Liter
15.000 | 15.000 Liter
19500 | 19.500 Liter
  • Gleichbleibende Projektierungsinhalte:
    • als Sichtbarkeitsvariable geben Sie jeweils Vorratstank[1].Füllstand an.
      Wert absetzen ist aktiv

Für (nachträgliche) Änderungen Ihrer Projektierung:

  • Wählen Sie Ihr (bereits projektiertes) Combo-/Listboxelement aus
  • Der Dialog zur Parametrierung wird in der Eigenschaftengruppe Darstellung via Hier klicken -> im Eigenschaftenfeld Einträge: geöffnet.


Statische Listbox

Erste Schritte -> Bildelemente -> Dynamische Elemente -> Combo-/Listbox -> Statische Listbox

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Für die Projektierung einer Listbox gehen Sie wie folgt vor:

  • Öffnen Sie das Bild Vorratstank.
  • Wählen Sie im Menü bzw. der Symbolleiste der Elemente den Eintrag Combo-/Listbox.
  • Mit gedrückter linker Maustaste ziehen Sie nun im Bild Vorratstank den Rahmen für Ihr Element auf.
    Positionieren Sie dieses Element links nebem dem Symbol für den Vorratstank. Achten Sie darauf, eine Höhe von 60 Pixel zu projektieren.
  • In dem sich nun öffnenden Dialog Variablenauswahl wählen Sie Vorratstank[1].Heizungselemente.Temperaturfühler
  • Der Dialog zur Parametrierung Ihrer Listbox öffnet sich:
  • Tragen Sie folgende Werte ein:
Wert | Text
0,5 | Frost (0, 5°)
2,5 | Frostgefahr (2,5°)
16 | Normal (16 °)
55 | Überhitzungsgefahr (55 °)
99 | Verdampfung (99 °)

Sichtbarkeitsvariable und Funktion werden in diesem Beispiel nicht projektiert. Nachdem Sie Ihre Werte eingetragen haben sollte Ihre Projektierung wie folgt aussehen:


Textfarbei bei Combo-/Listboxen

Erste Schritte -> Bildelemente -> Dynamische Elemente -> Combo-/Listbox -> Textfarbei bei Combo-/Listboxen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Die Textfarbe der Combo-/Listboxeinträge können in Abhängigkeit zu Grenzwertfarben projektiert werden.

Diese Einstellung wird im Eigenschaftenfenster projektiert:

  • Wählen Sie Ihre Listbox für die Wassertemperatur aus
  • Wechseln Sie im Eigenschaftenfenster in die Gruppe Farben
  • Weisen Sie unter Farben dynamisch im Eigenschaftenfeld Text-/Linienfarbe: Vorratstank[1].Temperaturfühler durch Auswahl der Schaltfläche ... zu.

Projektierungsansicht:

Hinweis: Durch die geringe Höhe sind nicht alle Einträge dieser Listbox in der Runtime sichtbar. In diesem Falle wird in der Runtime eine Scrollmöglichkeit angeboten.


Multibin

Erste Schritte -> Bildelemente -> Dynamische Elemente -> Multibin

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Mit dem Dynamische Element Multibin können Sie mehrere Zustände definieren:

  • eine Grafik abhängig von Variablenwerten anzeigen
  • Symbole einfärben
  • Zustandstext ausgeben
  • numerische Variablen und Binärvariablen verknüpfen
  • einen Schalter oder Taster für die erste Variable darstellen, sofern die erste Variable eine Binärvariable ist

Projektierungsbeispiel:

Zur Veranschaulichung der Funktionalität des Dynamischen Bildelementes Multibin stellen Sie sich folgende Problemstellung vor:

Für Ihre Projektierung soll eine Leitung vom Brunnen zu den Vorratstanks führen. Diese Wegstrecke ist 1.000 Meter lang. Im Abstand von 200 Meter soll eine Heizstation installiert werden, welche bei Temperaturabfall die Heizung aktiviert. Diese Aktivierung ist auch via Schalter möglich. Es soll eine Übersicht projektiert werden, in der auch der Zustand der einzelnen Schalter als Text ausgegeben wird. Ist eine Heizstation aktiv, soll dies grafisch angezeigt werden.

Noch in diesem Kapitel

Vorbereitende Projektierung

Sichtbarkeitsebenen

Projektierung des Elementes Multibin

Parametrierung des Multibin-Elements


Vorbereitende Projektierung

Erste Schritte -> Bildelemente -> Dynamische Elemente -> Multibin -> Vorbereitende Projektierung

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sie werden anhand der Aufgabenstellung weitere Funktionalitäten von zenon kennenlernen.

Der Schwerpunkt liegt dabei auf

  • Symbolbearbeitung
  • Wiederverwendbarkeit
  • mehrfachem Nutzen von bestehenden Projektierungen

Notwendige Projektierungsschritte:

Bevor Sie in diesem Tutorial das Dynamische Element Multibin projektieren können, sind folgende Schritte notwendig:

  • Anlegen eines neuen Bildes (bereits projektiert).
  • Anlegen eines Buttons in der Navigationsleiste (bereits projektiert).
  • Anlegen einer Funktion zur Ansteuerung dieses Bildes (bereits projektiert).
  • Projektierung einer Symbolvorlage und wiederholte Anwendung dieses Symboles in einem Bild.
  • Projektierung des Elementes Multibin

Noch in diesem Kapitel

Symbolbearbeitung im Bild

Mehrfachnutzen durch Verknüpfungsregeln

Substituierung von Symbolen

Eigenschaften aus Verknüpfungen freigeben

Linked Symbol Wizard


Symbolbearbeitung im Bild

Erste Schritte -> Bildelemente -> Dynamische Elemente -> Multibin -> Vorbereitende Projektierung -> Symbolbearbeitung im Bild

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Für die geplante Projektierung wird nur ein Symbol, welches wiederum aus mehreren Symbolen besteht, mehrfach verwendet. Eine Möglichkeit besteht darin, eine Muster-Symbolgruppe zu zeichnen und dann via Copy+Paste in das Bild einzufügen.

Ihre Projektierung verläuft jedoch effizienter, und vor allem weniger fehleranfällig, wenn Sie zuerst aus verschiedenen Symbolen ein neues Symbol projektieren und dieses zukünftig aus der Symbolbibliothek anwenden. Sie werden in diesem Zusammenhang auch die Substitutions-Funktionalität von zenon kennenlernen.

Zuerst erstellen Sie sich aus vorhandenen Symbolen ein neues Symbol. Führen Sie dazu folgende Schritte aus:

Erstellen Sie ein neues leeres Bild und benennen Sie dieses z.B. temporär.

  • Projektieren Sie einen Schalter
    • Wählen Sie als Variable Heizung Leitung[1].Heizungsschalter
  • Projektieren Sie ein Zeigerinstrument
    • Wählen Sie als Variable Heizung Leitung[1].Temperaturfühler
  • Projektieren Sie ein Combi-Element
    • Für den Bitwert 1 verwenden Sie das Symbol fire. Sie finden dieses Feuersymbol in der Symbolgruppe International Symbols.
    • Defaultzustand und Bitwert 0 erhalten kein Symbol

Ordnen Sie Ihre Projektierung nach untenstehender Grafik an. Die Gesamtgröße dieser Symbolgruppe soll ca. 350 Pixel hoch und 250 Pixel breit sein:

Hinweis: Beim Combi-Element ist das Feuer-Symbol nicht sichtbar, da dem Defaultwert kein Symbol zugeordnet ist.

Einfügen in bestehende Symbolbibliothek

  • Markieren Sie alle drei Symbole indem sie bei gedrückter Maustaste einen Rahmen um die drei Elemente ziehen.
  • Wählen Sie aus dem Kontextmenü Symbol -> Elementgruppe erzeugen.
  • Wenn Sie nun das Kontextmenü aufrufen können sie den "neuen" Befehl Einfügen in Symbolbibliothek... auswählen.
  • Wählen Sie anschließend in dem sich öffnenden Dialog den Speicherort Ihres "neuen" Symboles. Für dieses Tutorial wählen Sie die Projektbibliothek.
    Die Elementgruppe wird in die Symbolbibliothek eingefügt und in ein Symbol umgewandelt.

info Info

Nach Hinzufügen Ihres Symboles in eine Symbolbibliothek könnte die Bildvorlage temporär auch gelöscht werden. In zenon besteht keine tatsächliche Verknüpfung zwischen Bild und Symbol. Sie können dieses Bild aber für spätere Symbolprojektierungen verwenden.


Mehrfachnutzen durch Verknüpfungsregeln

Erste Schritte -> Bildelemente -> Dynamische Elemente -> Multibin -> Vorbereitende Projektierung -> Mehrfachnutzen durch Verknüpfungsregeln

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sie verfügen nun über ein selbst erstelltes Symbol. Dieses Symbol beinhaltet drei verschiedene Bildelement und zwei Variablen.

  • Öffnen Sie nun Ihr (bereits projektiertes) Bild Leitungsübersicht.
  • Öffnen Sie im Projektmanager den Knoten Bilder und dort die Projekt-Symbolbibliothek.
    Hinweis: Sie sollten in der Projekt-Symbolbibliothek Ihr vorhin erstelltes Symbol sehen.

Im nächsten Schritt wenden Sie dieses Symbol insgesamt neun Mal auf einem Bild an.

Ihr projektiertes Symbol in der Symbolbibliothek dient dabei als Muster. Alle in diesem Symbol enthaltenen Elemente, Variablen und Funktionen werden bei der Projektierung automatisch übernommen.

Machen Sie mit der Projektierung weiter:

  • Via Drag+Drop ziehen Sie Ihr Symbol in das geöffnete Bild Leitungsübersicht.
  • Der Dialog Verknüpfungsregel bearbeiten öffnet sich automatisch.
  • Bestätigen Sie diesen Dialog bei Ihrem ersten Symbol mit OK.


Substituierung von Symbolen

Erste Schritte -> Bildelemente -> Dynamische Elemente -> Multibin -> Vorbereitende Projektierung -> Substituierung von Symbolen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Diese Anwendung eines Elements bzw. Symbols aus einer Symbolbibliothek führt dazu, dass jede Positionierung Ihres Symboles mit den in der Vorlage projektierten Variablen angelegt wird. Sie hätten also neun Mal den Schalter sowie den Temperaturfühler für die erste Heizstation projektiert.

Eine kurzfristige Lösung besteht darin, das Symbol aus der Symbolbibliothek ohne Variablen und Funktionen zu projektieren und diese dann im Bild einzeln zuzuordnen. Dieser Workaround stößt jedoch bei komplexeren Projektierungen sehr schnell an seine Grenzen. Auch spätere Änderungen müssten pro Symbol einzeln nachgezogen werden.

Für Ihr erstes Symbol sind die im Symbol hinterlegten Variablen noch korrekt.
Um jedoch in weiterer Folge auch die richtigen Variablen zuzuordnen führen Sie folgende Schritte aus:

  • Ziehen Sie via Drag+Drop das Mustersymbol nochmals in Ihr Leitungsübersichtsbild.
  • Für dieses zweite Symbol tragen Sie jedoch im Eingabefeld Quelle Heizung Leitung[1 ein
  • Im Feld ersetzen durch tragen Sie Heizung Leitung[2 ein.
  • Wiederholen Sie diesen Schritt noch zwei Mal. Als Ersetzungsregel wählen Sie:
    • Heizung Leitung[3 für die dritte Symbolgruppe
    • Heizung Leitung[4 für die vierte Symbolgruppe

Benutzen Sie die Menüleiste Ausrichtung um die erste Zeile Ihrer Projektierung auszurichten. Sie sollten nun Ihr Symbol vier Mal nebeneinander in der oberen Hälfte Ihres Bildes angeordnet haben.


Eigenschaften aus Verknüpfungen freigeben

Erste Schritte -> Bildelemente -> Dynamische Elemente -> Multibin -> Vorbereitende Projektierung -> Eigenschaften aus Verknüpfungen freigeben

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Um Symbole optimal nutzen zu können, ist es manchmal erforderlich, einzelnen Eigenschaften von Symbolelementen individuelle Werte zuzuweisen.

Mit dieser Funktion können Sie zum Beispiel die Eigenschaft Tooltip freigeben. Wenn das Symbol in ein Bild gezogen wird, ist die Eigenschaft Tooltip individuell für jede Heizstation einzeln änderbar. Diese Funktionalität steht für alle Eigenschaften zur Verfügung.

Um den Tooltip Ihrer Elementgruppe freizugeben führen Sie folgende Schritte aus:

  • Wechseln Sie im Projektmanager in den Knoten Bilder.
  • Wählen Sie aus der Projekt-Symbolbibliothek Ihre Elementgruppe in der Detailansicht.
  • Via Doppelklick öffnen Sie die Elementgruppe.
    Hinweis: Achten Sie bei Elementgruppen darauf, das Hauptelement auszuwählen.
  • Wählen Sie im Hauptfenster das Schaltersymbol aus.
  • Wechseln Sie in die Eigenschaftengruppe Allgemein und vergeben Sie als Elementname: Tooltip Heizungsstationen.
  • Füllen Sie im Eigenschaftenfenster die Eigenschaft Tooltip: mit Heizungsschalter Station aus.
  • Ziehen Sie nun das Wort Tooltip: aus dem Eigenschaftenfenster (Eigenschaftengruppe Runtime) via Drag&Drop in die Leiste des Hauptfenster unter dem geöffnetem Symbol.
  • Schließen und speichern Sie das Symbol.
  • Wechseln Sie zum Bild Leitungsübersicht.
  • Wählen Sie ein (zusammengesetztes) Symbol und wechseln Sie im Eigenschaftenfenster zur Eigenschaftengruppe Runtime.
    Hinweis: An der Stelle, wo normalerweise der Tooltip eingetragen wird, fehlt das entsprechende Eigenschaftenfeld. Dafür findet sich Ihr freigegebenes Element am Ende der Eigenschaftenhilfe.

info Info

Wenn Sie vor der Freigabe einen neutral gehaltenen Text für den Tooltip projektieren wird dieser auf Ihre bisherige Projektierung automatisch angewandt.

Um ein freigegebenes Element wieder zu sperren:

  • Wählen Sie im Hauptfenster den Elementnamen bzw. die freigegebene Eigenschaft.
  • Im Kontextmenü wählen Sie Ausgewählte Eigenschaft entfernen.


Linked Symbol Wizard

Erste Schritte -> Bildelemente -> Dynamische Elemente -> Multibin -> Vorbereitende Projektierung -> Linked Symbol Wizard

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Um frei gegebene Eigenschaften übersichtlich und bequem bearbeiten zu können, steht Ihnen der Linked Symbol Wizard zur Verfügung: führen Sie im Bild einen Doppelklick auf ein Symbol aus, das:

  • im Bild verknüpft ist und
  • über frei gegebene Eigenschaften verfügt

der Linked Symbol Wizard öffnet sich

  • wählen Sie die zu ändernde Eigenschaft
  • geben Sie den neuen Wert ein
    Hinweis: Jede Änderung wird sofort übernommen!
  • Schließen Sie den Wizard mit Klick auf Exit


Sichtbarkeitsebenen

Erste Schritte -> Bildelemente -> Dynamische Elemente -> Multibin -> Sichtbarkeitsebenen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ähnlich wie in CAD-Programmen können im Editor Sichtbarkeitsebenen definiert und einzelnen Elementen zugewiesen werden. So lassen sich bei komplexen Bildern nicht benötigte Elemente einfach ausblenden und jederzeit wieder einblenden. 15 Sichtbarkeitsebenen stehen zur Verfügung. Die Zuweisung einer Ebene erfolgt über die Eigenschaft Sichtbarkeitsebene im Knoten Allgemein. Das Aktivieren und Deaktivieren von einzelnen Ebenen erfolgt über die Schaltflächen der Symbolleiste Sichtbarkeitsebenen:

Blenden Sie zuerst die Symbolleiste Sichtbarkeitsebenen ein.

Gehen Sie dazu in die Menüleiste Optionen => Symbolleisten => Sichtbarkeitsebenen.

info Info

Sichtbarkeitsebenen wenden Ihre grafische Projektierung jeweils auf die gewählte Ebene an.

Noch in diesem Kapitel

Arbeiten mit Sichtbarkeitsebenen

Praxistipps Sichtbarkeitsebenen


Arbeiten mit Sichtbarkeitsebenen

Erste Schritte -> Bildelemente -> Dynamische Elemente -> Multibin -> Sichtbarkeitsebenen -> Arbeiten mit Sichtbarkeitsebenen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Abschließend projektieren Sie noch die Pipeline in Ihrer Leitungsübersicht. Ihre Rohrleitung sollte fertig projektiert in etwa so aussehen:

Führen Sie folgende Schritte aus, um eine Pipeline mit Hilfe von Sichtbarkeitsebenen zu zeichnen:

  • Öffnen Sie Ihr Bild Leitungsübersicht im Hauptfenster.
  • Schalten Sie dieses Bild in den Vollbildmodus.
  • wählen Sie das Symbol Rohrleitung in der Symbolleiste Elemente oder in der Dropdownliste Elemente
    • wählen Sie im Hauptfenster den Startpunkt mit einem Klick der linken Maustaste
    • ziehen Sie die erste Teilstrecke
    • setzen Sie mit einem einfachen Mausklick (links) einen ersten Eckpunkt
    • ziehen sie weitere Linien und setzen Sie Eckpunkte
    • ein Doppelklick oder Drücken von Esc setzen den Endpunkt
    • Markieren Sie Ihre Rohrleitung und wählen Sie Hintergrund aus dem Kontextmenü Element Position.
    • Hinweise:
      Form, Größe und Position sind jederzeit änderbar durch Ziehen an den Eckpunkten oder Bewegen des Elements. Halten Sie beim Ziehen die Umschalttaste gedrückt, so sind ausgehend von der ursprünglichen Position nur horizontale oder vertikale Bewegungen möglich
  • Im Eigenschaftenfenster wählen Sie in der Eigenschaftengruppe Allgemein bei Sichtbarkeitsebene: 1.

Anzeige von Sichtbarkeitsebenen

Betrachten Sie nun nochmals Ihre Bildprojektierung.

Wenn Sie in der Symbolleiste der Sichtbarkeitsebenen zuerst die Schaltfläche für Alle Sichtbarkeitsebenen unsichtbar machen drücken und dann die Ebene 1 durch Mausklick auf die Schaltfläche 1 der Symbolleiste aktivieren sehen Sie nur Ihre Pipeline.

Wählen Sie jedoch Ebene 0 aktiv und Ebene 1 nicht aktiv so sehen Sie Ihre Heizstationen ohne Pipeline.

info Info

Sichtbarkeitsebenen haben in der Runtimeansicht keine Auswirkung.


Praxistipps Sichtbarkeitsebenen

Erste Schritte -> Bildelemente -> Dynamische Elemente -> Multibin -> Sichtbarkeitsebenen -> Praxistipps Sichtbarkeitsebenen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

ACHTUNG:

Wenn Sie Sichtbarkeitsebenen ausblenden, vergessen Sie nicht diese wieder einzublenden. Wenn Sie z.B. im Bild Leitungsübersicht alle Sichtbarkeitsebenen bis auf Ebene 2 ausblenden, so ist auch im Bild Vorratstank nurmehr die Ebne 2 sichtbar. In diesem Tutorialsbeispiel würde dies dazu führen, dass Sie im Bild Vorratstank keine Inhalte mehr sehen. Erst wenn Sie in der Symbolleiste Sichtbarkeitsebenen via Alle Sichtbarkeitsebenen sichtbar machen wieder alle Ebenen einblenden, sind auch Ihre bisherige Projektierungsinhalte wieder sichtbar.


Projektierung des Elementes Multibin

Erste Schritte -> Bildelemente -> Dynamische Elemente -> Multibin -> Projektierung des Elementes Multibin

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Für die Projektierung eines Multibin-Elementes führen Sie folgende Schritte aus:

  • Öffnen Sie das Bild Leitungsübersicht.
  • Wählen Sie im Menü bzw. der Symbolleiste der Elemente den Eintrag Multibin-Element.
  • Mit gedrückter linker Maustaste ziehen Sie nun im Bild Leitungsübersicht den Rahmen für Ihr Multibin-Element auf.
    Positionieren Sie dieses Element über der ersten Reihe mit den vier Symbolen.
  • In dem sich nun öffnenden Dialog Variablenauswahl wählen Sie Heizung Leitung[1].Heizungsschalter
  • Es öffnet sich der Dialog zur Parametrierung des Multibin-Elements


Parametrierung des Multibin-Elements

Erste Schritte -> Bildelemente -> Dynamische Elemente -> Multibin -> Parametrierung des Multibin-Elements

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Bei der Parametrierung des Elements Multibin definieren Sie zuerst einen Defaultzustand, anschließend Schritt-für-Schritt-Zustände.

Gehen Sie dazu wie folgt vor:

  • Markieren Sie Ihr (bereits) projektiertes Multibin Element
  • Wechseln Sie im Eigenschaftenfenster in die Eigenschaftengruppe Darstellung
  • Wählen Sie 8 - Legende als Schrift
  • Öffnen Sie den Konfigurationsdialog durch Klick auf ... in der Eigenschaft Konfiguration
  • Parametrieren Sie Ihr Multibin-Element nach folgenden Vorgaben:
    • Zustandstext und Bildsymbol als Darstellungsart
    • Zustandstext anzeigen aktiv
    • Status anzeigen aktiv
    • Keine Heizung aktiv! als Zustandstext im Eingabefeld Zustand 0 (LOW)
  • Für die Parametrierung der weiteren Zustände:
    • Durch Betätigung der Schaltfläche ... öffnet sich die Variablenauswahl.
      Hinweis: Sie können bei gedrückter Strg-Taste mehrere Variablen auswählen. Zum Hinzufügen weiterer Variablen betätigen Sie erneut die ...-Schaltfläche.
    • Parametrieren Sie Ihre einzelnen Variablen indem Sie diese markieren, als Zustandstext jeweils Heizung n aktiv eingeben und als Textfarbe jeweils ein kräftiges Rot wählen.
      Projektierungsbeispiel:
      Markieren Sie die erste Variable
      Fügen Sie Heizung 1 aktiv in das Eingabefeld Zustandtext
      Wählen Sie ein kräftiges Rot als Textfarbe und Symbolfüllfarbe

      Markieren Sie die zweite Variable
      Markieren Sie die erste Variable
      Fügen Sie Heizung 2 aktiv in das Eingabefeld Zustandtext
      Wählen Sie ein kräftiges Rot als Textfarbe und Symbolfüllfarbe

      ...
  • Projektieren Sie abschließend in der Eigenschaftengruppe Runtime einen Tooltip mit dem Eintrag Visualisierung Zustand der Leitungsheizung.


Mehrfachnutzen durch Substitution

Erste Schritte -> Mehrfachnutzen durch Substitution

Sie haben in diesem Tutorial schon öfters von einem zweiten Vorratstank gelesen. Jedoch wurde dieser bisher weder als Bild angelegt, noch wurden Projektierungsschritte für diesen zweiten Tank getätigt.

Dank der Substitution müssen gleiche Strukturen nicht mehrfach projektiert werden. Sie projektieren nur eine neue Funktion und wenden diese auf ein bestehendes Bild an. zenon erkennt diesen "Mehrfachnutzen" und bietet bei der Funktionserstellung automatisch einen Filter-Dialog an. In diesem Dialog können dann die Änderungen bzw. Substitutionen parametriert werden.

Substitution:

  • Projektieren Sie eine neue Funktion vom Typ Bildumschaltung.
  • Wählen Sie im Dialog Bildauswahl das (bereits projektierte) Bild Vorratstank 1 aus.
  • Der Dialog Filter wird geöffnet.
  • Parametrieren Sie nun die Ersetzungsregeln.
    In diesem Beispiel soll der gesamte Inhalt von Vorratstank 1 auf Vorratstank 2 substituiert werden:
    • Geben Sie in das Quell-Feld (=Tank1*) Vorratstank[1 ein
    • Geben Sie im Ziel-Feld (= Tank2) Vorratstan[2 ein
  • Bestätigen Sie Ihre Projektierung durch Klick auf die Schaltfläche OK.
  • Bestätigen Sie den Folgedialog
    "Quellvariablen wurden noch nicht durch die Zielbvariablen ersetzt! Jetzt ersetzen?"
    mit der Schaltfläche Ja.

Wenden Sie abschließend die soeben erstellte Funktion auf den (bereits projektierten) Button Vorratstank 2 an.

  • Wechseln Sie dazu zu den Bildern
  • wählen Sie das Bild Navigationsleiste und
  • wenden Sie die Funktion go_to Vorratstank 2 auf den Button an
    (via Drag&Drop bzw. Eigenschaften des Buttons)

Noch in diesem Kapitel

Tipps zur Substitution


Tipps zur Substitution

Erste Schritte -> Mehrfachnutzen durch Substitution -> Tipps zur Substitution

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Um die Möglichkeit der Substitution optimal anwenden zu können, beachten Sie folgende Hinweise:

  • Nutzen Sie Struktur-Datentypen.
  • Achten Sie auf eine kurze prägnante Benennung Ihrer Variablen.
  • Beachten Sie bereits bei der Benennung die Möglichkeit der Substitution. Diese Benennung sollte eindeutig und leicht substituierbar sein.
  • Projektieren Sie zuerst ein Bild als Vorlage, welches Sie später nach Fertigstellung via Funktion beliebig oft wiederverwenden.


Bildtypen

Erste Schritte -> Bildtypen

Für spezielle Aufgaben bietet zenon eine Reihe besonderer Bildtypen an. Nach Auswahl eines speziellen Bildtyps stehen im Menü Kontrollelemente alle Bedienelemente für den jeweiligen Bildtyp zur Verfügung. Der Menüpunkt Vorlage einfügen öffnet einen Auswahldialog zum Einfügen vordefinierter Layouts mit bestimmten Kontrollelemente an definierter Position.

attention Achtung

Wird ein Bild vom Typ Standard auf einen speziellen Typ geändert, so ist der neue Bildtyp fest mit dem Bild verbunden und kann nicht mehr geändert werden.

Noch in diesem Kapitel

Projektierung von Speziellen Bildtypen

Inhalte von Speziellen Bildtypen

Funktion Bildumschaltung auf Bildtypen

Eigene Bildtypen


Projektierung von Speziellen Bildtypen

Erste Schritte -> Bildtypen -> Projektierung von Speziellen Bildtypen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Zum Anlegen eines speziellen Bildtypes führen Sie folgende Schritte aus:

  • Erstellen Sie ein neues Bild
  • Wählen Sie den entsprechenden Bildtyp in der Eigenschaftengruppe Allgemein, im Eigenschaftenfeld Bildtyp:

    Hinweis: Alternativ können Sie auch in der Detailliste, in der Spalte Bildtyp die Dropdownliste nutzen.
  • Projektieren Sie neue Bilder nach folgenden Vorgaben:
    Hinweis: Alle zu projektierenden Bilder nutzen die Schablone Main.
    Die Spalte Tooltip ist für die darauffolgende Projektierung der Buttons in der Navigationsleiste gedacht.
Name | Bildtyp | Tooltip:
Alarmmeldeliste | Alarmmeldeliste | Alarmmeldeliste
CEL | Chronologische Ereignisliste | Chronologische Ereignisliste
Diagnose Variablen | Variablen-Diagnose | Variablen-Diagnose

Weitere Projektierungsschritte

Wechseln Sie zurück zum (bereits projektierten) Bild Navigation und erstellen Sie für die neu angelegten Bilder entsprechende Buttons.


Inhalte von Speziellen Bildtypen

Erste Schritte -> Bildtypen -> Inhalte von Speziellen Bildtypen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nach Anlage von Speziellen Bildtypen erfahren Sie in diesem Schritt, wie Sie diese mit Inhalten befüllen. Befüllen Sie nun Ihre Bilder des Typs Variablen-Diagnose, CEL und Alarmmeldeliste indem Sie in der Menüleiste => Kontrollelemente => Vorlage einfügen... auswählen.

Führen Sie dazu die folgenden Schritte aus:

  • Markieren Sie im Projektmanager den Knoten Bilder.
  • Öffnen Sie in der Detailliste via Doppelklick das enstprechende Bild mit einem Doppelklick.
  • Wählen Sie aus der Menüleiste Kontrollelemente -> Vorlage einfügen...
  • Wählen Sie im Dialog Vorlage auswählen die entsprechende Vorlage.

Hinweis: Alternativ dazu können Sie auch einzelne Bausteine dieser vorgefertigten Vorlage einfügen. Diese sind in der Auswahlliste unter Vorlage einfügen... aufgelistet.

Der richtig Zeitpunkt

Das Einfügen von Vorlagen bezieht sich immer auf jene Inhalte, welche zum Zeitpunkt des Einfügens bereits projektiert sind. Später hinzugefügte Projektierungen wie z.B. Variablen werden nicht automatisch nachgezogen. Es wird daher empfohlen, die Inhalte von speziellen Bildtypen zu einem möglichst späten Zeitpunkt der Projektierung durchzuführen.


Funktion Bildumschaltung auf Bildtypen

Erste Schritte -> Bildtypen -> Funktion Bildumschaltung auf Bildtypen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Mithilfe der Funktion Bildumschaltung auf ein Bild vom Typ Alarmmeldeliste Filter, Chronologische Ereignisliste Filter und Zeitfilter wird Ihnen der Bildfilter-Dialog angezeigt.

Mit den Bildfiltern haben Sie die komfortable Möglichkeit individuelle Filterseiten zu gestalten. Sie können dazu nicht nur die vordefinierten zenon Dialoge verwenden sondern können Sich eigene Filterdialoge zusammenstellen. Diese können Sie nach Gesichtspunkten wie Touchbedienbarkeit, Filterung nur von speziellen Bereichen, Sprachumschaltbarkeit usw. gestalten.

info Info

Spezielle Bildtypen müssen auch bei mehrfachem Einsatz nur ein Mal erstellt werden. Über die Filter der Funktion Bildumschaltung können diese jeweils mit verschiedenen Daten geöffnet werden.

Noch in diesem Kapitel

Funktion Bildumschaltung auf spezielle Bildtypen

Anwendung der Funktion


Funktion Bildumschaltung auf spezielle Bildtypen

Erste Schritte -> Bildtypen -> Funktion Bildumschaltung auf Bildtypen -> Funktion Bildumschaltung auf spezielle Bildtypen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Die Projektierung der Bildumschaltefunktion erfolgt gleich, wie bei Standard-Bildtypen. zenon erkennt automatisch, dass als Ziel ein spezieller Bildtyp angegeben ist. Bei der Projektierung Ihrer Funktion wird automatisch der Filterdialog im Editor aufgeschalten.

Führen Sie folgende Schritte aus:

  • Erstellen Sie eine Bildumschaltefunktion auf Ihre (bereits projektierten) Bildtypen
    • Alarmmeldeliste
      Funktionsname: switch-screen_Alarmmeldeliste
    • CEL
      Funktionsname: switch-screen_CEL
    • Variablen Diagnose
      Funktionsname: switch-screen_Variablen-Diagnose
  • In dem sich automatisch öffnenden Dialog Filter aktivieren Sie jeweils Diesen Dialog zur Runtime anbieten. Dadurch wird in der Runtime die Möglichkeit geboten, die Filtereinstellungen vorzunehmen.
  • Ist Diesen Dialog zur Runtime anbieten deaktiviert wird in der Runtime sofort mit den (im Editor) vorgegebenen Filtereinstellungen zum jeweiligen Bild umgeschaltet.

Hinweis: Wird der Filterdialog im Editor nicht automatisch geöffnet so können Sie diesen im Eigenschaftenfenster in der Eigenschaftengruppe Allgemein durch Betätigung der Schaltfläch ... des Eigenschaftenfeldes Parameter: erneut aufrufen. Der Filterdialog erscheint im Anschluss an den Variablenauswahldialog.


Anwendung der Funktion

Erste Schritte -> Bildtypen -> Funktion Bildumschaltung auf Bildtypen -> Anwendung der Funktion

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Wenden Sie die soeben erstellten Funktionen auf die Buttons Ihrer Navigationsleiste an:

  • Öffnen Sie dazu im Projektmanager den Knoten Bilder.
  • Via Doppelklick öffnen Sie das Bild Navigaitonsleiste im Hauptfenster.
  • Ziehen Sie die entpsrechende Funktion via Drag+Drop über den dazugehörigen Button.


Eigene Bildtypen

Erste Schritte -> Bildtypen -> Eigene Bildtypen

Die Erstellung eines eigenen Bildtypes ist denkbar einfach. Gehen Sie dazu wie folgt vor:

  • Projektieren und Parametrieren Sie ein Bild nach Ihren Vorgaben.
  • Nach Finalisierung Ihres Bildes wählen Sie im Kontextmenü Vorlage für Bildtyp erzeugen...
  • In dem sich nun öffnenden Dialog können Sie ihr Bild als Bildtyp abspeichern.

Projektierung eines Eigenen Bildtypes

Wenn Sie ein Bild basierend auf Ihrem eigenen Bildtyp aufbauen wollen gehen Sie wie folgt vor:

  • Erstellen Sie ein neues Bild.
  • Behalten Sie den vorgeschlagenen Bildtyp Standard.
  • Öffnen Sie Ihr Bild im Hauptfenster durch Doppelklick des Bildernamens in der Detailansicht.
  • Fügen sie via Menüzeile Kontrollelemente und Vorlage einfügen... eigene Inhalte ein.
  • In dem sich nun öffnenden Dialog wählen Sie die entsprechende Vorlage aus.
  • Die Vorlage wird auf Ihr neues Bild angewandt.

info Info

Sie können pro Bildtyp mehrere Visualisierungen abspeichern. Nutzen Sie diese Möglichkeit zur Optimierung an verschiedene Systeme und Bildschirmauflösungen indem Sie mehrere Lösungen anbieten.


Runtime (Onlinebetrieb)

Erste Schritte -> Runtime (Onlinebetrieb)

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon besteht aus

  • der Projektierungsumgebung, dem Editor,
  • und der Runtime

Projekte werden im Editor erstellt, das Bedienen und Beobachten erfolgt in der Runtime.

Die Runtime / Laufzeitumgebung lässt Projekte plattformunabhängig ablaufen, das heißt, unabhängig von der verwendeten Hardware und dem Betriebssystem. Eine Laufzeitumgebung stellt die „Plattform“ dar, in der die Projekte ablaufen. Die Runtime benötigt zum Ablauf keine Entwicklungsumgebung.

Noch in diesem Kapitel

Runtime starten

Arbeiten in der Runtime

Runtime beenden

Runtime konfigurieren

Runtime Praxistipps

Simulationsmodus ändern

Veränderung von Werten in der Runtime


Runtime starten

Erste Schritte -> Runtime (Onlinebetrieb) -> Runtime starten

Die Runtime kann auf mehrere Arten gestartet werden:

  1. Durch Anklicken der Schaltfläche Runtime starten in Ihrem Editor
  2. Im Start-Menü in der Programmgruppe Programme/COPADATA/zenon 760 über den Eintrag zenon Logic Runtime
  3. Durch Drücken des Buttons Runtime im zenon Startup Tool
  4. Mit der Taste F5 aus dem Editor

attention Achtung

Wenn Sie die Runtime aus dem Editor starten vergessen Sie nicht, Ihre Runtimedaten zu sichern [F7].

Wenn Sie Projektierungen im Editor durchführen, während Sie die Runtime geöffnet haben, aktualisieren Sie Ihre Projektierung durch Drücken des (bereits projektierten) Buttons Reload.


Arbeiten in der Runtime

Erste Schritte -> Runtime (Onlinebetrieb) -> Arbeiten in der Runtime

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nachdem die Runtime gestartet wurde, werden nun zwei Bilder geladen.

Zuerst die Gesamtübersicht (weil diese in der Konfiguration des Projekts automatisch als Startbild eingetragen wurde) und dann das Bild Navigationsleiste (weil es über die Start-Funktion des Startbildes aufgerufen wurde).

Zuerst erfahren Sie, wie Sie sich in einem bestehenden Runtime-Projekt zurechtfinden können:

  • Klicken Sie irgendwo mit der rechten Maustaste in einen leeren Bereich des Bildes.
    Wenn Sie die rechte Maustaste lange genug gedrückt halten, erscheint am Mauszeiger der Name des Bildes.
  • Bewegen Sie die Maus über einen Button oder ein Bildelement.
    Hinter dem Mauszeiger wird der Tooltip angezeigt.
  • Klicken Sie nun mit der rechten Maustaste auf das Zahlenwert-Element für die Betriebsart.
    Links oberhalb des Elements wird nun der Name der damit verknüpften Variable angezeigt.
  • Drücken Sie in der Navigationsleiste den Button Runtime beenden und halten Sie diesen gedrückt: die Buttonbeschriftung ändert sich.


Runtime beenden

Erste Schritte -> Runtime (Onlinebetrieb) -> Runtime beenden

Um die Runtime zu beenden:

  • Betätigen Sie den Button Runtime beenden um die Runtime zu schließen.
  • Drücken Sie Alt Q

info Info

Wenn noch kein Button zum Verlassen der Runtime definiert ist und auch die Windows-Titelleiste nicht zur Verfügung steht, lässt sich die Runtime mit der Tastenkombination Alt-F4 schließen.


Runtime konfigurieren

Erste Schritte -> Runtime (Onlinebetrieb) -> Runtime konfigurieren

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Die Einstellungen für die Runtime werden bereits bei der Projektierung im Editor vorgenommen. Führen Sie dazu folgende Schritte aus:

  • Markieren Sie im Projektmanager den Projektnamen.
  • Nach Aufruf der Eigenschaftengruppe Runtime Einstellungen zeigt sich folgendes Eigenschaftenfeld:

info Info

Ist die Runtime Einstellung Systemtasten sperren aktiv stehen die Systemtasten auch in den restlichen Anwendungen auf dem betroffenen Computer nicht mehr zur Verfügung.

Noch in diesem Kapitel

Keyboardbild verwenden

Keyblock Runtime


Keyboardbild verwenden

Erste Schritte -> Runtime (Onlinebetrieb) -> Runtime konfigurieren -> Keyboardbild verwenden

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Bedenken Sie bei Ihrer Projektierung stets, dass der Operator vor Ort sehr oft nicht über eine so umfangreiche Hardwareausstattung wie Ihr Projektierungscomuter verfügt.

Nicht immer ist die Hardware, auf der die Runtime läuft, ein Desktop-Computer im herkömmlichen Sinne. Wird auf dem Runtime-System z.B. Windows CE bzw. Windows Embedded eingesetzt steht oft keine Tastatur für die Bedienung zur Verfügung. Tragen Sie diesem Umstand Rechnung indem Sie virtuelle Tastaturen anbieten.

Um in der Runtime automatisch eine virtuelle Tastatur einzuschalten:

  • Wählen Sie in Ihrer Projektierung das entsprechende Element aus.
  • Wechseln Sie im Eigenschaftenfenster in die Gruppe Sollwert absetzen.
  • Aktivieren Sie Keyboardbild verwenden.

Wenn Sie nun in der Runtime einen Feldwert verändern schaltet automatisch das Keyboard auf.

Hardware Tastaturen und virtuelle Keyboards im Mischbetrieb

Virtuelle Keyboards verhalten sich im Betriebssystem wie Hardware-Tastaturen. Wenn virtuelle Keyboards gemeinsam mit Hardware-Tastaturen eingesetzt werden, beeinflussen sich diese gegenseitig. Einstellungen auf der Hardware-Tastatur, z. B. Feststellung der Umschalttaste, wirken sich auf das virtuelle Keyboard aus und umgekehrt.

Beispiele:

Wird auf der Hardware-Tastatur die Feststelltaste für die Umschalttaste (Shift-Lock) gedrückt, gilt das auch für das virtuelle Keyboard. In diesem Fall wird auch die Zifferneingabe am Automatischen Keyboard abgeschaltet.

Wird auf der Hardware-Tastatur die Taste Num gedrückt, um den Ziffernblock auszuschalten, funktioniert auch der Tastenblock am virtuellen Keyboard nicht mehr.


Keyblock Runtime

Erste Schritte -> Runtime (Onlinebetrieb) -> Runtime konfigurieren -> Keyblock Runtime

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Keyblock Runtime Start ist ein Programm, mit dem sowohl die zenon Runtime gestartet wird, aber auch alle Windows Systemtasten gesperrt werden. Tastenkombinationen wie Windows-Taste oder Strg+Alt+Entf haben dann keine Auswirkung mehr.

Um Keyblock Runtime Start zu nutzen:

  • öffnen Sie im Windows Startordner unter COPA-DATA die zenon Tools
  • wählen Sie Keyblock Runtime Start aus
  • das Programm startet und startet automatisch die Runtime
  • das Programm sperrt alle Zugriffe auf das Betriebssystem.

Windows-Taste

Mit Sperre der Systemtasten wird auch die normale Bedienung von Bildlaufleisten während der Runtime mit der Maus blockiert. Diese Blockierung kann mit dem Kontextmenü umgangen werden.

Ausblendung der Systemsteuerung im Startmenü

  • Sperre der Taskleiste für Bedienung
  • Unterbinden von
    • Ändern von Kennwörtern
    • Beenden von Windows
    • Abmelden
    • Computer sperren
    • Benutzer wechseln
    • Ausblendung aller Elemente im Taskmanager

info Info

Wird Keyblock Runtime Start mit dem Autostart Mechanismus des Betriebsystems gestartet:

  • ist zu beachten, dass das Autostart Verzeichnis benutzerspezifisch ist: Loggt sich ein anderer Benutzer ein, wird das Programm nicht ausgeführt.
  • kann durch Drücken der Taste Umschalt beim Betriebssystemstart das Abarbeiten der Autostart-Programme unterbunden werden.

Diese Sperrung lässt sich während der Runtime nicht umgehen. Wird die Runtime normal beendet, sind die System-Einschränkungen wieder aufgehoben. Soll die Runtime ohne dieser Einschränkungen bedienbar sein, muss die Runtime statt Keyblock Runtime Start gestartet werden.

attention Achtung

Achten Sie darauf, dass in Ihrem Projekt eine Möglichkeit zum Beenden der Runtime, z.B. in Form eines Buttons, projektiert ist.


Runtime Praxistipps

Erste Schritte -> Runtime (Onlinebetrieb) -> Runtime Praxistipps

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Denken Sie immer daran: die Runtime ist die Bedienoberfläche Ihrer Projektierung.

  • Achten Sie bei der Projektierung auf Übersichtlichkeit und einfache Handhabung
  • Erstellen Sie unterschiedliche Berechtigungsebenen
  • Setzen Sie für alle Eingaben in der Runtime bei der Projektierung Sollwerte um Fehleingaben zu vermeiden.
  • Nutzen Sie Funktionen und Skripte um möglichst viele Automatismen nutzen zu können.
    Hinweis: jede Eingabe durch einen Menschen birgt ein gewisses Fehlerrisiko.
  • Wenn Sie die Runtime laufend zur Überprüfung einzelner Projektierungsschritte verwenden dann vergessen Sie nicht
    • im Editor die Runtime-Daten zu sichern und
    • in der Runtime die aktuellen Projektierungsdaten zu laden.
  • Projektieren Sie aussagekräftige Tooltips. Sie bieten eine gute erste Gelegenheit der Orientierung in der Runtime.


Simulationsmodus ändern

Erste Schritte -> Runtime (Onlinebetrieb) -> Simulationsmodus ändern

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Bisher ist Ihr projektierter Treiber mit dem Status Simulation - zählend projektiert. Dies hat zur Folge, dass Ihre Projektierung stätig hochzählt. Speziell bei Booleschen Variablen führt dies aber auch dazu, dass diese ständig zwischen on und off wechseln.

Um das Verhalten der Booleschen Variablen korrekt beobachten zu können, macht es in diesem Tutorial Sinn, den Treibermodus von zählend auf statisch zu ändern.

Gehen Sie dazu wie folgt vor:

  • Wechseln Sie im Projektmanager auf den Knoten Variablen.
  • Wählen Sie den Knoten Treiber -> S7 TCP-IP Treiber
  • Öffnen Sie den Treiberkonfigurationsdialog in der Eigenschaftengruppe Allgemein durch Klick auf ... der Eigenschaft Konfiguration.
  • Ändern Sie den Modus auf Simulation - statisch

Hinweis: wenn Sie diese Änderung bei laufender Runtime durchführen, vergessen Sie nicht im Editor ihre Runtimedaten zu sichern und in der Runtime nachzuladen.

info Info

Bei einer Änderung Ihrer Treiberprojektierung können Sie alle bereits getätigten Projektierungsschritte weiterverwenden. Eine Neuprojektierung ist nicht notwendig!


Veränderung von Werten in der Runtime

Erste Schritte -> Runtime (Onlinebetrieb) -> Veränderung von Werten in der Runtime

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Da die restlichen Variablen (z.B. Füllstand, Temperatur) jetzt konstant ihren Wert halten nutzen Sie die Sollwertvorgabe. Dazu klicken Sie in der Runtime auf die entsprechende Projektierung und xx Modifizierter Spontanwert.

  • Klicken Sie mit der linken Maustaste auf das Zahlenwert-Element für die Variable Vorratstank[1].Füllstand.
  • Die Standard-Dialogbox zur Sollwertvorgabe öffnet sich und erlaubt Ihnen den Wert der Variable zu ändern.
  • Setzen Sie den Wert der Variable Vorratstank[1].Füllstand auf 990 und schließen Sie die Dialogbox mit OK.
  • Setzen Sie den Wert der Variable Vorratstank[1].Heizungselemente.Temperaturfühler auf 0 und schließen Sie die Dialogbox mit OK.

info Info

Der Treiber ist auf den zählenden Simulationsmodus gesetzt und der Balken des Bargrafen bewegt sich.
  • Mit den projektierten Buttons in der Bedienleiste können Sie zwischen den Bildern umschalten.


Automatisierter Funktionsaufruf

Erste Schritte -> Automatisierter Funktionsaufruf

Bisher haben Sie Funktionen stets mit einer von Ihnen aktiv ausgelösten Tätigkeit ausgelöst. Sie haben gelernt, wie sie ...

  • Werte mit der Sollwerteingabe verändern,
  • Funktionen mit Buttons aufrufen.

In weiterer Folge werden Sie projektieren, wie bestimmte Zustände (z.B. Füllstand oder Temperatur) automatisch Funktionen ausführen.

In diesem Tutorialabschnitt werden Sie lernen:

  • Funktionsaufruf via Reaktionsmatrix
    Beispiel: bei Unter- bzw. Überschreitung eines vorgegebenen Füllstandes wird das entsprechende Ventil geöffnet oder geschlossen.
  • Funktionsaufruf via Grenzwertverletzung
    Beispiel: Bei Unterschreitung einer vorgegebenen Temperatur wird die Heizung der Wasserleitung automatisch aktiviert. Bei Erreichen einer gewissen Temperatur wird die Heizung wieder deaktiviert.

Noch in diesem Kapitel

Funktionsaufruf via Reaktionsmatrix

Funktionsaufruf bei Grenzwertverletzung


Funktionsaufruf via Reaktionsmatrix

Erste Schritte -> Automatisierter Funktionsaufruf -> Funktionsaufruf via Reaktionsmatrix

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Die Reaktionsmatrix erlaubt Funktionsaufrufe, unabhängig von Variablen. Dabei werden logische Zustände in der sogenannten Reaktionsmatrix projektiert und mit dem Parameter Grenzwert einer Variable in Beziehung gesetzt.

In diesem Tutorial soll das Zuflußventil der Wassertanks bei Unterschreitung des Grenzwertes bzw. 1.000 Liter geöffnet und bei Überschreitung des Grenzwertes von 19.000 Liter geschlossen werden.

Gehen Sie dazu wie folgt vor:

  • Projektieren Sie die entsprechenden Funktionen
  • Projektieren Sie eine Reaktionsmatrix
  • Weisen Sie Ihrer Variable eine grenzwertbezogene Funktion zu

Noch in diesem Kapitel

Reaktionsmatrix - Funktionen vorbereiten

Reaktionsmatrix - Reaktionsmatrix projektieren

Reaktionsmatrix - Grenzwerte zuweisen


Reaktionsmatrix - Funktionen vorbereiten

Erste Schritte -> Automatisierter Funktionsaufruf -> Funktionsaufruf via Reaktionsmatrix -> Reaktionsmatrix - Funktionen vorbereiten

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Bei Über- bzw. Unterschreitung soll das Zuflußventil gesteuert werden. Projektieren Sie dazu zuerst Ihre Funktionen:

  • Erstellen Sie eine Funktion Sollwert absetzen
  • wählen Sie die Variable Vorratstank[1].Zufluss - Schalter
  • Sollwert = Ein (1)
  • Bei den Optionen wählen Sie Direkt zur Hardware aktiv
  • Benennen Sie diese Funktion mit set_tankzufluss_ON
  • Projektieren Sie eine zweite Funktion, bei der als Sollwert Aus (0) und als Namen set_tankzufluss_OFF angegeben sind.


Reaktionsmatrix - Reaktionsmatrix projektieren

Erste Schritte -> Automatisierter Funktionsaufruf -> Funktionsaufruf via Reaktionsmatrix -> Reaktionsmatrix - Reaktionsmatrix projektieren

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Für die Projektierung einer Reaktionsmatrix gehen Sie wie folgt vor:

  • Wechseln Sie im Projektmanager in den Knoten Variablen.
  • Öffnen Sie diesen Knoten mit [+].
  • Aktivieren Sie den Knoten Reaktionsmatrix und rufen Sie via Kontextmenü (Maus + Rechtsklick) Reaktionsmatrix neu... auf.
  • In dem sich öffnenden Dialog Reaktionsmatrix geben Sie Füllstand als Name und Numerisch als Typ ein.

Es öffnet sich der Zustände und Raktionen Dialog. In diesem parametrieren Sie nun Ihre Zustände, Grenzwerttexte und Funktionen.

  • Via der Schaltfläche Zustand neu legen Sie einen neuen Wert an.
    • Erstellen Sie einen Werteeintrag für <1000
    • Weisen Sie diesem Zustand die (bereits projektierte) Funktion set_tankzufluss_ON zu
    • Setzen Sie in den Zusatzattributen die (bereits projektierte) Farbe Füllstand niedrig aus der Farbpalette zu
    • Im Feld Grenzwerttext tragen Sie Wasservorrat gering ein
    • Jede Wertänderung als neue Verletzung behandeln muss aktiv gesetzt sein.
  • Projektieren Sie einen weiteren Zustand nach folgenden Angaben:
Parameter | Beschreibung
Wert | > 19000
Funktion | set_tankzufluss_OFF
Grenzwertfarbe | Füllstand hoch (dunkelrot aus Farbpalette)
Grenzwerttext | Wasservorrat voll
Jede Wertänderung als neue Verletzung behandeln | aktiv


Reaktionsmatrix - Grenzwerte zuweisen

Erste Schritte -> Automatisierter Funktionsaufruf -> Funktionsaufruf via Reaktionsmatrix -> Reaktionsmatrix - Grenzwerte zuweisen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Damit nun Ihre Reaktionsmatrix mit den darin enthaltenen Zuständen und Funktionen ausgelöst werden kann weisen Sie Ihrer Matrix abschließend Grenzwerte von Variablen zu.

Führen Sie dazu folgende Schritte aus:

  • Wechseln Sie im Projektmanager in den Knoten Variablen.
  • Öffnen Sie diesen Knoten mit [+].
  • Wechseln Sie in die Ansicht Datentypen
  • Wählen Sie im Detailfenster den Strukturdatentyp Vorratstank und öffnen Sie diesen mit [+].
  • Wählen Sie dort das Strukturelement Füllstand.
  • Im Eigenschaftenfenster wählen Sie die Eigenschaftengruppe Grenzwerte.
  • Im Eigenschaftenfeld Reaktionsmatrix wählen Sie aus der Drop-Down-Liste die (bereits projektierte) Reaktionsmatrix Füllstand.

Für die restlichen Grenzwerteinträge sind keine weiteren Parametrierungen mehr notwendig.

Auswirkungen in der Runtime

Wenn Sie diese Projektierung in de Runtime testen, beachten Sie den Schalter für den Tankzufluss:

  • Ist der Füllstand < 1.000 Liter, so ist dieser Schalter automatisch auf On.
  • Ist der Füllstand > 19.000 Liter, so ist dieser Schalter automatisch auf Off.

Benutzen Sie zur Änderung Ihres Füllstandes entweder die Sollwertabgabe oder die (bereits projektierte) Statische Combobox.


Funktionsaufruf bei Grenzwertverletzung

Erste Schritte -> Automatisierter Funktionsaufruf -> Funktionsaufruf bei Grenzwertverletzung

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Den Funktionsaufruf bei Grenzwertverletzung werden Sie anhand des (bereits Projektierten) Bildes Leitungsübersicht kennenlernen.

Dabei soll die Heizung bei Unterschreitung der Wassertemperatur aktiviert werden. Sobald die Wassertemperatur wieder auf einen Normalwert steigt ist die Leitungsheizung dementsprechend auszuschalten.

Beginnen Sie diese Projektierung mit dem Anlegen der dazugehörigen Funktionen:

Hinweis: Leider ist die Funktion nicht substituierbar.

Führen Sie dazu folgende Schritte aus:

  • Wechseln Sie im Projektmanager in den Knoten Variablen.
  • Öffnen Sie diesen Knoten mit [+].
  • Wechseln Sie in die Ansicht Datentypen
  • Wählen Sie im Detailfenster den Strukturdatentyp Tank und öffnen Sie diesen mit [+].
  • Wählen Sie dort das Strukturelement Füllstand.
  • Im Eigenschaftenfenster wählen Sie die Eigenschaftengruppe Grenzwerte.
  • Im Eigenschaftenfeld Reaktionsmatrix wählen Sie aus der Drop-Down-Liste die (bereits projektierte) Reaktionsmatrix Füllstand.

Für die restlichen Grenzwerteinträge sind keine weiteren Parametrierungen mehr notwendig.


Menüs

Erste Schritte -> Menüs

In der bisherigen Projektierung dieses Tutorials haben Sie die Navigation ausschließlich via Bilder und Buttons realisiert. In diesem Tutorialsschritt werden Sie eine weitere Möglichkeit lernen, indem Sie Menüs und Kontextmenüs projektieren.

Für die Realisierung von Menüs sind folgende Schritte notwendig:

  • Projektieren der Funktionen
  • Projektierung der Menüs
  • Parametrierung der Menüs
  • Parametrierung der Projekteinstellungen

info Info

Die Funktionen müssen nicht neu projektiert werden. Sie greifen dabei auf bereits verwendete und deshalb bereits projektierte Funktionen zurück.

Noch in diesem Kapitel

Menüs erstellen

Kontextmenüs erstellen


Menüs erstellen

Erste Schritte -> Menüs -> Menüs erstellen

In diesem Beispiel werden Sie Menüs für die Navigation zwischen Ihren (bereits projektierten) Bildern projektieren.

Führen Sie dazu folgende Schritte aus:

  • Wechseln Sie im Projektmanager in den Knoten Menüs.
  • In der Detailansicht erweitern Sie die Ansicht Hauptmenüs durch Klick auf [+].
  • Wählen Sie via Symbolleiste bzw. Kontextmenü Hauptmenü neu.
  • Benennen Sie dieses Menü, indem Sie im Eigenschaftenfeld Name: Navigation eingeben.
  • In der Querverweisliste erkennen Sie nun links oben eine Zelle.
  • Klicken Sie doppelt in diese Zelle und Schreiben Sie Home in diese Zelle.
    Alternativ tragen Sie den Text im Eigenschaftenfenster, in der Gruppe Darstellung / Typ im Eigenschaftenfeld Text: ein.
  • Wenn Sie nun auf den Eintrag Home klicken, wird eine leere Zelle unter dem Menütext angeboten.
    Durch Doppelklick in diese Zelle können Sie die Menüinhalte projektieren.
    Hinweis: Jeder getätigte Eintrag bietet wiederum eine leere Zelle darunter an. Gleiches gilt für Menüpunkte in der vertikalen Richtung. Eine Verschiebung ist via Drag+Drop möglich.

Noch in diesem Kapitel

Eigenschaften der Menüprojektierung

Menüs Projektierung

Funktion zuordnen

Anwendung von Menüs

Praxistipps Menüs


Eigenschaften der Menüprojektierung

Erste Schritte -> Menüs -> Menüs erstellen -> Eigenschaften der Menüprojektierung

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Im Eigenschaftenfenster Ihres jeweiligen Menüeintrages können Sie spezielle menütypische Inhalte parametrieren.

  • Trennlinie aktiv
    In der Eigenschaftengruppe Darstellung / Typ können Sie an Stelle eines Menüeintrages das Eigenschaftenfeld Trennlinie aktiv aktivieren. Dadurch setzen Sie zwischen Ihren Menüeinträgen eine Trennlinie.
  • Untermenü
    In der Eigenschaftengruppe Darstellung / Typ öffnet sich durch Aktivierung von Untermenü ein untergeordneter Zweig.
    Hinweis: Diese Eigenschaft wird beim übergeordneten Menüeintrag aktiviert. Die jeweiligen Untermenüeinträge werden normal projektiert.
  • Aktionstyp:
    Ebenfalls in der Eigenschaftengruppe Darstellung /Typ finden Sie das Eigenschaftenfeld Aktionstyp: In dieser Auswahlliste können Sie Ihrem Menüeintrag eine Aktion zuweisen.
    Wollen Sie z. B. mit Ihrem Menüeintrag eine Funktion aufrufen, so ist dieser Aktionstyp auf Funktion zu setzen.


Menüs Projektierung

Erste Schritte -> Menüs -> Menüs erstellen -> Menüs Projektierung

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vervollständigen Sie die Projektierung Ihres Menüs nach folgenden Vorgaben. Die Benennung der zugewiesenen Funktionen folgt dem Projektierungsfortschritt dieses Tutorials:

Menüeinträge Home:

  • Runtime nachladen
  • Runtime beenden
  • Trennlinie
  • Ansicht BUNT
  • Ansicht S/W

Menüeinträge Navigation:

  • Gesamtübersicht
  • Trennlinie
  • Vorratstank
    • Tank 1
    • Tank 2
      Hinweis: Tank 1 und Tank 2 sind Untermenüs. Um Untermenüs projektieren zu können aktivieren Sie im Eigenschaftenfenster, in der Gruppe Darstellung / Typ die Checkbox bei der Eigenschaft Untermenü. In diesem Beispiel ist die Checkbox Untermenü beim Menüeintrag Vorratstank aktiv! Im Editor ist dies durch ein Dreieck neben dem Eintrag Vorratstank ersichtlich.
  • Leitungsübersicht
  • Trennlinie
  • CEL
  • Alarmmeldeliste
  • Variablenübersicht


Funktion zuordnen

Erste Schritte -> Menüs -> Menüs erstellen -> Funktion zuordnen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Um den einzelnen Menüeinträgen Funktionen zuzuordnen gehen Sie wie folgt vor:

  • Wählen Sie den jeweiligen Menüeintrag aus.
  • Wählen Sie im Eigenschaftenfenster, in der Gruppe Darstellung / Typ das Eigenschaftenfeld Aktionstyp: und wählen Sie Funktion aus der Drop-Down Liste.
  • Wechseln Sie in die Eigenschaftengruppe Funktion/Makro.
  • Klick auf ... im Eigenschaftenfenster Funktion öffnet den Dialog zur Auswahl der Funktion.


Anwendung von Menüs

Erste Schritte -> Menüs -> Menüs erstellen -> Anwendung von Menüs

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ihre Menüs werden in der Querverweisliste projektiert und im Eigenschaftenfenster parametriert. Die Anwendung wird mit einer Funktion aufgerufen.

Erstellen Sie dazu zuerst eine Funktion:

  • Wechseln Sie im Projektmanager in den Knoten Funktionen.
  • Erstellen Sie eine Funktion Menü anzeigen.
    Hinweis: Diese Funktion finden Sie in der Funktionsgruppe Bilder.
  • In dem sich öffnenden Dialog Menü anzeigen wählen Sie in der Drop-Down-Liste die Aktion Menü anzeigen.
    Als Menü wählen Sie den (bereits projektierten) Eintrag Navigation.

    Hinweis: Ist Diesen Dialog zur Runtime anbieten aktiv wird dieser Dialog nicht automatisch ausgeführt sondern in der Runtime dem Bediener zur manuellen Auswahl angeboten. Ihre projektieren Einstellungen werden dabei als Vorschlag vorgegeben. Wenn Sie dem Runtime-User eine neutrale Menüauswahl anbieten wollen, so können Aktion: und Menü: auch ohne Auswahl projektiert werden.
  • Benennen Sie diese Funktion mit load_menue.

Anwendung der Menüfunktion

Damit Menüs in der Runtime angezeigt werden ist folgender Schritt notwendig:

  • Wählen Sie in der Projektansicht den Arbeitsbereich aus, in diesem Beispiel Tutorial.
  • Wählen Sie in den Eigenschaften die Gruppe Grafische Ausprägung.
  • Setzten Sie die Eigenschaft Hauptmenüs aktiv auf aktiv (aktive Checkbox).

Eine Möglichkeit ist die Funktion auf einen Button (z.B. Menüs einblenden) anzuwenden.

In diesem Tutorial soll das Menü jedoch bei Start der Runtime automatisch angezeigt werden. Wie Sie Menüs via Startskripte aktivieren wird im Kapitel Skripte genau erklärt.


Praxistipps Menüs

Erste Schritte -> Menüs -> Menüs erstellen -> Praxistipps Menüs

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
  • Nutzen Sie bei der Projektierung die Möglichkeit der Mehrfachauswahl via Mausklick + Schifttaste. Erstellen Sie zuerst Ihre Menüeinträge, markieren Sie diese anschliessend via Mausklick und gedrückter Schifttaste. Wechseln Sie dann in die Eigenschaftengruppe Darstellung / Typ und wählen Sie den entsprechenden Aktionstyp:. Durch diese Vorgangsweise wird Ihre Projektierung auf alle ausgewählten Menüeinträge angewandt.
  • Nutzen Sie die Möglichkeit von Untermenüs und Trennlinien um Ihre Menüs schlank und übersichtlich zu halten.
  • Nutzen Sie bereits projektierte Funktionen, z.B. die in diesem Tutorial bereits auf Buttons angewandten Bildumschaltfunktionen.
  • Wenn Sie während der Projektierung von Menüs erkennen, dass Ihnen eine Funktion fehlt, so müssen Sie nicht extra in den Knoten Funktionen im Projektmanager wechseln.
    Hinweis: Verwenden Sie bei der Funktionsauswahl während der Menüeintragsparametrierung die Schaltfläche Funktion neu in der Dialogansicht Funktionsauswahl.


Kontextmenüs erstellen

Erste Schritte -> Menüs -> Kontextmenüs erstellen

Als Projektierungsbeispiel eines Kontextmenüs sollen in der Übersicht des Vorratstankes vorgegebene Temperaturen via Kontextmenü abgesetzt werden. Zusätzlich soll die Temperatur innerhalb der Grenzen um 10 Grad erhöht oder verringert werden. Bei einem einfachen Mausklick soll die Temperatur um 10 Grad verringert werden.

Sie gehen dazu wie folgt vor:

  • Kontextmenü projektieren
  • dazugehörige Funktionen projektieren
  • Funktionen auf Kontextmenü anwenden
  • Kontextmenü anwenden

Noch in diesem Kapitel

Parametrierung eines Kontextmenüs

Funktionen für Kontextmenü

Kontextmenü anwenden


Parametrierung eines Kontextmenüs

Erste Schritte -> Menüs -> Kontextmenüs erstellen -> Parametrierung eines Kontextmenüs

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Um Kontextmenüs zu projektieren gehen Sie wie folgt vor:

  • Wechseln Sie im Projektmanager in den Knoten Menüs.
  • In der Detailansicht erweitern Sie die Ansicht Runtime-Menüs durch Klick auf [+].
  • Klicken Sie auf Kontextmenüs.
  • Wählen Sie via Symbolleiste bzw. Kontextmenü Kontextmenü neu.
  • Benennen Sie dieses Menü, indem Sie im Eigenschaftenfeld Name: Kontextmenü_Vorratstank.
  • Gehen Sie bei der Eingabe der Kontextmenüeinträge gleich vor, wie bei den Menüs:
    • + 10 Grad
    • - 10 Grad
    • Temperatur angeben


Funktionen für Kontextmenü

Erste Schritte -> Menüs -> Kontextmenüs erstellen -> Funktionen für Kontextmenü

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Erstellen Sie die dazugehörigen Funktionen für das Kontextmenü:

  • Erstellen Sie eine Neue Funktion Sollwert absetzen.
    Hinweis: Diese finden Sie in den Funktionsfavoriten oder in der Favoritengruppe Variable.
  • Verknüpfen Sie diese Funktion mit der Variable Vorratstank[1].Heizungselemente.Temperaturfühler.
  • Parametrieren Sie den Dialog Sollwert absetzen nach untenstehender Grafik:
    Wichtig ist, dass die Checkbox bei Aktuellen Wert vorschlagen aktiviert ist!
  • Benennen Sie diese Funktion mit +10.
  • Erstellen Sie eine zweite Funktion mit Namen -10 und einer Änderung um -10.

Funktionen für Kontextmenüs zuweisen

Für die Zuweisung der soeben erstellten Funktionen gehen Sie wie folgt vor:

  • Rufen Sie Ihr (bereits projektiertes) Kontextmenü Kontextmenü_Vorratstank auf.
  • Wählen Sie den (bereits projektieren) Kontextmenüeintrag +10 Grad aus.
  • In den Eigenschaften wählen Sie in der Gruppe Darstellung / Typ bei der Eigenschaft Aktionstyp: Funktion.
  • Wählen Sie nun in die Eigenschaftengruppe Funktion/Makro.
  • Dort wählen Sie durch Klick auf die ... Schaltfläche in der Eigenschaft Funktion die oben projektierte Funktion +10 aus.
  • Wiederholen Sie diesen Schritt für den Kontextmenüeintrag -10 Grad und verwenden Sie dabei die Funktion -10.
  • Für den Kontextmenüeintrag Temperatur angeben wählen Sie in der Eigenschaft Aktionstyp: Funktion.


Kontextmenü anwenden

Erste Schritte -> Menüs -> Kontextmenüs erstellen -> Kontextmenü anwenden

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Anwendung des Kontextmenüs auf ein Element

  • Wechseln Sie im Projektmanager in den Knoten Bilder.
  • Öffnen Sie das (bereits projektierte) Bild Vorratstank 1.
  • Platzieren Sie ein Bargraf-Element unter der Listbox, links neben dem Tanksymbol.
  • In dem sich öffnenden Dialog zur Variablenauswahl wählen Sie Vorratstank[1].Heizungselemente.Temperaturfühler
  • In der Eigenschaftengruppe Darstellung wählen Sie im Eigenschaftenfeld Laufrichtung: Nach rechts aus der Drop-Down-Liste.
  • Weisen Sie das erstelle Kontextmenü Kontextmenü_Vorratstank dem Bargraf-Element zu.
    • Dazu wählen Sie das Bargraf-Element
    • Wählen Sie in den Eigenschaften die Gruppe Runtime und aus der Drop-Down Liste Kontextmenü das entsprechende Kontextmenü (in diesem Beispiel: Kontextmenü_Vorratstank)


Skripte

Erste Schritte -> Skripte

Manchmal ist es notwendig mehrere Funktionen zu einem Arbeitsschritt zusammenzufassen.

Dazu bündeln Skripte mehrere Funktionen. Der Ausführungsort hängt ab von den Einstellungen der Funktion Skript ausführen.

Vereinfacht dargestellt sind für die Anwendung von Skripten folgende Schritte notwendig:

  • Skript erstellen
  • Skript mit Funktionen befüllen
  • Funktion zum Skriptaufruf projektieren

info Info

Die Parametrierung der Skriptfunktion überschreibt die Einstellungen der einzelnen Funktionen. Bei Einzelanwendung der Funktion bleiben die Parametrierungen der Funktion im Einzelnen bestehen.

Noch in diesem Kapitel

Skripte erstellen

Funktionen in Skripte einfügen

Praxistipps Skripte


Skripte erstellen

Erste Schritte -> Skripte -> Skripte erstellen

Zum Erstellen eines Skriptes führen Sie folgende Schritte aus:

  • Wechseln Sie im Projektmanager in den Knoten Funktionen.
  • Öffnen Sie diesen mit [+].
  • Wählen Sie in der Detailliste bzw. via Kontextmenü Skript neu.
  • Benennen Sie dieses Skript im Eigenschaftenfenster indem Sie aus der Drop-Down-Liste AUTOSTART wählen.
    Hinweis: Diese Drop-Down-Liste wird durch Klick auf den Pfeil, rechts im Eigenschaftenfeld Name: aufgerufen.
  • Erstellen Sie zwei weitere Skripte, wobei Sie bei der Parametrierung des Eigenschaftenfeldes Namen nicht die Drop-Down-Liste nutzen. Vergeben Sie stattdessen zwei eigenständige Name, für dieses Beispiel: Tank und Leitung.

info Info

Soll ein Skript zu einem bestimmten Zeitpunkt wie z.B. Runtimestart, Runtimeanmeldung am Server usw. ausgeführt werden, ist der Name aus der Drop-Down-Liste zu wählen. Der Name steht dann stellvertretend für den Ausführungszeitpunkt.


Funktionen in Skripte einfügen

Erste Schritte -> Skripte -> Funktionen in Skripte einfügen

Ein Skript dient Funktionen als Container.

  • Befüllen Sie das (bereits projektierte) Skript AUTOSTART mit Funktionen. Wählen Sie dazu bei ausgewähltem Skript in der Symbolleiste der Detailansicht bzw. via Kontextmenü Funktionen hinzufügen...
    In dem sich öffnenden Dialog Funktionsauswahl fügen Sie bestehende Funktionen hinzu bzw. entfernen diese via Auswahl und der entsprechenden Schaltfläche Hinzufügen oder Entfernen.
  • Für dieses Tutorial fügen Sie folgende Funktionen hinzu:
    • sollwert_50
      Erstellen Sie eine neue Funktion Sollwert absetzen mit dem Namen sollwert_50.
      Für die Parametrierung dieser Funktion verwenden Sie die Variable Vorratstank[1].Heizungselemente.Temperaturfühler, sowie den Sollwert 50.
      Hinweis: Achten Sie darauf, dass im Dialog Sollwert setzen Direkt zur Hardware aktiviert is.
    • load_menue
      Diese Funktion zeigt beim Aufruf der Runtime die (bereits projektierten) Menüs an.


Praxistipps Skripte

Erste Schritte -> Skripte -> Praxistipps Skripte

Skripte sind ein wichtiges Instrument um mehrere Funktionen zusammenfassen zu können. Richtig eingesetzt können sie ein sehr mächtiges Werkzeug sein.

  • Manchmal ist es sinnvoll, Skripte bereits dann zu erstellen, wenn noch keine Skriptinhalte projektiert sind. So kann in der laufenden Projektierung die Skriptausführungsfunktion bereits projektiert werden.
  • Mithilfe von Skripten können offene Projektierungsschritte auch mit offenen Fragen vorangetrieben werden.
  • Auch leere Funktionen können bereits zu Skripten hinzugefügt und in späterer Folge parametriert werden.
  • Skripte können Skripte enthalten. Es können zwar keine Skripte in Skripte integriert werden. Wenn Sie jedoch Skriptfunktionen in einem Sammelskript vereinen, kann die selbe Funktionalität abgebildet werden.


Projektdokumentation

Erste Schritte -> Projektdokumentation

Dokumentieren Sie Ihre Projektierungen sorgfältig! Diese Dokumentation erleichtert Ihnen Ihre Arbeit bei späteren Erweiterungen, bei der Fehlersuche aber auch bei einer Zusammenarbeit mit Projektpartnern. Dank zenon ist dieser üblicherweise sehr aufwendige Prozess mit wenigen Schritten effizient realisierbar.

Für Ihre Projektdokumentation nutzen Sie einen integrierten Wizard:

  • Zum Aufruf des Wizards wählen Sie in der Menüleiste Datei den Eintrag Wizards ...

info Info

Der Wizard steht nur in englischer Sprache zur Verfügung.

Noch in diesem Kapitel

Auswahl der Dokumentationsinhalte


Auswahl der Dokumentationsinhalte

Erste Schritte -> Projektdokumentation -> Auswahl der Dokumentationsinhalte

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dieser Wizard führt Sie durch die Schritte, die nötig sind, um ein HTML-Dokument des aktiven Projektes zu erstellen. Es kann definiert werden, welche Module im Dokument inkludiert werden sollen und welche nicht.

Der Wizard ist veränderbar:

  • Durch Deaktivierung der Checkbox können Sie gesamte Projektinhalte aus der Dokumentation weglassen.
  • Durch Betätigung der Schaltfläche ... neben einem Projektinhalt erhalten Sie die dazugehörige Detailansicht. Wählen Sie hier weitere Dokumentationsinhalte aus